<?php
// +---------------------------------------------------------------------------+
// | Media Gallery Plugin 1.5                                                  |
// +---------------------------------------------------------------------------+
// | $Id:: italian.php 1049 2007-06-21 07:28:37Z mevans0263                   $|
// | This is the Italian language page for the Media Gallery Plug-in!          |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Mark R. Eavns               -    mevans@ecsnet.com                        |
// | Traduzione:                                                               |
// | Nicola Colombini            -    nicola@sedicinoni.org                    |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------|

$LANG_MG00 = array (
    'menulabel'         => 'Media Gallery',
    'plugin'            => 'Media Gallery',
    'access_denied'     => 'Accesso vietato',
    'access_denied_msg' => 'Non hai i privilegi di sicurezza per accedere a questa pagina. Il tuo nome e il tuo IP sono stati registrati.',
    'admin'             => 'Amministrazione di Media Gallery',
    'install_header'    => 'Installa/Disinstalla il plugin',
    'installed'         => 'Il plugin  stato installato',
    'uninstalled'       => 'Il plugin  stato disinstallato',
    'install_success'   => 'L\'installazione di Media Gallery  riuscita.  <br /><br />Per favore leggi la documentazione di sistema e visita la  <a href="%s">sezione di amministrazione</a> per accertarti che i tuoi settaggi siano coerenti con quelli richiesti dal tuo host.',
    'install_failed'    => 'L\'installazione  fallita -- Guarda il tuo "error log" per capirne i motivi.',
    'uninstall_msg'     => 'Il plugin  stato disinstallato',
    'install'           => 'Installa',
    'uninstall'         => 'Disinstalla',
    'warning'           => 'Attento! Il plugin  gi attivo',
    'enabled'           => 'Disabilita il plugin prima di provare a disinstallarlo.',
    'readme'            => 'STOP! Prina di installare per favore leggi il ',
    'installdoc'        => "<a href=\"{$_CONF['site_admin_url']}/plugins/mediagallery/install_doc.html\">Documenti di installazione</a>",
    'mg_block_header'   => 'Immagine casuale',
    'no_album_select'   => 'Non  stato selezionato nessun Album di destinazione.',
    'media_col_header'  => 'Media Item',
    'stats_title'       => 'La Top Ten degli oggetti maggiormente visti',
    'items_in'          => 'Oggetti in',
    'no_album_objects'  => '<br>Non ci sono Album da vedere<br><br>Non ci sono Album da vedere.  Forse perch non ci sono Album registrati nel sito, oppure perch i tuoi permessi sono cos restrittivi da impedirne la visione.',
    'no_media_objects'  => '<br>Non ci sono immagini in questo Album.',
    'results'           => 'Risultati di Media Gallery',
    'titlemsg'          => 'Titolo',
    'urlmsg'            => 'Data',
    'hitsmsg'           => 'Viste',
    'mg_error'          => 'Errore nella richiesta o nell\'output delle informazioni. Per favore comunica a un Amministratore il numero d\'errore. Errore numero : ',
    'mg_error_log'      => 'Media Gallery errore interno # ',
    'mg_error_generic'  => 'Media Gallery Error: Ho ricevuto un imput invalido',
    'last_week'         => 'Ultima settimana',
    'no_date'           => 'Nessuna Data',
    'stats_rate_title'  => 'Top Ten dei Media pi votati',
    'rating'            => 'Vota',
    'no_title'          => 'Non hai inserito un titolo al Media',
    'album'             => 'Album: ',
    'none_rated'        => 'Nessun oggetto  stato ancora votato',
    'convert100'        => 'Media Gallery v1.2.0 routine di upgrade della anteprima ',
    'cvtcomplete'       => '<br><br>Conversioni terminate!',
    'cvtmsg1'           => '<br><br>Questo programma di conversione generer tutte le anteprime nella tua Media Gallery.',
    'cvtmsg2'           => '<br><br>Questa operazione  <b>MOLTO</b> pesante per la tua CPU, specialmente se hai un gran numero di oggetti nella tua Media Gallery.',
    'cvtmsg3'           => '<br><br>Per esser sicuri che la tua CPU non venga troppo gravata dalle tue conversioni, questo programma effettuer %d conversioni per volta.',
    'cvtmsg4'           => '<br><br>Tu hai %d immagini nella tua Media Gallery e finora ne sono state processate %d.',
    'cvtmsg5'           => '<br><br>Questa pagina verr ricaricata e automaticamente re-inviata, se il tuo browser, supporta il \'meta refreshed\'',
    'cvtmsg6'           => '<br><br>Se sei pronto a iniziare la conversione, per favore <a href="%s">Clicca qui</a>',
    'cvtmsg7'           => '<br><br>La conversione  iniziata, questa pagine dovrebbe venire automaticamente ricaricata in 20 secondi, altrimenti <a href="%s">Clicca qui</a> per ricaricarla immediatamente',
    'cvtmsg8'           => '<br><br>Processati %d oggetti - %d rimangono ancora...',
    'no_viewed_items'   => 'Nessun Media  stato ancora visto',
    /* --- Not translated yet --- */
    'no_access'         => 'You have selected and album that has restricted access.  Please choose a different album',
    'overview'          => 'Media Gallery is a native Geeklog plugin that provides a full featured multi-media gallery for your Geeklog powered website.  Media Gallery supports multiple image, video and audio formats and has many advanced features to make presenting your multi-media items in a robust environment simple and easy to maintain.',
    'preinstall_check'  => 'Media Gallery has the following requirements:',
    'geeklog_check'     => 'Geeklog v1.3.10 or greater, version reported is <b>%s</b>.',
    'php_check'         => 'PHP v4.3.0 or greater, version reported is <b>%s</b>.',
    'preinstall_confirm' => "For full details on installing Media Gallery, please refer to the <a href=\"{$_CONF['site_admin_url']}/plugins/mediagallery/install_doc.html\">Installation Manual</a>.",
    'filecheck'         => 'FileCheck Utility',
    'filecheck_disclaimer' => 'FileCheck will scan the Media Gallery directories and provide a list of files that exist in the directories that are not included in the Media Gallery distribution.  These files may be old, obsolete files that are no longer needed.  <b>Use Caution</b> and insure these files are not needed by your web server.  <br /><b>YOU SHOULD HAVE A CURRENT BACKUP BEFORE RUNNING THIS UTILITY!</b>',
    'mg_enroll_header'  => 'Album Enrollment',
    'whatsnew_title'    => 'MEDIA GALLERY',
);

// administration items....

$LANG_MG01 = array (
    'save'                      => 'salva',
    'yes'                       => 'Si',
    'no'                        => 'No',
    'submit'                    => 'invia',
    'cancel'                    => 'cancella',
    'reset'                     => 'reset',
    'delete'                    => 'elimina',
    'all'                       => 'Tutto',
    'homepage_only'             => 'Solo sulla Homepage',
    'top'                       => 'Sopra',
    'bottom'                    => 'Sotto',
    'after_featured_articles'   => 'Dopo l\'articolo del giorno',
    'new_album'                 => 'Nuovo Album',
    'upload_media'              => 'Carica un Media',
    'ftp_media'                 => 'FTP Media',
    'usage_reports'             => 'Rapporto sull\'uso',
    'configuration'             => 'Configurazione',
    'media_queue'               => 'Media in coda',
    'admin_home'                => 'Admin Home',
    'edit_album'                => 'Modifica un Album',
    'create_album'              => 'Crea Album',
    'delete_album'              => 'Cancella Album',
    'album_name_desc'           => 'Titolo dell\'Album / Descrizione',
    'albums'                    => 'Albums',
    'moderate'                  => 'Modera',
    'media_management'          => 'Media Management',
    'count'                     => 'Numero di oggetti',
    'order'                     => 'Ordina',
    'action'                    => 'Azione',
    'move_up'                   => 'Metti su',
    'move_down'                 => 'Metti sotto',
    'rotate_left'               => 'Ruota a sinistra',
    'rotate_right'              => 'Ruota a destra',
    'edit'                      => 'Modifica',
    'caption'                   => 'Titolo del Media',
    'images'                    => 'Immagini',
    'file'                      => 'File',
    'directory'                 => 'Directory',
    'description'               => 'Descrizione',
    'capture_time'              => 'Caricato il',
    'uploaded_by'               => 'Caricata da',
    'delete_files'              => 'Cancella il file sorgente',
    'not_writable'              => 'La Directory NON  scrivibile',
    'root_level'                => 'Root Level (NON DEVI crearlo qui)',
    'admin_main_help'           => 'La maggior parte delle possibilit per amministrare MediaGallery sono gestibili direttamente dal pannello utente.',
    'configuration_help'        => 'Imposta le opzioni di Media Gallery per modificare l\'aspetto standard del plugin.',
    'media_edit_help'           => "Edita i singoli media e i loro attributi. Per ottenere una visualizzazione pi grande del media indicato, fai clic sul media qui sotto e un\'immagine pi grande si aprir in una finestra popup.",
    'album_edit_help'           => 'Imposta gli attributi degli Album, compresi i permessi, caratteristiche, titolo e descrizione.',
    'album_delete_help'         => 'Questo canceller l\'Album e tutti i sotto-Album in un sol colpo. Devi selezionare se spostare gli elementi di supporto a una nuova cartella o cancellarli permanentemente.<br /><b>L\'operazione non  annullabile</b>',
    'configuration_title'       => 'Configurazione di Media Gallery',
    'configuration_header'      => 'Configurazione delle opzioni di Media Gallery',
    'album_maintenance'         => 'Manutenzione degli Album di Media Gallery',
    'media_edit'                => 'Edit dei vari media di Media Gallery',
    'usage_report_header'       => 'Rapporto sull\'uso di Media Gallery',
    'edit_media'                => 'Edita i vari media',
    'image_properties'          => 'Propriet delle immagini',
    'left_blocks_only'          => 'Solo nei blocchi di sinistra',
    'right_blocks_only'         => 'Solo nei blocchi di destra',
    'left_right_blocks'         => 'Blocchi di destra e di sinistra',
    'none'                      => 'Nessuno',
    'no_media_objects'          => 'Non ci sono oggetti in questo Album',
    'media_manage_help'         => 'In questa pagina puoi spostare o eliminare tutti gli articoli selezionati. <br />Il pulsante <b>"elimina"</b> rimuove per sempre un media, <b>"cancella"</b> non effettua modifiche, mentre<b>"salva"</b> aggiorna la sequenza, la copertina dell\'album e i titoli dei media.<br /><b>La cancellazione  permanente! Non ci sono undo!</b>',
    'usage_report_help'         => 'Genera i rapporti sull\'utilizzo di Media Gallery. Puoi selezionare tutti gli utenti per una data specifica, o per un utente specifico.  Per favore non selezionare tutti gli utenti in tutti i giorni, sarebbero troppi dati da visualizzare!',
    'all_dates'                 => 'Genera un rapporto per TUTTI i dati',
    'select_user'               => 'Seleziona un utente',
    'display_rows_prompt'       => 'Visualizzazione a righe',
    'display_rows_help'         => 'Questo parametro imposta il numero delle righe che verranno visualizzate in ogni pagina di questo Album.',
    'album_display_columns_prompt' => 'Visualizzazione a colonne',
    'album_display_columns_help'    => 'Questo parametro imposta il numero delle colonne che verranno visualizzate quando vedrai la lista degli album.',
    'display_columns_prompt'    => 'Visualizzazione a colonne',
    'display_columns_help'      => 'Questo parametro imposta il numero delle colonne che verranno visualizzate quando vedrai i media dentro ad un album.',
    'loginrequired_prompt'      => 'E\' richiesta la login',
    'loginrequired_help'        => 'Imposta questo parametro su SI/YES per limitare la fruibilit di Media Gallery solo agli utenti registrati.',
    'comments_prompt'           => 'Consenti i commenti',
    'comments_help'             => 'Imposta questo parametro per consentire SOLO agli utenti registrati di commentare i media presenti',
    'graphicspackage_prompt'    => 'Pacchetto grafico',
    'graphicspackage_help'      => 'Seleziona il pacchetto grafico installato nel server, che possa consentire di editare e creare le preview dei media.',
    'graphicspackage_path_prompt' => 'Path del pacchetto grafico',
    'graphicspackage_path_help'   => 'Immetti la path del pacchetto grafico installato (se applicabile).',
    'displayblock_prompt'       => 'Visualizza il blocco in Geeklog',
    'displayblock_help'         => 'Seleziona se Media Gallery deve essere visualizzato nel blocco di destra/sinistra/entrambi o nessuno (nei blocchi di Geeklog)',
    'static_sort_help'          => 'Questo canceller ogni ordine manuale che tu possa aver completato.',
    'htmlallowed'               => 'Consenti HTML nei titoli',
    'whatsnew'                  => 'Permetti "Che c\' di nuovo" in questo Album',
    'dfid'                      => 'Formato della data',
    'general_options'           => 'Opzioni generali',
    'display_options'           => 'Opzioni di visualizzazione',
    'graphics_options'          => 'Pacchetto grafico',
    'usage_tracking'            => 'Rilevazione di utilizzo',
    'title'                     => 'Titolo',
    'order'                     => 'Ordine',
    'item'                      => 'Oggetto',
    'select'                    => 'Seleziona',
    'order'                     => 'Ordine',
    'cover'                     => 'Copertina',
    'time'                      => 'Tempo',
    'user_id'                   => 'User ID',
    'application'               => 'Applicazione',
    'album_title'               => 'Titolo dell\'Album',
    'new_report'                => 'Nuovo report',
    'media_capture_time'        => 'Il media  stato registrato il',
    'media_upload_time'         => 'Il media  stato pubblicato il',
    'parent_album'              => 'Parent Album',
    'description'               => 'Descrizione',
    'featured_album'            => 'Album del giorno',
    'set_featured'              => 'Imposta come Album del giorno',
    'featured_help'             => 'Se settato, un riassunto dell\'Album verr visualizzato nel blocco centrale della home page.',
    'position'                  => 'Posizione',
    'topic'                     => 'Argomento',
    'mod_mediatitle'            => 'Titolo del media',
    'album_link'                => 'Album Link',
    'status_header'             => 'Status di Media Gallery',
    'status'                    => 'Status',
    'redirect'                  => 'Questa pagina verr reindirizzata in 5 secondi, se vuoi per puoi <a href="%s">cliccare qui</a> per continuare immediatamente.',
    'delete_all_media'          => 'Cancella tutti i media di questo Album',
    'move_all_media'            => 'Muovi tutti i media',
    'mod_album'                 => 'Modera questo Album',
    'moderation_group'          => 'Gruppo di Moderatori',
    'options'                   => 'Opzioni',
    'admin'                     => 'Admin',
    'add_media'                 => 'Aggiungi un Media',
    'ftp_media'                 => 'FTP Media',
    'edit_album'                => 'Modifica un Album',
    'create_album'              => 'Crea un Album',
    'static_sort_media'         => 'Ordinamento statico dei Media',
    'manage_media'              => 'Modifica un Media',
    'media_queue'               => 'Media in coda',
    'sort_albums'               => 'Ordina gli Albums',
    'no_caption'                => 'Senza titolo',
    'continue'                  => 'continua',
    'recheck'                   => 'ricontrolla',
    'mg_directories'            => 'Directory di Media Gallery',
    'mg_dir_structure'          => 'Struttura della directory Media Gallery',
    'ok'                        => 'OK',
    'not_found'                 => 'NNO trovato',
    'not_writable'              => 'NON  scrivibile',
    'ascending'                 => 'Ascendente',
    'descending'                => 'Discendente',
    'static_media_sort'         => 'Ordinamento permanente di Media Gallery',
    'sort_options'              => 'Opzioni di ordinamento',
    'order_options'             => 'Opzioni di ordinamento',
    'all_dates'                 => 'Tutte le date',
    'subalbums'                 => 'Sotto Albums',
    'destination_album'         => 'Album di destinazione:',
    'move'                      => 'sposta',
    'date'                      => 'Data',
    'album'                     => 'Album',
    'mod_delete'                => 'Cancella',
    'mod_approve'               => 'Approva',
    'documentation'             => 'Documentazione sull\'utilizzo',
    'check_all'                 => 'Seleziona Tutto',
    'uncheck_all'               => 'Deseleziona Tutto',
    'batch_process'             => 'batch',
    'autotag_error'             => 'Errore nell\'autotag',
    'successful_upload_queue'   => ' Messo con successo all\'attenzione dei Moderatori',
    'successful_upload'         => ' Messo con successo nell\'Album',
    'phpinfo'                   => 'Informazioni sul PHP',
    'album_cover'               => 'Copertina dell\'Album',
    'album_attributes'          => 'Attributi dell\'Album',
    'media_attributes'          => 'Attributi del Media',
    'attached_thumbnail'        => 'Miniatura collegata',
    'thumbnail'                 => 'Miniatura',
    'new_upload_subject'        => 'Il nuovo Media  stato caricato a ',
    'new_upload_body'           => 'Sono stati caricati nuovi oggetti nell\'Album: ',
    'upload_approved'           => 'Il caricamento del tuo Media  stato approvato',
    'thanks_submit'             => 'Grazie per il tuo caricamento',
    'details'                   => 'Dettagli: ',
    'enable_exif'               => 'Abilita EXIF',
    'enable_ratings'            => 'Abilita le votazioni',
    'av_play_album'             => 'Visualizzazione Audio/Video in un Album',
    'av_play_options'           => 'Opzioni per la visualizzazione Audio/Video',
    'email_mods_on_submission'  => 'Manda una e-mail ai moderatori dopo l\'immissione',
    'disable_exif'              => 'Disabilita la visione EXIF',
    'display_below_media'       => 'Visualizza sotto il Media',
    'display_in_popup'          => 'Visualizza in una finestra Popup',
    'both'                      => 'Tutte',
    'play_in_popup'             => 'Play in una finestra Popup',
    'download_to_local'         => 'Scarica nel tuo computer locale',
    'play_inline'               => 'In linea (valido solo quando l\'Album non viene visualizzato)',
    'use_mms'                   => 'Usa mms: collegamento per i Media supportati da Microsoft',
    'upload_warning'            => 'La configurazione del tuo server ti consente di uplodare files %s o pi piccoli, e il totale dei files caricati non deve eccedere gli %s',
    'gallery_import'            => 'Importa da Gallery v1.x',
    'fourimages_import'         => 'Importa da 4images',
    'xppubwizard_install'       => 'Importa da XP Publishing',
    'log_viewer'                => 'Visore dei log di Geeklog',
    'select_date'               => 'Seleziona la data',
    'ss_enable'                 => 'Abilita lo Slideshow',
    'ri_enable'                 => 'Includi il Media nel Blocco Random Image',
    'sf_enable'                 => 'Abilita il link per la stampa online',
    'tn_size'                   => 'Larghezza della miniatura',
    'rows'                      => 'Righe visualizzate',
    'columns'                   => 'Colonne visualizzate',
    'small'                     => 'Piccolo (100x100)',
    'medium'                    => 'Medio (150x150)',
    'large'                     => 'Largo (200x200)',
    'system_default'            => 'Impostazioni di default',
    'windows_media_player'      => 'Windows Media Player',
    'quicktime_player'          => 'QuickTime Player',
    'direct_download'           => 'Download diretto',
    'user_prefs'                => 'Media Gallery',
    'mp3_player'                => 'Default MP3 Player',
    'mp3_player_help'           => 'Seleziona quale lettore MP3 vuoi usare per ascoltare i brani mp3',
    'av_play_options_help'      => 'Metodo di lettura dei files audio / video',
    'tn_size_help'              => 'Seleziona la grandezza delle anteprime negli Album',
    'globalattr'                => 'Editor globale degli Album',
    'global_attr_editor'        => 'Editor globale degli attributi degli Album',
    'global_attr_help'          => 'Questo modificher gli attributi di <b>TUTTI</b> i tuoi Albums, usa questa funzione con cautela!<br /><br />Seleziona quale campo vuoi updatare, selezionando il valore e selezionando il box <b>Updata</b>.',
    'globalperm'                => 'Editor globale dei permessi',
    'global_perm_editor'        => 'Editor globale dei permessi degli Album',
    'global_perm_help'          => 'Questo modificher gli attributi di <b>TUTTI</b> i tuoi Albums, usa questa funzione con cautela!<br /><br />Seleziona quale campo vuoi updatare, selezionando il valore e selezionando il box <b>Updata</b>.',
    'attribute'                 => 'Attributi',
    'value'                     => 'Valore',
    'update'                    => 'Update',
    'enable_views'              => 'Mostra il contatore delle visualizzazioni',
    'save_exit'                 => 'Salva e Esci',
    'save_next_batch'           => 'Salva e passa alla prossima Batch',
    'batch_caption_editor'      => 'Batch Caption Editor',
    'batch_caption'             => 'Batch Caption',
    'batch_caption_help'        => 'Batch Edit dei titoli e delle descrizioni dei Media nei tuoi Albums',
    'exiftag'                   => 'Tag EXIF/IPTC',
    'exif_admin_header'         => 'Administrazione EXIF/IPTC',
    'exif_admin_help'           => 'Selziona quale tag EXIF/IPTC vuoi che venga visualizzato nelle propriet dell\'immagine.',
    'enable_sort'               => 'Abilit la possibilit di mettere in ordine le foto, a piacere dell\'utente',
    'reset_rating'              => 'resetta le votazioni',
    'reset_views'               => 'resetta le visualizzazioni',
    'albums_first'              => 'Elenca i sotto-albums prima delle immagini',
    'force_child_update'        => 'Forza l\'aggiornamento Child',
    'days'                      => 'Giorni',
    'whatsnew_time'             => 'Che c\' di nuovo negli ultimi',
    'gallery_tn_size'           => 'Larghezza delle miniature della Gallery',
    'seperator'                 => 'Birdseed Seperator',
    'windows_media_player'      => 'Windows Media Player',
    'quicktime'                 => 'QuickTime',
    'inm_import'                => 'Importa da Inmemoriam',
    'always'                    => 'Sempre',
    'members_only'              => 'Solo agli utenti registrati',
    'disabled'                  => 'Disabilitato',
    'full_display'              => 'Mostra l\'immagine a grandezza normale (originale)',
    'reset_cover'               => 'Usa la copertina di dafault per l\'album',
    'up_overrides'              => 'Imposta le preferenze per gli utenti',
    'up_rows_override'          => 'Abilita l\'utente a settare le righe',
    'up_columns_override'       => 'Abilita l\'utente a settare le colonne',
    'up_mp3_override'           => 'Abilita l\'utente a settare lil proprio lettore MP3',
    'up_av_override'            => 'Abilita l\'utente a settare le opzioni di playback AV',
    'up_tn_override'            => 'Abilita l\'utente a settare le altezze delle miniature',
    /* --- Not translated yet --- */
    'geekary_import'            => 'Geekary Import',
    'import_wizards'            => 'Import Wizards',
    'coppermine_import'         => 'Coppermine Import',
    'back_to_main'              => 'Back to Main Menu',
    'import_title'              => 'Media Gallery Import Wizard Menu',
    'process'                   => 'Process',
    'jhead_enable'              => 'Enable JHEAD Support',
    'jhead_path'                => 'Path to jhead binary',
    'jpegtran_enable'           => 'Enable JPEGTRAN Support',
    'jpegtran_path'             => 'Path to jpegtran binary',
    'max_image_height'          => 'Maximum Image Height (pixels)',
    'max_image_width'           => 'Maximum Image Width (pixels)',
    'max_filesize'              => 'Maximum allowed filesize',
    'display_image_size'        => 'Display Image Size',
    'maint_title'               => 'Media Gallery Maintenance Options',
    'rebuild_thumb'             => 'Rebuild Thumb',
    'next'                      => 'Next',
    'rebuild_thumb_help'        => 'Rebuild all thumbnails in Media Gallery',
    'rebuild_thumb_details'     => 'This process will rebuild all thumbnails in Media Gallery.  Since this is a very CPU intensive process, Media Gallery will process for up to 3 minutes then take a 20 second break and continue processing.',
    'resize_display'            => 'Resize Images',
    'resize_help'               => 'Rebuild the display image based on the current size configured in each album.',
    'resize_details'            => 'This process will resize all display images in Media Gallery.  Since this is a very CPU intensive process, Media Gallery will process for up to 3 minutes then take a 20 second break and continue processing.',
    'resize_confirm'            => 'Are you sure you want to resize all the display images for this album?',
    'rebuild_confirm'           => 'Are you sure you want to rebuild all thumbnails for this album?',
    'remove_originals'          => 'Delete / Remove originally uploaded images',
    'remove_help'               => 'Remove the original image from Media Gallery.',
    'remove_details'            => 'This process will remove all the originally uploaded images, leaving only the display image and the thumbnail.<br /><br /><b>There is no UNDO, be sure this is what you want to do!</b>',
    'remove_error'              => 'You can only remove the original images if $_MG_CONF[\'discard_original\'] is set to 1 in the config.php file',
    'processing_complete'       => 'Processing has completed successfully',
    'reset_maint'               => 'Reset Maintenance Attribute for images',
    'reset_help'                => 'This will reset the maintenance flag on the media items so they can be processed again',
    'reset_details'             => 'This process will reset the maintenance flag to 0 for each media item so they can be processed again by the next maintenance routine.',
    'return_to_maint'           => 'Click <a href="%s">here</a> to return to the Maintenance Menu',
    'enable_album_views'        => 'Display Album Views Counter',
    'hidden'                    => 'Hidden Album',
    'tn_jpg_quality'            => 'Thumbnail JPG Quality',
    'recurse'                   => 'Process Subdirectories',
    'include_ss'                => 'Incl. SlideShow',
    'original_filename'         => 'Original Filename:',
    'jupload_message'           => 'Select Album and media items below',
    'jupload_media'             => 'JUPLOAD Media',
    'download'                  => 'Download',
    'zip_enable'                => 'Enable ZIP Uploads',
    'zip_path'                  => 'Path to unzip program',
    'tmp_path'                  => 'Path to temporary directory',
    'default_album_sort'        => 'Default Album Sort on Upload',
    'wm_management'             => 'Watermark Management',
    'watermark'                 => 'Watermark',
    'no_watermarks'             => 'No watermark images are available',
    'upload'                    => 'upload',
    'watermark_manage_help'     => 'Allows you to add / delete watermark images. Maximum watermark file size is 64kb.<br /><b>Deletes are permanent!  There is no undo!</b>',
    'watermark_upload'          => 'Watermark Upload',
    'public_access'             => 'Public Access',
    'top_left'                  => 'Top Left',
    'top_center'                => 'Top Center',
    'top_right'                 => 'Top Right',
    'middle_left'               => 'Middle Left',
    'middle_center'             => 'Middle Center',
    'middle_right'              => 'Middle Right',
    'bottom_left'               => 'Bottom Left',
    'bottom_center'             => 'Bottom Center',
    'bottom_right'              => 'Bottom Right',
    'no_watermark'              => 'No Watermark',
    'watermark_auto'            => 'Automatically Watermark on Upload',
    'watermark_opacity'         => 'Watermark Opacity',
    'watermark_location'        => 'Watermark Location',
    'watermark_image'           => 'Watermark Image',
    'watermark_redirect'        => 'Click <a href="%s">Here</a> to return to Watermark Management.',
    'preview'                   => 'Preview',
    'wm_upload_help'            => 'Click the Browse to locate a media to upload - Supported File Types: .GIF, .PNG, .JPG. <br /><br /><b>Maximum watermark file size is 64kb.</b>',
    'no_applet'                 => 'Your browser does not support applets. Or you have disabled applet in your options.<br /> To use this applet, please install the newest version of Sun\'s java. You can get it from <a href="http://www.java.com/">java.com</a>',
    'watermarked'               => 'WM',
    'category'                  => 'Category',
    'category_manage_help'      => 'Category Maintenance',
    'cat_id'                    => 'ID',
    'cat_name'                  => 'Category Name',
    'cat_description'           => 'Category Description',
    'create'                    => 'create',
    'create_category'           => 'Create Category',
    'edit_category'             => 'Edit Category',
    'cat_edit_help'             => 'Create or Edit a new Media Gallery Category',
    'no_category'               => 'No category assigned',
    'search'                    => 'Search',
    'batch_processor'           => 'Media Gallery Batch Processor',
    'processing'                => 'processing',
    'timer_expired'             => 'Timer expired at %s secs. ',
    'processing_next_items'     => 'Processing next %s item(s). Please wait...',
    'percent_completed'         => '%s %% completed',
    'processing_details'        => 'Processing Details',
    'processed_items'           => 'Items Processed',
    'status'                    => 'Status',
    'total_items'               => 'Total Items to Process',
    'items_remaining'           => 'Items Remaining',
    'items_last_cycle'          => 'Items Last Cycle',
    'time_limit'                => 'Max Execution Time Allowed',
    'item_rate'                 => 'Item Rate',
    'batch_parameters'          => 'Batch Parameters',
    'items_per_cycle'           => 'Items per Cycle',
    'all_done'                  => 'All Items Processed',
    'finished'                  => 'Finished',
    'begin_processing'          => 'Press Next to Begin Processing',
    'keywords'                  => 'Keywords',
    'preserve_filename'         => 'Preserve Original Filename',
    'discard_originals'         => 'Discard Original Images',
    'custom_image_height'       => 'Custom Image Height',
    'custom_image_width'        => 'Custom Image Width',
    'verbose'                   => 'Verbose (debug logging)',
    'disable_wn_comments'       => 'Disable What\'s New Comments',
    'enable_mid'                => 'Enable Media ID display',
    'full_in_popup'             => 'Full Image Display in Popup',
    'cmtbar'                    => 'Display Full Comment Bar',
    'wn_title_length'           => 'What\'s New Title Length',
    'batch_options'             => 'Batch Processing Options',
    'refresh_rate'              => 'Refresh Rate',
    'time_limit'                => 'Maximum execution time allowed',
    'item_limit'                => 'Maximum items per cycle',
    'custom'                    => 'Custom',
    'system_default_editor'     => 'System Defaults Editor',
    'av_default_editor'         => 'Audio / Video Defaults Editor',
    'system_options'            => 'System Options',
    'album_default_editor'      => 'Album Defaults',
    'reports'                   => 'Reports',
    'quota_reports'             => 'Quota Reports',
    'batch_sessions'            => 'Batch Sessions',
    'paused_sessions'           => 'Paused Sessions',
    'utilities'                 => 'Utilities',
    'gallery_v2_import'         => 'Gallery v2',
    'batch_rotate_images'       => 'Rotating Images in album: %s',
    'batch_watermark_images'    => 'Watermarking Images in album: %s',
    'batch_resize_images'       => 'Resizing Images in Album: %s',
    'batch_rebuild_thumbs'      => 'Rebuilding Thumbnails in Album: %s',
    'queue_delete'              => ' removed from queue and deleted',
    'queue_processed'           => ' successfully placed in album',
    'owner'                     => 'Owner',
    'remove_error'              => 'You can only remove the original images if <b>Discard Original Images</b> is enabled in System Options',
    'file_list'                 => 'File List',
    'quick_create'              => 'Quick Album Create',
    'ftp_path'                  => 'FTP Path Directory',
    'put_files'                 => 'Put Files of',
    'into_album'                => 'into album',
    'root_album'                => 'Root Album - No image upload allowed',
    'size_500x375'              => 'Size 500x375',
    'size_600x450'              => 'Size 600x450',
    'size_620x465'              => 'Size 620x465',
    'size_720x540'              => 'Size 720x540',
    'size_800x600'              => 'Size 800x600',
    'size_912x684'              => 'Size 912x684',
    'size_1024x768'             => 'Size 1024x768',
    'size_1152x864'             => 'Size 1152x864',
    'size_1280x1024'            => 'Size 1280x1024',
    'size_custom'               => 'Custom - ',
    'characters'                => 'Characters',
    'zero_unlimited'            => '0 = Unlimited',
    'user_quota'                => 'Your quota is %d Kb and you have used %d Kb with %d Kb remaining<br /><br />',
    'member_album_options'      => 'Member Album Options',
    'member_albums'             => 'Member Albums',
    'enable_member_albums'      => 'Enable Member Albums',
    'default_member_quota'      => 'Default Member Quota',
    'auto_create'               => 'Auto Create Albums',
    'allow_create'              => 'Allow Creation under Member Root',
    'member_root'               => 'Member Albums Root Album',
    'rebuild_quota'             => 'Rebuild User Quota\'s',
    'rebuild_quota_help'        => 'This will scan all the albums on the system and rebuild the quota usage for each user.',
    'member_archive'            => 'Archive Deleted Member Albums',
    'do_not_archive'            => 'Delete - Do Not Archive',
    'root_album'                => 'Root Album',
    'batch_create_members'      => 'Batch Create Member Albums',
    'quota_report'              => 'Quota Report',
    'username'                  => 'User Name',
    'userid'                    => 'User ID',
    'active'                    => 'Active',
    'quota'                     => 'Quota',
    'used'                      => 'Used',
    'category_error'            => 'You must enter a category name.',
    'no_cat'                    => 'No Categories currently exist',
    'edit_user'                 => 'Edit User',
    'rebuild_all_thumbnails'    => 'Rebuild All Thumbnails',
    'resize_all_images'         => 'Resize All Images',
    'starting_album'            => 'Starting Album',
    'media_original_filename'   => 'Original Filename',
    'delete_item_confirm'       => 'Are you sure you want to delete the selected items?',
    'static_sort_albums'        => 'Static Sort Albums',
    'static_sort_media'         => 'Static Sort Media',
    'process_subs'              => 'Process Sub-Albums',
    'media_count'               => 'Media Count',
    'last_update'               => 'Last Update',
    'enable_rss'                => 'Enable Album RSS Feed',
    'enable_postcard'           => 'Enable PostCards',
    'all_users'                 => 'All Users',
    'rss_feeds'                 => 'RSS Feeds',
    'rss_options'               => 'RSS Feed Options',
    'rss_rebuild_all'           => 'Rebuild Full RSS Feed',
    'rss_rebuild_album'         => 'Rebuild All Album RSS Feeds',
    'rss_full'                  => 'Build Full Album RSS Feed',
    'rss_type'                  => 'RSS Feed Type',
    'rss_ignore_empty'          => 'Exclude empty albums from RSS feed',
    'rss_anonymous_only'        => 'Only Include Albums available to the public',
    'rss_feed_name'             => 'Base filename for RSS Feed file',
    'postcard_retention'        => 'Days to retain sent PostCards',
    'member_album_postfix'      => ' Album',
    'mass_delete_help'          => 'Batch Album Delete - USE WITH CAUTION',
    'rss_options'               => 'RSS Feed Options',
    'batch_delete_albums'       => 'Batch Delete Albums',
    'reset_members'             => 'Reset Member Album Create Flag',
    'reset_members_details'     => 'This will check to see if a Member Album exists for all users, if none exists the database will be updated showing no album exists for that user.',
    'approve_all'               => 'Approve All',
    'rss_directory'             => 'RSS Directory',
    'user_prefs_title'          => 'Media Gallery User Options',
    'xp_pub'                    => 'XP Publishing',
    'purge_member_albums'       => 'Purge Member Albums',
    'last_login'                => 'Last Login',
    'purge_mem_albums_help'     => 'Batch Remove Stale Member Albums - Lists albums with NO content',
    'anonymous_uploads_prompt'  => 'Logged-in User Uploads',
    'anonymous_uploads_help'    => 'Set this parameter to allow registered users to upload media',
    'member_upload'             => 'Allow registered users to upload media to this album',
    'reset_defaults'            => 'Reset Defaults',
    'reset_defaults_details'    => 'Reset ALL System Options, Album Defaults and AV Defaults to installation defaults. This will only affect the default settings, it will not affect any existing albums.  Use with caution!',
    'no_sessions'               => 'No active sessions found',
    'media_title'               => 'Media Title',
    'seconds_per_item'          => '%s seconds per item',
    'subalbums'                 => 'Sub Albums',
    'rss_options'               => 'RSS Options',
    'filecheck'                 => 'FileCheck',
    'gl_story'                  => 'Geeklog Stories',
    'allow_download'            => 'Allow Media Download',
    'display_album_desc'        => 'Display Album Description',
    'jpg'                       => 'JPEG',
    'png'                       => 'PNG',
    'tif'                       => 'TIF',
    'gif'                       => 'GIF',
    'bmp'                       => 'BMP',
    'tga'                       => 'TGA',
    'psd'                       => 'PSD',
    'mp3'                       => 'MP3',
    'ogg'                       => 'OGG',
    'asf'                       => 'WMV',
    'swf'                       => 'SWF',
    'mov'                       => 'MOV',
    'mp4'                       => 'MP4',
    'mpg'                       => 'MPEG',
    'zip'                       => 'ZIP',
    'other'                     => 'Other',
    'image'                     => 'Image',
    'audio'                     => 'Audio',
    'video'                     => 'Video',
    'allowed_media_formats'     => 'Allowed Media Types',
    'filename_title'            => 'Use Filename as Caption',
    'profile_hook'              => 'Display MG Info in User Profile',
    'expand_all'                => 'Expand All',
    'collapse_all'              => 'Collapse All',
    'dnd_title'                 => 'Media Gallery Drag & Drop Album Maintenance',
    'version_info'              => 'Version Information',
    'up_to_date'                => 'Your installation is up to date, no updates are available for your version of Media Gallery',
    'no_version_info'           => 'Unable to determine latest version of Media Gallery.',
    'browser_upload'            => 'Web Browser Upload',
    'gallery_remote'            => 'Gallery Remote',
    'index_album_skin'          => 'Index Album Skin',
    'album_display_rows'        => 'Album Display Rows',
    'image_skin'                => 'Image Skin',
    'album_skin'                => 'Album Skin',
    'display_skin'              => 'Display Skin',
    'do_not_convert_orig'       => 'Do not convert original to JPG',
    'whatsnew_title'    => 'MEDIA GALLERY',
    'no_title'          => 'No media title available',
    'subalbum_select'           => 'Show Sub-Albums in Select Box',
    'select_subalbum'           => 'Select Sub-Album',
    'enable_keywords'           => 'Enable Keywords',
    'ffmpeg_path'               => 'FFMPEG Path',
    'ffmpeg_enable'             => 'Enable FFMPEG support',
    'flashplayer'               => 'Flash Player',
    'batch_quota_update'        => 'Batch Quota Update',
    'replace_file'                    => 'Replace File',
    'podcast'                             => 'Podcast Album',
    'autotag_caption'                 => 'Use media / album title as caption for autotags',
    'popup_from_album'              => 'Play audio / video media directly from album view',
    'out_of_date'               => 'Your installation does not seem to be up to date. Updates are available for your version of Media Gallery, please visit <a href="http://www.gllabs.org">http://www.gllabs.org/</a> to obtain the latest version.<br><br>The latest available version is Media Gallery %s You are running Media Gallery %s',
    /* --- Modified in v1.5.0 --- */
    'jpg_quality'               => 'Display JPG Quality',
    /* --- New in version 1.5.0 --- */
    'js_slideshow'              => 'JavaScript',
    'lightbox'                  => 'LightBox',
    'remote_media'              => 'Remote Media',
    'remote_media_type'         => 'Remote Media Type',
    'remote_help'               => 'This screen allows you to upload (include) remote streaming FLV files or video files from sites such as Google Video and YouTube',
    'remote_url'                => 'Remote URL',
    'embed'                     => 'Embedded Video',
    'alternate_url'             => 'Alternate URL',
    'flv_stream'                => 'Streaming FLV',
    'remote_thumbnail'          => 'Remote Thumbnail',
    'flv'                       => 'FLV',
    'rflv'                      => 'Remote FLV',
    'emb'                       => 'Embedded Video',
    'random_size'               => 'Random Image Block Width',
    'flash_slideshow_full'      => 'Flash (Orig)',
    'flash_slideshow_disp'      => 'Flash (Disp)',
    'media_attributes'          => 'Media Handling Options',
    'orig_jpg_quality'          => 'Original JPG Quality',
    'truncate_breadcrumb'       => 'Truncate Breadcrumbs',
    'member_use_fullname'       => 'Use Fullname for Member Album title',
    'feature_member_album'      => 'Feature Member Album on main page',
    'allow_remote'              => 'Enable Remote Users',
);

// error messages

$LANG_MG02 = array (
    'error_header'              => 'Errore in Media Gallery',
    'generic_error'             => 'Media Gallery ha incontrato un errore processando la tua richiesta. Per favore prova ancora',
    'upload_too_big'            => '%s - Il file caricato  troppo grande (secondo le direttive di php.ini).',
    'upload_too_big_html'       => '%s - Il file caricato  troppo grande (secondo le direttive del form HTML).',
    'partial_upload'            => '%s - Il file  stato caricato SOLO PARZIALMENTE.',
    'missing_tmp'               => 'Non trovo la cartella temporanea.',
    'disk_fail'                 => 'Non posso scrivere il file sul disco.',
    'unknown_err'               => 'Ho trovato un errore sconosciuto caricando il file',
    'albumaccessdeny'           => "Non hai i privilegi di accesso per vedere questo Album...  Questo perch non sei membro di {$_CONF['site_name']}.  per favore <a href={$_CONF['site_url']}/users.php?mode=new> registrati come utente</a> di {$_CONF['site_name']} per avere tutti i privilegi!",
    'admin_access_deny'         => 'Mi spiace, non puoi accedere alla pagina di amministrazione di Media Gallery. Ricordati che tutti i tentativi di accesso non autorizzati vengono tracciati',
    'no_target_album'           => 'Non  stato selezionato un Album obbiettivo.',
    'invalid_directory'         => 'La directory NON esiste',
    'directory_error'           => 'Non posso aprire la directory per vedere il media da te richiesto',
    'album_not_found'           => 'Non ho travo l\'Album',
    'usage_report_error1'       => 'NON PUOI SELEZIONARE "ALL USERS" e "ALL DATES". Per favore correggi e riprova.',
    'unknown_filetype'          => ' Tipo di file non riconosciuto.<br />',
    'move_error'                => ' Ho trovato un errore spostando o copiando il file %s<br (durante il caricamento)/>',
    'convert_error'             => ' Ho trovato un errore convertendo il file %s<br (durante il caricamento)/>',
    'perm_error'                => ' Non posso aprire il file (Non hai i permessi)',
    'album_nonexist'            => 'L\'Album non esiste, non ho potuto effettuare l\'upload',
    'upload_not_found'          => 'Non ho trovato il file caricato.  Controlla gli "error Logs" del tuo webserver e controlla che i paramentri di massime dimensioni permesse (nel file php.ini) siano pi grandi delle dimensioni del documento che stai cercando di caricare.',
    'upload_not_readable'       => 'Non ho potuto aprire il documento caricato / importato.  Controlla che i permessi del file siano corretti e accertati che il webserver abbia impostato come READ l\'accesso ai file',
    'rate_speedlimit'           => "Hai votato un Media SOLO %s secondi fa. Questo sito richiede almeno {$_CONF['commentspeedlimit']} secondi tra un voto e l\'altro",
    'inmemoriam_not_installed'  => 'Il plugin Inmemoriam non  installato o non  attivo.',
    /* --- Not Translated yet ---*/
    'geekary_not_installed'     => 'Geekary Plugin not installed or not enabled.',
    'upload_exceeds_max_filesize' => '%s - Exceeds the maximum configured filesize for this album',
    'unsupported_wm_type'       => ' - Unsupported watermark file type',
    'wm_aleady_exists'          => ' already exists in watermark directory',
    'wm_success'                => ' - Watermark succesfully uploaded<br />',
    'upload_exceeds_quota'      => '%s - This upload would exceed your usage quota.',
    'postcard_speedlimit'       => "You last sent a PostCard %s seconds ago. This site requires at least {$_CONF['commentspeedlimit']} seconds between PostCards",
    'error_create_tmp'          => 'Error creating temporary directory. Please contact the site administrator',
    'wm_already_exists'         => 'The watermark file %s already exists on the server',
    /* --- New in version 1.5.0 --- */
    'invalid_remote_url'        => 'File %d is not a valid streaming FLV URL',
    'invalid_embed_url'         => 'File %d is not a valid embed URL',
);

// userland items...

$LANG_MG03 = array (
    'featured_album'        => 'L\'Album del giorno',
    'updated_prompt'        => 'Aggiornato il:',
    'no_album_objects'      => '<br>Non ci sono Album da visualizzare<br><br>Non ci sono Album da visualizzare.  Forse non ci sono Album registrati sul sito, o i tuoi permessi sono troppo restrittivi per questo Album.',
    'no_media_objects'      => '<h2>Questo Album  vuoto</h2>',
    'next'                  => 'Nuovo',
    'previous'              => 'Precedente',
    'home'                  => 'Home',
    'return_to_album'       => 'Torna all\'Album',
    'normal_size'           => 'Dimensione normale',
    'full_size'             => 'Dimensione piena',
    'play'                  => 'Play',
    'stop'                  => 'Stop',
    'ss_running'            => 'Lo Slide show sta partendo...',
    'ss_stopped'            => 'Lo Slide show  fermo, Clicca [play] per continuare.',
    'reverse'               => 'indetro veloce',
    'forward'               => 'avanti veloce',
    'picture_loading'       => 'Carico l\'immagine...',
    'please_wait'           => 'Aspetta per favore...',
    'transition'            => 'Transizione',
    'delay'                 => 'Ritardo',
    'loop'                  => 'Loop',
    'seconds'               => 'secondi',
    'jump_to'               => 'Vai a',
    'go'                    => 'Vai',
    'slide_show'            => 'Slide Show',
    'page'                  => 'Pagina',
    'of'                    => 'di',
    'image'                 => 'Immagine',
    'comments'              => 'Commenti',
    'views'                 => 'Visualizzazioni',
    'print_shutterfly'      => 'Stampa questa immagine con Shutterfly.com',
    'upload_help'           => 'Clicca su <b>Scegli Documento</b> per trovare il media da caricare sul sito',
    'add_media'             => 'Aggiungi Media',
    'upload_media'          => 'Media Gallery Upload Media',
    'upload_results'        => 'Media Gallery Upload Results',
    'album_redirect'        => 'Clicca <a href="%s">qui</a> per tornare all\'Album.',
    'browse_album'          => "Guarda tutto l'Album",
    'close'                 => 'Chiudi',
    'rating'                => 'Voto:',
    'votes'                 => 'Voti',
    'rate'                  => 'Valutazione',
    'sort_by'               => 'Sequenza di ordinamento',
    'sort_default'          => 'default',
    'sort_default_asc'      => 'default, ascendente',
    'sort_upload'           => 'giorno di upload, discendente',
    'sort_upload_asc'       => 'giorno di upload, ascendente',
    'sort_capture'          => 'giorno dello scatto,discendente',
    'sort_capture_asc'      => 'giorno dello scatto, ascendente',
    'sort_rating'           => 'voto, discendente',
    'sort_rating_asc'       => 'voto, ascendente',
    'sort_views'            => 'visualizzazioni, discendente',
    'sort_views_asc'        => 'visualizzazioni, ascendente',
    'print_digibug'         => 'stampa questo Media con Digibug.com',
    /* --- Not Translated Yet --- */
    'no_sort'               => 'No Automatic Sorting',
    'all_categories'        => 'All Categories',
    'category'              => 'Category',
    'per_page'              => 'per page',
    'title_desc_keywords'   => 'Title, Desc and Keywords',
    'keywords_only'         => 'Keywords Only',
    'title_desc_only'       => 'Title and Desc Only',
    'exact_phrase'          => 'Exact Phrase',
    'any'                   => 'any of these words',
    'all'                   => 'all of these words',
    'sort_alpha'            => 'title, desc',
    'sort_alpha_asc'        => 'title, asc',
    'advanced_search'       => 'Media Gallery Advanced Search',
    'search_query'          => 'Search Query',
    'search_help'           => 'You can use AND to define words which must be in the results, OR to define words which may be in the result and NOT to define words which should not be in the result. Use * as a wildcard for partial matches',
    'options'               => 'Options',
    'keywords'              => 'Keywords',
    'all_fields'            => 'Title, Desc, Keywords',
    'keywords_only'         => 'Keywords Only',
    'return_results'        => 'Return Results',
    'sort_by'               => 'Sort By',
    'search'                => 'search',
    'search_for'            => 'Search For',
    'search_in'             => 'Search In',
    'results'               => 'Results',
    'send_postcard'         => 'Send an Electronic PostCard',
    'invalid_to_email'      => 'To email address is invalid',
    'invalid_email'         => 'Invalid email address',
    'invalid_from_email'    => 'From email address is invalid',
    'invalid_subject'       => 'You must supply a subject',
    'invalid_message'       => 'You must supply a message body',
    'postcard_preview'      => 'PostCard Preview',
    'postcard_greet'        => 'A Post Card from ',
    'to'                    => 'To:',
    'from'                  => 'From:',
    'subject'               => 'Subject:',
    'visit'                 => 'Visit ',
    'send_to'               => 'Send PostCard To',
    'postcard_from'         => 'An Electronic PostCard From',
    'send_from'             => 'PostCard From',
    'to_name'               => 'To Name',
    'to_email'              => 'To Email',
    'from_name'             => 'Your Name',
    'from_email'            => 'Your Email',
    'message_body'          => 'Message Body',
    'send'                  => 'send',
    'cancel'                => 'cancel',
    'preview'               => 'preview',
    'text_body_email'       => 'You received an Electronic PostCard from %s. If you are unable to see the message below, visit %s to view',
    'error_postcard'        => 'Error Retrieving Your Electronic PostCard',
    'error_retrieve_text'   => 'The PostCard you are attempting to view is no longer available.<br />PostCard\'s are available for upto ' . $_MG_CONF['postcard_retention'] . ' days after they are sent.',
    'thank_you'             => 'Thank You',
    'zip_file_help'         => '.ZIP files will be extracted and the contents loaded into your album after upload.',
    'xp_pub_title'          => 'Media Gallery Windows XP Publishing',
    'xp_pub_help1'          => 'Windows XP has the ability to publish contect directly from your computer to Media Gallery.  Follow the instructions below to enable this feature on your Windows XP computer.',
    'xp_pub_help2'          => 'Follow the link below to download the configuration file.  Once the file has been downloaded, right-click and select Merge option.  You will be prompted to confirm you wish to import these values into your registry.  Click "Ok".  Once installed on your local computer, you do not need to download or re-install this file again.  Follow the Publishing steps below.',
    'xp_pub_help3'          => 'Open the folder on your computer you wish to publish to Media Gallery.  Select the images or folder, then select the link on the left hand menu "Publish this file to the web...".  Select this option and the follow the instructions, you will be prompted to log into Media Gallery and then select the destination album for your files.',
    'xp_pub_url'            => 'Download <a href="%s">xppubwiz.reg</a>',
    'setup'                 => 'Setup',
    'publishing'            => 'Publishing',
    'enroll_title'          => 'Member Album Self Enrollment',
    'overview'              => 'Overview',
    'terms'                 => 'Terms and Conditions',
    'member_album_overview' => 'Member Albums allow you the freedom to have your very own Media Gallery Album that you have semi-full control over.  There are a few site wide functions you cannot perform, such as making your album a Featured Album, but most administrative functions are available to you.',
    'member_album_terms'    => 'By pressing the Agree button below, you agree to abide by the terms and conditions set forth by the site administrators.  If you abuse or otherwise mis-use your Member Album, your account could be suspended.',
    'agree'                 => 'Agree',
    'existing_member_album' => 'It appears that you already have a Member Album and you can only have 1 directly off of the Member Album Root album.  If you feel this is an error, please contact the site administrator.',
    'member_album_signup'   => 'Get your own album in our Media Gallery.<br /><br /><center><a href="%s">Sign Up Here</a></center>',
    'unable_to_view_postcard'   => 'Use this link if you are unable to view the Post Card.',
    'album_id_display'      => 'Album ID: ',
    'no_new_items'          => 'No new media items',
    'no_comments'           => 'No new media comments',

    'search_results'        =>  'Media Gallery Search Results',
    'no_search_found'       => 'No search results found',
    'search_error'          => 'You must enter at least 1 search word',
    'artist'                => 'Artist',
    'album'                 => 'Album',
    'song'                  => 'Song',
    'track'                 => 'Track',
    'genre'                 => 'Genre',
    'year'                  => 'Year',
    'download'              => 'Download',
    'info'                  => 'Info',
    'large'                 => 'Large',
    'normal'                => 'Normal',
    'media_properties'      => 'Media Properties',
    'click_here'            => 'click here',
    'published'             => 'Published by',
    'on'                    => 'On',
    'no_flash'              => '<div style="width:200px;">It appears you do not have the Flash Plugin installed, or the version you have is out of date and cannot play the requested content.<br><p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" style="border:none;" /></a></p></div>',
    'tagline'               => 'Gallery powered by <a href="http://www.gllabs.org" target="_new">Media Gallery</a>',
    /* --- new in v1.5.0 --- */
    'xp_pub_url'            => 'Download <a href="%s">xppubwiz.reg (Windows XP)</a>',
    'vista_pub_url'         => 'Download <a href="%s">xppubwiz.reg (Windows Vista)</a>',
);

$LANG_MG04 = array (
    'exif_header'           => 'Propriet della foto',
    'aperture'              => 'Apertura',
    'shutter_speed'         => 'Velocit dello Shutter',
    'iso'                   => 'ISO',
    'focal_length'          => 'Ampiezza della focale',
    'flash'                 => 'Flash',
    'acd_comment'           => 'ACD Commenti',
    'ae_warning'            => 'AE Warning',
    'af_focus_position'     => 'AF Focus Position',
    'af_point_selected'     => 'AF Point Selected',
    'af_point_used'         => 'AF Point Used',
    'adapter'               => 'Adattatore',
    'artist'                => 'Artista',
    'battery_level'         => 'Livello della batteria',
    'bits_per_sample'       => 'Bits',
    'blur_warning'          => 'Blur Warning',
    'brightness'            => 'Luminosit',
    'ccd_sensitivity'       => 'CCD Sensibilit',
    'camera_id'             => 'Camera ID',
    'camera_serial_number'  => 'Numero seriale della camera',
    'color'                 => 'Color',
    'color_mode'            => 'Color Mode',
    'color_space'           => 'Color Space',
    'component_configuration' => 'Configuratione dei componenti',
    'compressed_bits_per_pixel' => 'Compressione Bits Per Pixel',
    'compression'           => 'Compressione',
    'continuous_taking_bracket' => 'Continuous Taking Bracket',
    'contrast'              => 'Contrasto',
    'converter'             => 'Convertitore',
    'copyright'             => 'Copyright',
    'custom_functions'      => 'Funzioni proprietarie',
    'customer_render'       => 'Customer Render',
    'datetime'              => 'Data/Ora',
    'digital_zoom'          => 'Zoom digitale',
    'digital_zoom_ratio'    => 'Ratio dello zoom digitale',
    'drivemode'             => 'DriveMode',
    'easy_shooting'         => 'Easy Shooting',
    'exposure_bias'         => 'Bias dell\'esposizione',
    'exposure_index'        => 'Index dell\'esposizione',
    'exposure_mode'         => 'Modealit dell\'esposizione',
    'exposure_program'      => 'Programma dell\'esposizione',
    'file_source'           => 'File Sorgente',
    'firmware_version'      => 'Versione del firmware',
    'flash_bias'            => 'Bias del flash',
    'flash_details'         => 'Dettagli del flash',
    'flash_energy'          => 'Energia del flash',
    'flash_mode'            => 'Flash Mode',
    'flash_pix_version'     => 'Versione  del flash',
    'flash_setting'         => 'Settaggio del flash',
    'flash_strength'        => 'Potenza del flash',
    'focal_plane_resolution_unit' => 'Unit di risoluzione del punto di fuoco',
    'focal_plane_x_resolution' => 'Punto di fuoco sull\'asse X',
    'focal_plane_y_resolution' => 'Punto di fuoco sull\'asse Y',
    'focal_units'           => 'Focal Units',
    'focus'                 => 'Fuoco',
    'focus_mode'            => 'Modalit del fuoco',
    'focus_warning'         => 'Avertimento del fuoco',
    'gain_control'          => 'Controllo del guadagno',
    'image_adjustment'      => 'Aggiustamento dell\'immagine',
    'image_description'     => 'Descrizione dell\'immagine',
    'image_history'         => 'Storia dell\'immagine',
    'image_length'          => 'Lunghezza dell\'immagine',
    'image_number'          => 'Numero dell\'immagine',
    'image_sharpening'      => 'Acuirsi dell\'immagine',
    'image_size'            => 'Ampiezza dell\'immagine',
    'image_type'            => 'Tipo di immagine',
    'image_width'           => 'Larghezza dell\'immagine',
    'inter_color_profile'   => 'Profilo colore',
    'interlace'             => 'Interlacciamento',
    'interoperability_index'=> 'Indice di interoperabilit',
    'interoperability_version' => 'Versione di interoperabilit',
    'related_image_file_format' => 'formato del file',
    'related_image_length'  => 'Lunghezza dell\'immagine',
    'related_image_width'   => 'Larghezza dell\'immagine',
    'jpeg_tables'           => 'Tavole JPEG',
    'jpeg_if_byte_count'    => 'Conteggio dei bytes IF della JPeg',
    'jpeg_if_offset'        => 'JPeg IF Offset',
    'jpeg_quality'          => 'Qualit della JPEG',
    'light_source'          => 'Sorgente di luce',
    'long_focal_length'     => 'Lunghezza della focale',
    'macro'                 => 'Macro',
    'make'                  => 'Make',
    'manual_focus_distance' => 'Distanza del fuoco manuale',
    'max_aperture_value'    => 'Valore dell\'apertura massimo',
    'metering_mode'         => 'Modalit di misura',
    'model'                 => 'Modello',
    'noise'                 => 'Rumore',
    'noise_reduction'       => 'Riduzione del rumore',
    'orientation'           => 'Orientamento',
    'owner_name'            => 'Nome del proprietario',
    'photometric_interpretation' => 'Interpretazione fotometrica',
    'photoshop_settings'    => 'Settaggi di Photoshop',
    'picture_info'          => 'Info sull\'immagine',
    'picture_mode'          => 'Modo immagine',
    'planar_configuration'  => 'Configurazione planare',
    'predictor'             => 'Predictor',
    'primary_chromaticities' => 'Primary Chromaticities',
    'quality'               => 'Qualit',
    'reference_bw'          => 'Bilanciamento bianco/nero',
    'related_sound_file'    => 'File sonoro collegato',
    'resolution_unit'       => 'Risoluzione',
    'rows_per_strip'        => 'Righe per striscia',
    'samples_per_pixel'     => 'Campioni per Pixel',
    'saturation'            => 'Saturazione',
    'scene_capture_mode'    => 'Scene Capture Mode',
    'scene_type'            => 'Tipo di scena',
    'security_classification'   => 'Security Classification',
    'self_timer'            => 'Self Timer',
    'self_timer_mode'       => 'Self Timer Mode',
    'sensing_method'        => 'Sansibilit',
    'sequence_number'       => 'Numero della sequenza',
    'sharpness'             => 'Acutezza',
    'short_focal_length'    => 'Lunghezza della focale',
    'slow_sync'             => 'Sincronizzazione lenta',
    'software'              => 'Software',
    'software_release'      => 'Software Release',
    'spatial_frequency_response' => 'Risposta di frequenza spaziale',
    'special_mode'          => 'Special Mode',
    'spectral_sensitivity'  => 'Sensibilit spettrale',
    'strip_byte_counts'     => 'Strip Byte Counts',
    'strip_offsets'         => 'Strip Offsets',
    'subifds'               => 'SubIFDs',
    'subfile_type'          => 'Subfile Type',
    'subject_distance'      => 'Subject Distance',
    'subject_location'      => 'Subject Location',
    'subsec_time'           => 'Subsec Time',
    'subsec_time_digitized' => 'Subsec Time (Digitized)',
    'subsec_time_original'  => 'Subsec Time (Original)',
    'tiff_ep_standard_id'   => 'TIFF/EP Standard ID',
    'tile_byte_counts'      => 'Tile Byte Counts',
    'tile_length'           => 'Tile Length',
    'tile_offsets'          => 'Tile Offsets',
    'tile_width'            => 'Tile Width',
    'time_zone_offset'      => 'Time Zone Offset',
    'tone'                  => 'Tono',
    'transfer_function'     => 'Funzione di trasferimento',
    'user_comment'          => 'Commento dell\'utente',
    'version'               => 'Versione',
    'white_balance'         => 'Bilanciamento del bianco',
    'white_point'           => 'Punto del bianco',
    'ycbcr_coefficients'    => 'Coefficienti Y/Cb/Cr',
    'ycbcr_positioning'     => 'Posizionamento Y/Cb/Cr',
    'ycbcr_sub_sampling'    => 'Sotto campionamento Y/Cb/Cr',
    'x_resolution'          => 'Risoluzione X',
    'y_resolution'          => 'Risoluzione Y',
    'exif_image_height'     => 'Altezza dell\'immagine EXIF',
    'exif_image_width'      => 'Larghezza dell\'immagine EXIF',
    'iptc_supplemental_categories' => 'IPTC: Categorie supplementali',
    'iptc_keywords'         => 'IPTC: Parole chiave',
    'iptc_caption'          => 'IPTC: Intestazione',
    'iptc_caption_writer'   => 'IPTC: Scrittore di intestazione',
    'iptc_headline'         => 'IPTC: Titolo',
    'iptc_special_instructions' => 'IPTC: istruzioni speciali',
    'iptc_category'         => 'IPTC: Categoria',
    'iptc_byline'           => 'IPTC: Byline',
    'iptc_byline_title'     => 'IPTC: Titolo Byline',
    'iptc_credit'           => 'IPTC: Crediti',
    'iptc_source'           => 'IPTC: Sorgente',
    'iptc_copyright_notice' => 'IPTC: Informazioni sul Copyright',
    'iptc_object_name'      => 'IPTC: Nome dell\'oggetto',
    'iptc_city'             => 'IPTC: Citt',
    'iptc_province_state'   => 'IPTC: Provincia',
    'iptc_country_name'     => 'IPTC: nazione',
    'iptc_original_transmission_reference' => 'IPTC: Riferimento di trasmissione originale',
    'iptc_date_created'     => 'IPTC: Data di creazione',
    'iptc_copyright_flag'   => 'IPTC: Elenco dei diritti',
    'iptc_time_created'     => 'IPTC: Ora di creazione',
    //
    'dots_per_resolution_unit'  => ' punti per Unit di risoluzione',  // Xresolution YResolution
    'sec'                       => ' secondi',                      // Exposure Time
    'ev'                        => ' EV',                       // Exposure Bias Value
    'bulb'                      => 'Bulbo',
    // orientation
    'normal'                    => 'Normale (0 gradi)',
    'mirrored'                  => 'Specchiato',
    'upsidedown'                => 'Upsidedown',
    'upsidedown_mirrored'       => 'Upsidedown Mirrored',
    'cw_mirrored'               => '90 deg CW Mirrored',
    'ccw'                       => '90 deg CCW',
    'ccw_mirrored'              => '90 deg CCW Mirrored',
    'cw'                        => '90 deg CW',
    // Resolution Unit FocalPlaneResolutionUnit ThumbnailResolutionUnit
    'no_unit'                   => 'Nessuna unit',
    'inch'                      => 'Pollici',
    'centimeter'                => 'Centimetri',
    //YCbCrPositioning
    'center_of_pixel_array'     => 'Centro di insieme di pixel',
    'datum_point'               => 'Datum Point',
    //Exposure Program
    'manual'                    => 'Manuale',
    'Program'                   => 'Programma',
    'aperature_priority'        => 'Priorit di apertura',
    'shutter_priority'          => 'Priorit di diaframmi',
    'program_creative'          => 'Programma Creativo',
    'program_action'            => 'Programma di Azione',
    'portrait'                  => 'Ritratto',
    'landscape'                 => 'Paesaggio',
    // Metering Mode
    'unknown'                   => 'Sconosciuto',
    'average'                   => 'Media',
    'center_weighted_average'   => 'Center Weighted Average',
    'spot'                      => 'Spot',
    'multi_spot'                => 'Multi-Spot',
    'multi_segment'             => 'Multi-Segment',
    'partial'                   => 'Partiale',
    'other'                     => 'Altro',
    // lightsource
    'unknown_or_auto'           => 'Sconosciuto o automatico',
    'daylight'                  => 'Luce del giorno',
    'flourescent'               => 'Fluorescente',
    'tungsten'                  => 'Tungsteno',
    'flash'                     => 'Flash',
    'standard_a'                => 'Standard Light A',
    'standard_b'                => 'Standard Light B',
    'standard_c'                => 'Standard Light C',
    'd55'                       => 'D55',
    'd65'                       => 'D65',
    'd75'                       => 'D75',
    'srgb'                      => 'sRGB',
    'uncalibrated'              => 'Non calibrato',
    'pixels'                    => ' pixels',
    'no_compression'            => 'Senza compressione',
    'jpeg_compression'          => 'Con compressione JPEG',
    'not_defined'               => 'Non definito',
    'one_chip_color_area_sensor'    => 'One Chip Color Area Sensor',
    'two_chip_color_area_sensor'    => 'Two Chip Color Area Sensor',
    'three_chip_color_area_sensor'  => 'Three Chip Color Area Sensor',
    'color_sequential_area_sensor'  => 'Color Sequential Area Sensor',
    'trilinear_sensor'              => 'Trilinear Sensor',
    'color_sequential_linear_sensor'    => 'Color Sequential Linear Sensor',
    'monochrome'                    => 'Monocromatico',
    'rgb'                           => 'RGB',
    'ycbcr'                         => 'YCbCr',
    // file source
    'digital_still_camera'          => 'Digital Still Camera',
    // scene type
    'directly_photographed'         => 'Fotografato direttamente',
    // flash
    'flash_00'              => 'senza flash',
    'flash_01'              => 'con flash',
    'flash_05'              => 'Strobe return light not detected',
    'flash_07'              => 'Strobe returned light detected',
    'flash_09'              => 'con flash, compulsory flash mode',
    'flash_13'              => 'con flash, compulsory flash mode, return light not detected',
    'flash_15'              => 'con flash, compusory flash mode, return light detected',
    'flash_16'              => 'senza flash, compulsory flash mode',
    'flash_24'              => 'senza flash, auto mode',
    'flash_25'              => 'con flash, auto mode',
    'flash_29'              => 'con flash, auto mode, return light not detected',
    'flash_31'              => 'con flash, auto mode, return light detected',
    'flash_32'              => 'No flash function',
    'flash_65'              => 'con flash, modalit di riduzione degli orcchi rossi impostata',
    'flash_69'              => 'con flash, modalit di riduzione degli orcchi rossi impostata, return light not detected',
    'flash_71'              => 'con flash, modalit di riduzione degli orcchi rossi impostata, return light not detected',
    'flash_73'              => 'con flash, compulsory flash mode, red-eye reduction mode',
    'flash_77'              => 'con flash, compulsory flash mode, red-eye reduction mode, return light not detected',
    'flash_79'              => 'con flash, compulsory flash mode, red-eye reduction mode, return light detected',
    'flash_89'              => 'con flash, auto mode, modalit di riduzione degli orcchi rossi impostata',
    'flash_92'              => 'con flash, auto mode, return light not detected, modalit di riduzione degli orcchi rossi impostata',
    'flash_95'              =>  'con flash, auto mode, return light detected, modalit di riduzione degli orcchi rossi impostata',
);

// Slideshow transitions

$LANG_MG05 = array (
    'blend'                 => 'Miscela',
    'blinds'                => 'Tendine',
    'checkerboard'          => 'Scacchiera',
    'diagonal'              => 'Diagonale',
    'doors'                 => 'Doors',
    'gradient'              => 'Gradiente',
    'iris'                  => 'Iris',
    'pinwheel'              => 'Girandola',
    'pixelate'              => 'Pixelate',
    'radial'                => 'Radiale',
    'rain'                  => 'Pioggia',
    'slide'                 => 'Slide',
    'snow'                  => 'Nevicata',
    'spiral'                => 'Spirale',
    'stretch'               => 'Stretch',
    'random'                => 'Casuale'
);

$LANG_MG06 = array (
    'title'                 => 'Media Gallery Publishing Wizard',
    'welcome'               => 'Benvenuto a',
    'info_text'             => 'The Media Gallery XP Publishing Wizard non riporta errori durante gli uploads, semplicemente il file con errori, verr ignirato.<p>Guarda il file error.log del tuo Geeklog.',
    'no_albums'             => 'Non ci sono albums o non hai i permessi per caricare oggetti negli album',
    'select_album'          => 'Cerca l\'album dove pubblicare un Media'
);

$LANG_MG07 = array (
    'playback_options'          => 'Opzioni per il playback',
    'none'                      => 'nessuno',
    'mini'                      => 'mini',
    'full'                      => 'pieno',
    'low'                       => 'basso',
    'high'                      => 'alto',
    'showall'                   => 'Mostra tutto',
    'noborder'                  => 'Senza bordo',
    'exactfit'                  => 'Riempi esattamente',
    'window'                    => 'Finestra',
    'opaque'                    => 'Opaco',
    'transparent'               => 'Trasparente',
    'to_fit'                    => 'A tutto schermo',
    'aspect'                    => 'Aspetto',
    'normal_size'               => 'Dimensione normale',
    'description'               => 'Descrizione',
    'option'                    => 'Optione',
    'on'                        => 'On',
    'off'                       => 'Off',
    'auto_start'                => 'Auto Start',
    'auto_start_help'           => 'Se impostato su ON, l\'autoplay lancer il video non appena il plug-in ne avr caricata una porzione senza aspettare altri dati in arrivo.',
    'enable_context_menu'       => 'Abilita il men contestuale',
    'enable_context_menu_help'  => 'Se impostato su ON, verr mostrato il men contestuale al click del tasto destro del mouse.',
    'stretch_to_fit'            => 'Ridimensiona',
    'stretch_to_fit_help'       => 'Se impostato su ON, il video verr ridimensionato per riempire lo spazio nella finestra di Windows Media Player.',
    'status_bar'                => 'Mostra la barra di stato',
    'status_bar_help'           => 'Se impostato su ON, verr visualizzata la barra di stato.',
    'ui_mode'                   => 'Modalit di interfaccia dell\'utente',
    'ui_mode_help'              => 'Specifica quali controlli saranno visualizzati nella interfaccia utente.',
    'height'                    => 'Altezza',
    'width'                     => 'Larghezza',
    'height_help'               => 'Grandezza della finestra di playback',
    'width_help'                => 'Grandezza della finestra di playback',
    'menu'                      => 'Menu',
    'menu_help'                 => 'Mostra il men completo, consentendo una enorme variet di opzioni per migliorare o controllare il playback di un video.',
    'quality'                   => 'Qualit',
    'quality_help'              => 'Qualit del playback',
    'flash_vars'                => 'Variabili di Flash',
    'auto_ref'                  => 'Auto Ref',
    'auto_ref_help'             => 'Se impostato su ON, AUTOREF fa partire immediatamente il video senza il bisogno di un click del mouse.',
    'controller'                => 'Controller',
    'controller_help'           => 'Se impostato su ON, verr visualizzata la barra di controllo del video.',
    'kiosk_mode'                => 'Kiosk Mode',
    'kiosk_mode_help'           => 'Quando la funzione Kiosk Mode  su On, il plug-in non includer il suo men pop-up nella finestra del video e non consentir quindi il drag and drop impedendone di fatto la possibilit di essere copiato.',
    'scale'                     => 'Scala',
    'scale_help'                => 'Scala pu essere TOFIT, ASPECT o Normal.  Se impostato su ToFit, il video viene ridimensionato (scalato) per riempire il box specificato da altezza e larghezza.  Se impostato su Aspect, il video viene ridimensionato (scalato) per riempire il box specificato da altezza e larghezza, mantenendo sempre il suo rapporto di proporzione. Se impostato su Normal, il video verr lanciato nella grandezza impostata.',
    'swf_scale_help'            => 'Default (vedi tutto) mostra il video nell\'area specificata senza distorsione, mantenendone l\'aspetto originario. Alcuni bordi potranno per questo apparire ai margini del video. No Border scala il video pe riempire l\'area destinata, senza distorsioni ma, purtroppo potremo avere alcuni tagli ai margini esterni dei fotogrammi, volendo mantenere l\'aspetto del video.  Exact Fit fa vedere il video nell\'area destinata, sensa preoccuparsi di mantenere l\'esatto aspetto dei pixels. Avremo delle distorsioni.',
    'wmode'                     => 'Window Mode',
    'wmode_help'                => 'Imposta le propriet di un video in Flash, quali trasparenza, livello e posizionamento nel browser.',
    'loop'                      => 'Loop',
    'loop_help'                 => 'Specifica se il filmato deve essere ripetuto indefinitivamente o fermarsi quando raggiunge l\'ultimo fotogramma',
    'always'                    => 'Sempre',
    'sameDomain'                => 'Stesso dominio',
    'never'                     => 'Mai',
    'asa'                       => 'Abilita l\'accesso agli script',
    'asa_help'                  => 'Questo parametro controlla quando se ad una ActionScript in un file SWF  permesso di usare JavaScript in una pagina HTML che lo contiene.',
    'bgcolor'                   => 'Colore dello sfondo',
    'bgcolor_help'              => 'Imposta il colore dello sfondo per la finestra di playback',
    'clsid'                     => 'Object Class ID',
    'codebase'                  => 'Codice base',
    /* --- Not Translated Yet --- */
    'playcount'                 => 'Playcount',
    'playcount_help'            => 'How many times the file should be repeated',
    'loop'                      => 'Loop',
    'loop_help'                 => 'Continuous playback',
    'wmp_options'               => 'Windows Media Playback Options',
    'qt_options'                => 'QuickTime Playback Options',
    'mp3_options'               => 'MP3 Playback Options',
    'swf_options'               => 'Flash Media Playback Options',
    'swf_version_help'          => 'Flash version required to play this file.',
    'resolution'                => 'Resolution (WxH)',
    'resolution_x_help'         => 'Video X (Width) Resolution',
    'resolution_y_help'         => 'Video Y (Height) Resolution',
    'resolution_x'              => 'Video Width',
    'resolution_y'              => 'Video Height',
);

// installation / upgrade items...

$LANG_MG08 = array (
    'success'               => 'Media Gallery Plugin has been successfully installed.',
    'review'                => 'Please review the <b>System Options</b> and the <b>System Defaults</b> to complete the installation and configuration.',
    'support'               => 'For Media Gallery Support, please visit the gl Labs Website at <a href="http://www.gllabs.org">www.gllabs.org</a>.<br><br>Also available at the Media Gallery Support Site is:<ul><li>Documentation Wiki</li><li>Support Forums</li><li>Announcement Mailing List for <b>security</b> and update announcements</li><li>... and much more</li></ul>',
);

$LANG_MG09 = array (
    1                       => 'Sort Operation Completed Successfully',
    2                       => 'Configuration Options Saved Successfully',
    3                       => 'EXIF/IPTC Data Saved Successfully',
    4                       => 'Album Defaults Saved Successfully',
    5                       => 'Audio / Video Defaults Saved Successfully',
    6                       => 'RSS Options Saved Successfully',
    7                       => 'RSS Feeds Successfully Rebuilt',
    8                       => 'Member Albums Have Been Successfully Removed',
    9                       => 'System Configuration Successfully Reset to Installation Defaults',
    10                      => 'Global Permissions Have Bueen Successfully Applied',
    11                      => 'Global Album Attributes Have Been Successfully Applied',
    12                      => 'Member Album Options Have Been Successfully Saved',
    13                      => 'Selected Member Albums Successfully Created',
    14                      => 'Member Album Gallery Flag Has Been Successfully Reset',
    15                      => 'Selected Albums Have Been Successfully Deleted',
    16                      => 'User Quotas Have Been Successfully Rebuilt',
    17                      => 'Selected Files Have Been Removed',
);

$LANG_MG10 = array (
    'last_10'          => 'Last 5 media items uploaded by user ',
    'albums_owned'     => 'Gallery albums owned by user ',
    'thumbnail'        => 'Thumbnail',
    'upload_date'      => 'Upload Date',
    'title'            => 'Title',
    'album'            => 'Album',
    'album_desc'       => 'Description'
);

//upgrade function
$PLG_mediagallery_MESSAGE1 = 'Media Gallery plugin upgrade: L\'update ha avuto successo.';
$PLG_mediagallery_MESSAGE2 = 'Media Gallery plugin upgrade: Non sono stato capace di upgradare questa versione automaticamente... Controlla la documentazione del plugin.';
$PLG_mediagallery_MESSAGE3 = 'Media Gallery plugin - l\'upgrade  fallito - controlla il file error.log';
$PLG_mediagallery_MESSAGE4 = 'Grazie per aver votato questo Media';
$PLG_mediagallery_MESSAGE5 = 'Mi spiace, hai gi votato questo Media';
$PLG_mediagallery_MESSAGE6 = 'C\' stato un errore registrando il tuo voto - per favore segnalalo all\'Amministratore del sito';
$PLG_mediagallery_MESSAGE7 = 'There were no items found to process.';
$PLG_mediagallery_MESSAGE8 = 'Your PostCard has been sent.';
$PLG_mediagallery_MESSAGE9 = 'There was an error in sending the postcard, please contact site administrator';
/* --- new in v1.5.0 --- */
$PLG_mediagallery_MESSAGE10 = 'There was an error in replacing your media file, see error.log for details';
?>