<?php
// +---------------------------------------------------------------------------+
// | Media Gallery Plugin 1.5                                                  |
// +---------------------------------------------------------------------------+
// | $Id::                                                                    $|
// | Development Code Upgrade routine - valid for MG v1.4.8svn                 |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2007 by the following authors:                              |
// |                                                                           |
// | Author: mevans@ecsnet.com                                                 |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
require_once('../../../lib-common.php');

// Only let admin users access this page
if (!SEC_inGroup('Root')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the Media Gallery Development Code Upgrade Routine.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    $display  = COM_siteHeader();
    $display .= COM_startBlock($LANG_MG00['access_denied']);
    $display .= $LANG_MG00['access_denied_msg'];
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true);
    echo $display;
    exit;
}

COM_errorLog("MediaGallery: Running development code update for Media Gallery v1.4.9svn");

$retval .= 'Performing database upgrades if necessary...<br>';

$_SQL = array();
    $_SQL[] = "ALTER TABLE {$_TABLES['mg_media']}  ADD `remote_media` TINYINT(4) NOT NULL default '0' AFTER `media_resolution_y`";
    $_SQL[] = "ALTER TABLE {$_TABLES['mg_media']}  ADD `remote_url` TEXT AFTER `remote_media`";
    $_SQL[] = "ALTER TABLE {$_TABLES['mg_mediaqueue']}  ADD `remote_media` TINYINT(4) NOT NULL default '0' AFTER `media_resolution_y`";
    $_SQL[] = "ALTER TABLE {$_TABLES['mg_mediaqueue']}  ADD `remote_url` TEXT AFTER `remote_media`";
    $_SQL[] = "INSERT INTO {$_TABLES['mg_config']} VALUES ('random_width', '120')";

/* Execute SQL now to perform the upgrade */
for ($i = 1; $i <= count($_SQL); $i++) {
    COM_errorLOG("Media Gallery plugin 1.4.9svn Development update: Executing SQL => " . current($_SQL));
    DB_query(current($_SQL),1);
    next($_SQL);
}
DB_query("UPDATE {$_TABLES['plugins']} SET pi_homepage='http://www.gllabs.org' WHERE pi_name='mediagallery'",1);
DB_query("UPDATE {$_TABLES['plugins']} SET pi_version='" . $_MG_CONF['version'] . "' WHERE pi_name='mediagallery' LIMIT 1");

$retval .= 'Development Code upgrades complete - see error.log for details<br>';

$display = COM_siteHeader();
$display .= $retval;
$display .= COM_siteFooter();
echo $display;
exit;
?>