<?php

// +---------------------------------------------------------------------------+
// | Media Gallery Plugin 1.5                                                  |
// +---------------------------------------------------------------------------+
// | $Id:: chinese_traditional_utf-8.php 1049 2007-06-21 07:28:37Z mevans0263 $|
// | This is the Chinese Simplified UTF-8 language page                        |
// | for the Media Gallery Plug-in!                                            |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Mark R. Evans               -    mevans@ecsnet.com                        |
// | Translator:                                                               |
// | Samuel M. Stone             -    sam@stonemicro.com                       |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------|


$LANG_MG00 = array (
    'menulabel'         => '媒體畫廊',
    'plugin'            => '媒體畫廊',
    'access_denied'     => '拒絕進入',
    'access_denied_msg' => '你沒有足夠的權限進入此頁。你的用戶名及IP已經被記錄。',
    'admin'             => '媒體畫廊管理員',
    'install_header'    => '安裝/卸載插件',
    'installed'         => '插件已安裝好',
    'uninstalled'       => '插件沒有安裝',
    'install_success'   => '媒體畫廊安裝成功。<br /><br />清看系統說明書及瀏覽 <a href="%s">管理處</a> 來肯定你的設定正確的複合你的系統環境。',
    'install_failed'    => '安裝失敗 – 請看你的錯誤記錄 error.log 來找原因。',

    'uninstall_msg'     => '插件成功地卸載',
    'install'           => '安裝',
    'uninstall'         => '卸載',
    'warning'           => '注意! 插件還在啟動著',
    'enabled'           => '中止插件然後才卸載。',
    'readme'            => '停止! 在你按安裝以前請讀 ',
    'installdoc'        => "<a href=\"{$_CONF['site_admin_url']}/plugins/mediagallery/install_doc.html\">安裝說明</a>",
    'mg_block_header'   => '任意圖',
    'no_album_select'   => '目的影集未選.',
    'media_col_header'  => '媒體項目',
    'stats_title'       => '頭十個最吃香的媒體項目。',
    'items_in'          => '項目於',
    'no_album_objects'  => '<br>沒有影集可顯<br><br>沒有影集可顯示.  也許這網站沒有影集 或你在用戶風格選擇裏限制了這影集的顯示.',
    'no_media_objects'  => '<br>這影集裏沒有任何媒體物件.',
    'results'           => '媒體畫廊搜尋結果',
    'titlemsg'          => '標題',
    'urlmsg'            => '日期',
    'hitsmsg'           => '採樣數',
    'mg_error'          => '取回所要求的資料時發生錯誤. 請通知管理員此錯誤號碼. 錯誤號碼: ',
    'mg_error_log'      => '媒體畫廊內部錯誤 # ',
    'mg_error_generic'  => '媒體畫廊錯誤: 收到無效的輸入',
    'last_week'         => '上周',
    'no_date'           => '無日期',
    'stats_rate_title'  => '頭十哥最高評價的媒體項目',
    'rating'            => '評價',
    'no_title'          => '沒有輸入媒體標題',
    'album'             => '影集: ',
    'none_rated'        => '沒有媒體項目曾被評價',
    'no_viewed_items'   => 'No media items have been viewed yet',
    'no_access'         => 'You have selected and album that has restricted access.  Please choose a different album',
    'overview'          => 'Media Gallery is a native Geeklog plugin that provides a full featured multi-media gallery for your Geeklog powered website.  Media Gallery supports multiple image, video and audio formats and has many advanced features to make presenting your multi-media items in a robust environment simple and easy to maintain.',
    'preinstall_check'  => 'Media Gallery has the following requirements:',
    'geeklog_check'     => 'Geeklog v1.3.10 or greater, version reported is <b>%s</b>.',
    'php_check'         => 'PHP v4.3.0 or greater, version reported is <b>%s</b>.',
    'preinstall_confirm' => "For full details on installing Media Gallery, please refer to the <a href=\"{$_CONF['site_admin_url']}/plugins/mediagallery/install_doc.html\">Installation Manual</a>.",
    'filecheck'         => 'FileCheck Utility',
    'filecheck_disclaimer' => 'FileCheck will scan the Media Gallery directories and provide a list of files that exist in the directories that are not included in the Media Gallery distribution.  These files may be old, obsolete files that are no longer needed.  <b>Use Caution</b> and insure these files are not needed by your web server.  <br /><b>YOU SHOULD HAVE A CURRENT BACKUP BEFORE RUNNING THIS UTILITY!</b>',
    'mg_enroll_header'  => 'Album Enrollment',
);

// administration items....

$LANG_MG01 = array (
    'save'                      => '保存',
    'yes'                       => '是',
    'no'                        => '否',
    'submit'                    => '提交',
    'cancel'                    => '取消',
    'reset'                     => '回原',
    'delete'                    => '刪除',
    'all'                       => '所有',
    'homepage_only'             => '只在主頁',
    'top'                       => '頂',
    'bottom'                    => '底',
    'after_featured_articles'   => '在重要文章下面',
    'new_album'                 => '新影集',
    'upload_media'              => '上載媒體',
    'ftp_media'                 => 'FTP上載媒體',
    'usage_reports'             => '用量報告',
    'configuration'             => '設定',
    'media_queue'               => '媒體行列',
    'admin_home'                => '管理處主頁',
    'edit_album'                => '修改影集',
    'create_album'              => '新建影集',
    'delete_album'              => '刪除影集',
    'album_name_desc'           => '影集標題 / 描述',
    'albums'                    => '影集',
    'moderate'                  => '主持',
    'media_management'          => '媒體管理',
    'count'                     => '數',
    'order'                     => '排',
    'action'                    => '行動',
    'move_up'                   => '上移',
    'move_down'                 => '下移',
    'rotate_left'               => '左轉',
    'rotate_right'              => '右轉',
    'edit'                      => '修改',
    'caption'                   => '字幕',
    'images'                    => '圖像',
    'file'                      => '文件',
    'directory'                 => '目錄',
    'description'               => '描述',
    'capture_time'              => '攝影時',
    'uploaded_by'               => '上載者',
    'delete_files'              => '刪除原件',
    'not_writable'              => '目錄不能寫入',
    'root_level'                => '根層 (不要在此建新)',
    'admin_main_help'           => '多數的管理作用都能在用戶界面中找到.',
    'configuration_help'        => '調整媒體畫廊各種設定來更改此插件的本位動作.',
    'media_edit_help'           => "執行修改媒體物件的特徵. 要想放大請按一下圖像。",
    'album_edit_help'           => '調整影集的特徵, 包括權限, 重要狀況, 標題及描述.',
    'album_delete_help'         => '這將刪除這影集及附屬它的影集。小心選擇。<br /><b>次動作後不能再恢復</b>',
    'configuration_title'       => '媒體畫廊設定',

    'configuration_header'      => '媒體畫廊設定選項',
    'album_maintenance'         => '媒體畫廊影集維護',
    'media_edit'                => '媒體畫廊媒體編輯',
    'usage_report_header'       => '媒體畫廊用量報告',
    'edit_media'                => '編輯媒體項目',
    'image_properties'          => '圖像性質',
    'left_blocks_only'          => '只顯左組件',
    'right_blocks_only'         => '只顯右組件',
    'left_right_blocks'         => '顯左右組件',
    'none'                      => '無',
    'no_media_objects'          => '在這影集裏找不到任何無媒體物件',
    'media_manage_help'         => '搬移 或 刪除 將會在所選的項目上執行分批性作用. 保存 會更新系列、影集封面、及媒體標題。<br /><b>刪除是永恆的! 無法再恢復!</b>',
    'usage_report_help'         => '產生媒體畫廊的用量報告。 你可選所有用戶的某某日期，或一個用戶的某某日期或所有日期。 請不要執行所有用戶的所有日期，因為太多資料!',
    'all_dates'                 => '為所有日期產生報告',
    'select_user'               => '選擇用戶',
    'display_rows_prompt'       => '顯行數',
    'display_rows_help'         => '這參數規定影集中每頁的行數顯示。',
    'album_display_columns_prompt' => '影集顯示欄數',
    'album_display_columns_help'    => '這參數規定列出影集時所顯示的欄數.',
    'display_columns_prompt'    => '顯示欄數',

    'display_columns_help'      => '這參數規定列出影集中的媒體項目時所顯示的欄數.',
    'loginrequired_prompt'      => '需要登入',
    'loginrequired_help'        => '將此參數規定於‘是’來限制媒體畫廊之讓登入者看。',
    'comments_prompt'           => '准許評論',
    'comments_help'             => '定這參數來准許用戶登他們對媒體物件的評論',
    'graphicspackage_prompt'    => '圖像處理器',

    'graphicspackage_help'      => '選你的系統上所安裝的圖像處理器用來製造微型圖和處理媒體物件.',
    'graphicspackage_path_prompt' => '圖像處理器的路徑',
    'graphicspackage_path_help'   => '適當的話，輸入你系統中所安裝的圖像處理器的路徑。',
    'displayblock_prompt'       => '顯示志樂組件',
    'displayblock_help'         => '選擇是否你想顯示 左、右、左右、或 無志樂組件 在影集的兩旁',
    'static_sort_help'          => '這會將任何手操排架代替。',
    'htmlallowed'               => '在標題裏准許 HTML',
    'whatsnew'                  => '開啟使新媒體列在志樂的‘新東西’組件裏',
    'dfid'                      => '日期格式',
    'general_options'           => '一般選項',
    'display_options'           => '顯示選項',
    'graphics_options'          => '圖像處理器',
    'usage_tracking'            => '用量記錄',
    'title'                     => '標題',
    'order'                     => '次序',
    'item'                      => '項目',
    'select'                    => '選擇',
    'order'                     => '次序',
    'cover'                     => '封面',
    'time'                      => '時間',
    'user_id'                   => '用戶編號',
    'application'               => '應用',
    'album_title'               => '影集標題',
    'new_report'                => '新報告',
    'media_capture_time'        => '攝影時',
    'media_upload_time'         => '媒體上載時',
    'parent_album'              => '母體影集',
    'description'               => '描述',
    'featured_album'            => '主要影集',
    'set_featured'              => '定為主要影集',
    'featured_help'             => '如果勾了此框, 這影集的摘要會顯示在某網頁的中匡裏。',
    'position'                  => '位置',
    'topic'                     => '主題',
    'mod_mediatitle'            => '媒體標題',
    'album_link'                => '影集聯結',
    'status_header'             => '媒體畫廊的狀況',
    'status'                    => '狀況',
    'redirect'                  => '這頁會在五秒鐘內改道，或者請 <a href="%s">點擊這裏</a> 來馬上進行。',
    'delete_all_media'          => '刪除影集裏所有的媒體物件',
    'move_all_media'            => '搬移所有的媒體',
    'mod_album'                 => '開啟這影集的仲裁功能',
    'moderation_group'          => '影集仲裁組',
    'options'                   => '選項',
    'admin'                     => '管理',
    'add_media'                 => '新加媒體',
    'ftp_media'                 => '用FTP傳媒題',
    'edit_album'                => '編輯影集',
    'create_album'              => '新建影集',
    'static_sort_media'         => '整理媒體',
    'manage_media'              => '處理媒體',
    'media_queue'               => '媒體行列',
    'sort_albums'               => '整理影集',
    'no_caption'                => '沒有字幕',
    'continue'                  => '繼續',
    'recheck'                   => '重新檢查',
    'mg_directories'            => '媒體畫廊目錄',
    'mg_dir_structure'          => '媒體畫廊目錄結構',
    'ok'                        => '好',
    'not_found'                 => '找不到',
    'not_writable'              => '不能寫入',
    'ascending'                 => '字母上升排列',
    'descending'                => '字母下降排列',
    'static_media_sort'         => '媒體畫廊靜態整理的媒體',
    'sort_options'              => '整理選項',
    'order_options'             => '次序選項',
    'all_dates'                 => '所有的日期',
    'subalbums'                 => '附屬影集',
    'destination_album'         => '目標影集:',
    'move'                      => '搬移',
    'date'                      => '日期',
    'album'                     => '影集',
    'mod_delete'                => '刪除',
    'mod_approve'               => '批准',
    'documentation'             => '用處說明',
    'check_all'                 => '選所有',
    'uncheck_all'               => '不選所有',
    'batch_process'             => '批量',
    'autotag_error'             => 'autotag 有錯誤',
    'successful_upload_queue'   => ' 成功地放入仲裁行列',
    'successful_upload'         => ' 成功地上載到影集中',
    'phpinfo'                   => 'PHP 信息',
    'album_cover'               => '影集封面',
    'album_attributes'          => '影集屬性',
    'media_attributes'          => '媒體屬性',
    'attached_thumbnail'        => '府上微型圖',
    'thumbnail'                 => '微型圖',
    'new_upload_subject'        => '新媒體項目上載於 ',
    'new_upload_body'           => '有新項目往影集中上載：',
    'upload_approved'           => '你上載的媒體已被批准',
    'thanks_submit'             => '謝謝你的提交',
    'details'                   => '細節：',
    'enable_exif'               => '開啟 EXIF',
    'enable_ratings'            => '開啟評價',
    'av_play_album'             => '音 / 影 播放在影集裏',
    'av_play_options'           => '音 / 影 播放選項',
    'email_mods_on_submission'  => '提交時用電信通知仲裁員',
    'disable_exif'              => '關閉 EXIF 顯示',
    'display_below_media'       => '關閉下麵的媒體',
    'display_in_popup'          => '顯示在新窗戶裏',
    'both'                      => '兩者',
    'play_in_popup'             => '播放在新窗戶裏',
    'download_to_local'         => '下載到你的電腦裏',
    'play_inline'               => '內嵌 (只在影集流浪關閉時有效)',
    'use_mms'                   => '使用 mms: 聯結微軟公司支持的媒體',
    'upload_warning'            => '你的服務器設定只許可 %s 或比它小的檔案，而上載的總檔案不可超過 %s',
    'gallery_import'            => 'Gallery v1.x 輸入精靈',
    'fourimages_import'         => '4images 輸入精靈',
    'xppubwizard_install'       => 'XP 出版精靈安裝',
    'log_viewer'                => '志樂紀錄閱讀器',
    'select_date'               => '選擇日期',
    'ri_enable'                 => '包括在任意圖',
    'ss_enable'                 => 'Enable Slideshow',
    'sf_enable'                 => 'Enable Online Printing Link',
    'tn_size'                   => 'Thumbnail size',
    'rows'                      => 'Display Rows',
    'columns'                   => 'Display Columns',
    'small'                     => 'Small (100x100)',
    'medium'                    => 'Medium (150x150)',
    'large'                     => 'Large (200x200)',
    'system_default'            => 'System Default',
    'windows_media_player'      => 'Windows Media Player',
    'quicktime_player'          => 'QuickTime Player',
    'direct_download'           => 'Direct Download',
    'user_prefs'                => 'Media Gallery User Preferences',
    'mp3_player'                => 'Default MP3 Player',
    'mp3_player_help'           => 'Select which MP3 player to use for mp3 playback',
    'av_play_options_help'      => 'Method to play audio / video files',
    'tn_size_help'              => 'Select size of thumbnails in album display',
    'globalattr'                => 'Global Album Edit',
    'global_attr_editor'        => 'Global Album Attribute Editor',
    'global_attr_help'          => 'This will change the attributes for <b>ALL</b> of your albums, use with caution!<br /><br />Select which fields you wish to update by choosing their value and selecting the <b>Update</b> checkbox.',
    'globalperm'                => 'Global Perm Edit',
    'global_perm_editor'        => 'Global Album Permissions Editor',
    'global_perm_help'          => 'This will change the permissions for <b>ALL</b> of your albums, use with caution!<br /><br />Select which fields you wish to update by choosing their value and selecting the <b>Update</b> checkbox.',
    'attribute'                 => 'Attribute',
    'value'                     => 'Value',
    'update'                    => 'Update',
    'enable_views'              => 'Display Views Counter',
    'save_exit'                 => 'Save and Exit',
    'save_next_batch'           => 'Save and Next Batch',
    'batch_caption_editor'      => 'Batch Caption Editor',
    'batch_caption'             => 'Batch Caption',
    'batch_caption_help'        => 'Batch Edit the title and descriptions for media in your albums',
    'exiftag'                   => 'EXIF/IPTC Tag',
    'exif_admin_header'         => 'EXIF/IPTC Administration',
    'exif_admin_help'           => 'Select which EXIF/IPTC tags you want to have displayed in photo properties.',
    'enable_sort'               => 'Enable Client Side Sorting',
    'reset_rating'              => 'reset rating',
    'reset_views'               => 'reset views',
    'albums_first'              => 'List sub-albums before images',
    'force_child_update'        => 'Force Permissions to All Sub-Albums',
    'days'                      => 'Days',
    'whatsnew_time'             => 'What\'s New Time',
    'gallery_tn_size'           => 'Gallery View Thumbnail Size',
    'seperator'                 => 'Birdseed Seperator',
    'windows_media_player'      => 'Windows Media Player',
    'quicktime'                 => 'QuickTime',
    'inm_import'                => 'Inmemoriam Import',
    'always'                    => 'Always',
    'members_only'              => 'Members Only',
    'disabled'                  => 'Disabled',
    'full_display'              => 'Display Full (original) Image',
    'reset_cover'               => 'Use Default Album Cover',
    'up_overrides'              => 'User Preference Overrides',
    'up_rows_override'          => 'Enable User to set Display rows',
    'up_columns_override'       => 'Enable User to set Display Columns',
    'up_mp3_override'           => 'Enable User to set MP3 Player',
    'up_av_override'            => 'Enable User to set AV Playback Options',
    'up_tn_override'            => 'Enable User to set Thumbnail Size',
    'geekary_import'            => 'Geekary Import',
    'import_wizards'            => 'Import Wizards',
    'coppermine_import'         => 'Coppermine Import',
    'back_to_main'              => 'Back to Main Menu',
    'import_title'              => 'Media Gallery Import Wizard Menu',
    'process'                   => 'Process',
    'jhead_enable'              => 'Enable JHEAD Support',
    'jhead_path'                => 'Path to jhead binary',
    'jpegtran_enable'           => 'Enable JPEGTRAN Support',
    'jpegtran_path'             => 'Path to jpegtran binary',
    'max_image_height'          => 'Maximum Image Height (pixels)',
    'max_image_width'           => 'Maximum Image Width (pixels)',
    'max_filesize'              => 'Maximum allowed filesize',
    'display_image_size'        => 'Display Image Size',
    'maint_title'               => 'Media Gallery Maintenance Options',
    'rebuild_thumb'             => 'Rebuild Thumb',
    'next'                      => 'Next',
    'rebuild_thumb_help'        => 'Rebuild all thumbnails in Media Gallery',
    'rebuild_thumb_details'     => 'This process will rebuild all thumbnails in Media Gallery.  Since this is a very CPU intensive process, Media Gallery will process for up to 3 minutes then take a 20 second break and continue processing.',
    'resize_display'            => 'Resize Images',
    'resize_help'               => 'Rebuild the display image based on the current size configured in each album.',
    'resize_details'            => 'This process will resize all display images in Media Gallery.  Since this is a very CPU intensive process, Media Gallery will process for up to 3 minutes then take a 20 second break and continue processing.',
    'resize_confirm'            => 'Are you sure you want to resize all the display images for this album?',
    'rebuild_confirm'           => 'Are you sure you want to rebuild all thumbnails for this album?',
    'remove_originals'          => 'Delete / Remove originally uploaded images',
    'remove_help'               => 'Remove the original image from Media Gallery.',
    'remove_details'            => 'This process will remove all the originally uploaded images, leaving only the display image and the thumbnail.<br /><br /><b>There is no UNDO, be sure this is what you want to do!</b>',
    'remove_error'              => 'You can only remove the original images if $_MG_CONF[\'discard_original\'] is set to 1 in the config.php file',
    'processing_complete'       => 'Processing has completed successfully',
    'reset_maint'               => 'Reset Maintenance Attribute for images',
    'reset_help'                => 'This will reset the maintenance flag on the media items so they can be processed again',
    'reset_details'             => 'This process will reset the maintenance flag to 0 for each media item so they can be processed again by the next maintenance routine.',
    'return_to_maint'           => 'Click <a href="%s">here</a> to return to the Maintenance Menu',
    'enable_album_views'        => 'Display Album Views Counter',
    'hidden'                    => 'Hidden Album',
    'tn_jpg_quality'            => 'Thumbnail JPG Quality',
    'recurse'                   => 'Process Subdirectories',
    'include_ss'                => 'Incl. SlideShow',
    'original_filename'         => 'Original Filename:',
    'jupload_message'           => 'Select Album and media items below',
    'jupload_media'             => 'JUPLOAD Media',
    'download'                  => 'Download',
    'zip_enable'                => 'Enable ZIP Uploads',
    'zip_path'                  => 'Path to unzip program',
    'tmp_path'                  => 'Path to temporary directory',
    'default_album_sort'        => 'Default Album Sort on Upload',
    'wm_management'             => 'Watermark Management',
    'watermark'                 => 'Watermark',
    'no_watermarks'             => 'No watermark images are available',
    'upload'                    => 'upload',
    'watermark_manage_help'     => 'Allows you to add / delete watermark images. Maximum watermark file size is 64kb.<br /><b>Deletes are permanent!  There is no undo!</b>',
    'watermark_upload'          => 'Watermark Upload',
    'public_access'             => 'Public Access',
    'top_left'                  => 'Top Left',
    'top_center'                => 'Top Center',
    'top_right'                 => 'Top Right',
    'middle_left'               => 'Middle Left',
    'middle_center'             => 'Middle Center',
    'middle_right'              => 'Middle Right',
    'bottom_left'               => 'Bottom Left',
    'bottom_center'             => 'Bottom Center',
    'bottom_right'              => 'Bottom Right',
    'no_watermark'              => 'No Watermark',
    'watermark_auto'            => 'Automatically Watermark on Upload',
    'watermark_opacity'         => 'Watermark Opacity',
    'watermark_location'        => 'Watermark Location',
    'watermark_image'           => 'Watermark Image',
    'watermark_redirect'        => 'Click <a href="%s">Here</a> to return to Watermark Management.',
    'preview'                   => 'Preview',
    'wm_upload_help'            => 'Click the Browse to locate a media to upload - Supported File Types: .GIF, .PNG, .JPG. <br /><br /><b>Maximum watermark file size is 64kb.</b>',
    'no_applet'                 => 'Your browser does not support applets. Or you have disabled applet in your options.<br /> To use this applet, please install the newest version of Sun\'s java. You can get it from <a href="http://www.java.com/">java.com</a>',
    'watermarked'               => 'WM',
    'category'                  => 'Category',
    'category_manage_help'      => 'Category Maintenance',
    'cat_id'                    => 'ID',
    'cat_name'                  => 'Category Name',
    'cat_description'           => 'Category Description',
    'create'                    => 'create',
    'create_category'           => 'Create Category',
    'edit_category'             => 'Edit Category',
    'cat_edit_help'             => 'Create or Edit a new Media Gallery Category',
    'no_category'               => 'No category assigned',
    'search'                    => 'Search',
    'batch_processor'           => 'Media Gallery Batch Processor',
    'processing'                => 'processing',
    'timer_expired'             => 'Timer expired at %s secs. ',
    'processing_next_items'     => 'Processing next %s item(s). Please wait...',
    'percent_completed'         => '%s %% completed',
    'processing_details'        => 'Processing Details',
    'processed_items'           => 'Items Processed',
    'status'                    => 'Status',
    'total_items'               => 'Total Items to Process',
    'items_remaining'           => 'Items Remaining',
    'items_last_cycle'          => 'Items Last Cycle',
    'time_limit'                => 'Max Execution Time Allowed',
    'item_rate'                 => 'Item Rate',
    'batch_parameters'          => 'Batch Parameters',
    'items_per_cycle'           => 'Items per Cycle',
    'all_done'                  => 'All Items Processed',
    'finished'                  => 'Finished',
    'begin_processing'          => 'Press Next to Begin Processing',
    'keywords'                  => 'Keywords',
    'preserve_filename'         => 'Preserve Original Filename',
    'discard_originals'         => 'Discard Original Images',
    'custom_image_height'       => 'Custom Image Height',
    'custom_image_width'        => 'Custom Image Width',
    'verbose'                   => 'Verbose (debug logging)',
    'disable_wn_comments'       => 'Disable What\'s New Comments',
    'enable_mid'                => 'Enable Media ID display',
    'full_in_popup'             => 'Full Image Display in Popup',
    'cmtbar'                    => 'Display Full Comment Bar',
    'wn_title_length'           => 'What\'s New Title Length',
    'batch_options'             => 'Batch Processing Options',
    'refresh_rate'              => 'Refresh Rate',
    'time_limit'                => 'Maximum execution time allowed',
    'item_limit'                => 'Maximum items per cycle',
    'custom'                    => 'Custom',
    'system_default_editor'     => 'System Defaults Editor',
    'av_default_editor'         => 'Audio / Video Defaults Editor',
    'system_options'            => 'System Options',
    'album_default_editor'      => 'Album Defaults',
    'reports'                   => 'Reports',
    'quota_reports'             => 'Quota Reports',
    'batch_sessions'            => 'Batch Sessions',
    'paused_sessions'           => 'Paused Sessions',
    'utilities'                 => 'Utilities',
    'gallery_v2_import'         => 'Gallery v2',
    'batch_rotate_images'       => 'Rotating Images in album: %s',
    'batch_watermark_images'    => 'Watermarking Images in album: %s',
    'batch_resize_images'       => 'Resizing Images in Album: %s',
    'batch_rebuild_thumbs'      => 'Rebuilding Thumbnails in Album: %s',
    'queue_delete'              => ' removed from queue and deleted',
    'queue_processed'           => ' successfully placed in album',
    'owner'                     => 'Owner',
    'remove_error'              => 'You can only remove the original images if <b>Discard Original Images</b> is enabled in System Options',
    'file_list'                 => 'File List',
    'quick_create'              => 'Quick Album Create',
    'ftp_path'                  => 'FTP Path Directory',
    'put_files'                 => 'Put Files of',
    'into_album'                => 'into album',
    'root_album'                => 'Root Album - No image upload allowed',
    'size_500x375'              => 'Size 500x375',
    'size_600x450'              => 'Size 600x450',
    'size_620x465'              => 'Size 620x465',
    'size_720x540'              => 'Size 720x540',
    'size_800x600'              => 'Size 800x600',
    'size_912x684'              => 'Size 912x684',
    'size_1024x768'             => 'Size 1024x768',
    'size_1152x864'             => 'Size 1152x864',
    'size_1280x1024'            => 'Size 1280x1024',
    'size_custom'               => 'Custom - ',
    'characters'                => 'Characters',
    'zero_unlimited'            => '0 = Unlimited',
    'user_quota'                => 'Your quota is %d Kb and you have used %d Kb with %d Kb remaining<br /><br />',
    'member_album_options'      => 'Member Album Options',
    'member_albums'             => 'Member Albums',
    'enable_member_albums'      => 'Enable Member Albums',
    'default_member_quota'      => 'Default Member Quota',
    'auto_create'               => 'Auto Create Albums',
    'allow_create'              => 'Allow Creation under Member Root',
    'member_root'               => 'Member Albums Root Album',
    'rebuild_quota'             => 'Rebuild User Quota\'s',
    'rebuild_quota_help'        => 'This will scan all the albums on the system and rebuild the quota usage for each user.',
    'member_archive'            => 'Archive Deleted Member Albums',
    'do_not_archive'            => 'Delete - Do Not Archive',
    'root_album'                => 'Root Album',
    'batch_create_members'      => 'Batch Create Member Albums',
    'quota_report'              => 'Quota Report',
    'username'                  => 'User Name',
    'userid'                    => 'User ID',
    'active'                    => 'Active',
    'quota'                     => 'Quota',
    'used'                      => 'Used',
    'category_error'            => 'You must enter a category name.',
    'no_cat'                    => 'No Categories currently exist',
    'edit_user'                 => 'Edit User',
    'rebuild_all_thumbnails'    => 'Rebuild All Thumbnails',
    'resize_all_images'         => 'Resize All Images',
    'starting_album'            => 'Starting Album',
    'media_original_filename'   => 'Original Filename',
    'delete_item_confirm'       => 'Are you sure you want to delete the selected items?',
    'static_sort_albums'        => 'Static Sort Albums',
    'static_sort_media'         => 'Static Sort Media',
    'process_subs'              => 'Process Sub-Albums',
    'media_count'               => 'Media Count',
    'last_update'               => 'Last Update',
    'enable_rss'                => 'Enable Album RSS Feed',
    'enable_postcard'           => 'Enable PostCards',
    'all_users'                 => 'All Users',
    'rss_feeds'                 => 'RSS Feeds',
    'rss_options'               => 'RSS Feed Options',
    'rss_rebuild_all'           => 'Rebuild Full RSS Feed',
    'rss_rebuild_album'         => 'Rebuild All Album RSS Feeds',
    'rss_full'                  => 'Build Full Album RSS Feed',
    'rss_type'                  => 'RSS Feed Type',
    'rss_ignore_empty'          => 'Exclude empty albums from RSS feed',
    'rss_anonymous_only'        => 'Only Include Albums available to the public',
    'rss_feed_name'             => 'Base filename for RSS Feed file',
    'postcard_retention'        => 'Days to retain sent PostCards',
    'member_album_postfix'      => ' Album',
    'mass_delete_help'          => 'Batch Album Delete - USE WITH CAUTION',
    'rss_options'               => 'RSS Feed Options',
    'batch_delete_albums'       => 'Batch Delete Albums',
    'reset_members'             => 'Reset Member Album Create Flag',
    'reset_members_details'     => 'This will check to see if a Member Album exists for all users, if none exists the database will be updated showing no album exists for that user.',
    'approve_all'               => 'Approve All',
    'rss_directory'             => 'RSS Directory',
    'user_prefs_title'          => 'Media Gallery User Options',
    'xp_pub'                    => 'XP Publishing',
    'purge_member_albums'       => 'Purge Member Albums',
    'last_login'                => 'Last Login',
    'purge_mem_albums_help'     => 'Batch Remove Stale Member Albums - Lists albums with NO content',
    'anonymous_uploads_prompt'  => 'Logged-in User Uploads',
    'anonymous_uploads_help'    => 'Set this parameter to allow registered users to upload media',
    'member_upload'             => 'Allow registered users to upload media to this album',
    'reset_defaults'            => 'Reset Defaults',
    'reset_defaults_details'    => 'Reset ALL System Options, Album Defaults and AV Defaults to installation defaults. This will only affect the default settings, it will not affect any existing albums.  Use with caution!',
    'no_sessions'               => 'No active sessions found',
    'media_title'               => 'Media Title',
    'seconds_per_item'          => '%s seconds per item',
    'subalbums'                 => 'Sub Albums',
    'rss_options'               => 'RSS Options',
    'filecheck'                 => 'FileCheck',
    'gl_story'                  => 'Geeklog Stories',
    'allow_download'            => 'Allow Media Download',
    'display_album_desc'        => 'Display Album Description',
    'jpg'                       => 'JPEG',
    'png'                       => 'PNG',
    'tif'                       => 'TIF',
    'gif'                       => 'GIF',
    'bmp'                       => 'BMP',
    'tga'                       => 'TGA',
    'psd'                       => 'PSD',
    'mp3'                       => 'MP3',
    'ogg'                       => 'OGG',
    'asf'                       => 'WMV',
    'swf'                       => 'SWF',
    'mov'                       => 'MOV',
    'mp4'                       => 'MP4',
    'mpg'                       => 'MPEG',
    'zip'                       => 'ZIP',
    'other'                     => 'Other',
    'image'                     => 'Image',
    'audio'                     => 'Audio',
    'video'                     => 'Video',
    'allowed_media_formats'     => 'Allowed Media Types',
    'filename_title'            => 'Use Filename as Caption',
    'profile_hook'              => 'Display MG Info in User Profile',
    'expand_all'                => 'Expand All',
    'collapse_all'              => 'Collapse All',
    'dnd_title'                 => 'Media Gallery Drag & Drop Album Maintenance',
    'version_info'              => 'Version Information',
    'up_to_date'                => 'Your installation is up to date, no updates are available for your version of Media Gallery',
    'no_version_info'           => 'Unable to determine latest version of Media Gallery.',
    'browser_upload'            => 'Web Browser Upload',
    'gallery_remote'            => 'Gallery Remote',
    'index_album_skin'          => 'Index Album Skin',
    'album_display_rows'        => 'Album Display Rows',
    'image_skin'                => 'Image Skin',
    'album_skin'                => 'Album Skin',
    'display_skin'              => 'Display Skin',
    'do_not_convert_orig'       => 'Do not convert original to JPG',
    'whatsnew_title'            => 'MEDIA GALLERY',
    'no_title'                  => 'No media title available',
    'subalbum_select'           => 'Show Sub-Albums in Select Box',
    'select_subalbum'           => 'Select Sub-Album',
    'enable_keywords'           => 'Enable Keywords',
    'ffmpeg_path'               => 'FFMPEG Path',
    'ffmpeg_enable'             => 'Enable FFMPEG support',
    'flashplayer'               => 'Flash Player',
    'batch_quota_update'        => 'Batch Quota Update',
    'replace_file'              => 'Replace File',
    'podcast'                   => 'Podcast Album',
    'autotag_caption'           => 'Use media / album title as caption for autotags',
    'popup_from_album'          => 'Play audio / video media directly from album view',
    'out_of_date'               => 'Your installation does not seem to be up to date. Updates are available for your version of Media Gallery, please visit <a href="http://www.gllabs.org">http://www.gllabs.org/</a> to obtain the latest version.<br><br>The latest available version is Media Gallery %s You are running Media Gallery %s',
    /* --- Modified in v1.5.0 --- */
    'jpg_quality'               => 'Display JPG Quality',
    /* --- New in version 1.5.0 --- */
    'js_slideshow'              => 'JavaScript',
    'lightbox'                  => 'LightBox',
    'remote_media'              => 'Remote Media',
    'remote_media_type'         => 'Remote Media Type',
    'remote_help'               => 'This screen allows you to upload (include) remote streaming FLV files or video files from sites such as Google Video and YouTube',
    'remote_url'                => 'Remote URL',
    'embed'                     => 'Embedded Video',
    'alternate_url'             => 'Alternate URL',
    'flv_stream'                => 'Streaming FLV',
    'remote_thumbnail'          => 'Remote Thumbnail',
    'flv'                       => 'FLV',
    'rflv'                      => 'Remote FLV',
    'emb'                       => 'Embedded Video',
    'random_size'               => 'Random Image Block Width',
    'flash_slideshow_full'      => 'Flash (Orig)',
    'flash_slideshow_disp'      => 'Flash (Disp)',
    'media_attributes'          => 'Media Handling Options',
    'orig_jpg_quality'          => 'Original JPG Quality',
    'truncate_breadcrumb'       => 'Truncate Breadcrumbs',
    'member_use_fullname'       => 'Use Fullname for Member Album title',
    'feature_member_album'      => 'Feature Member Album on main page',
    'allow_remote'              => 'Enable Remote Users',
);

// error messages

$LANG_MG02 = array (
    'error_header'              => '媒體畫廊錯誤',
    'generic_error'             => '在處理你的要求時媒體畫廊遇到一個錯誤。請再式一次',
    'upload_too_big'            => '%s – 上載的檔案超過 php.ini 的 upload_max_filesize 限定。',
    'upload_too_big_html'       => '%s – 上載的檔案超過 HTML 表格裏所指定的MAX_FILE_SIZE.',
    'partial_upload'            => '%s – 上載的檔案只有一部分背上載。',
    'missing_tmp'               => '找不到零時文件夾。',
    'disk_fail'                 => '寫入硬碟失敗。',
    'unknown_err'               => '上載檔案是除了不知名的問題',
    'albumaccessdeny'           => "你沒有權進入這影集來觀看。 這可能是因為你不是{$_CONF['site_name']} 的會員。  請 <a href={$_CONF['site_url']}/users.php?mode=new>加入會員</a> 使你得到 {$_CONF['site_name']} 會員的特權!",
    'admin_access_deny'         => '對不起，你沒有權進入媒體畫廊的管理處。請明白你所有非法的企圖進入都被紀錄在系統裏。',
    'no_target_album'           => '你沒有選擇目標影集。',
    'invalid_directory'         => '目錄不存在',
    'directory_error'           => '無法打開目錄來找媒體',
    'album_not_found'           => '影集找不到',
    'usage_report_error1'       => '你不能同時選擇 ‘所有用戶’跟‘所有日期’。請改正後再式一次。',
    'unknown_filetype'          => ' 不認可的檔案種類。<br />',
    'move_error'                => ' 移動 / 拷貝 %s 檔案時除了錯誤<br />',
    'convert_error'             => ' 轉變上載的 %s 檔案時除了錯誤<br />',
    'perm_error'                => ' 無法打開檔案 (Permission Denied)',
    'album_nonexist'            => '影集不存在，無法處理上載',
    'upload_not_found'          => '無法找到上載的檔案。 請檢查你的服務器的錯誤紀錄 error logs 同時也肯定 php.ini 裏所指定的 post_max_size 和 max_upload_size 超過你上載的檔案大小。',
    'upload_not_readable'       => '無法打開上載 / 輸入的檔案。 檢查 file permissions 同時也肯定你的 web server 對此檔案有 READ access。',
    'rate_speedlimit'           => "你最後評價一個物件時是 %s 秒鐘以前。本站指定最少要{$_CONF['commentspeedlimit']} 秒鐘後才能做下一個評價",
    'inmemoriam_not_installed'  => 'Inmemoriam Plugin not installed or not enabled.',
    'geekary_not_installed'     => 'Geekary Plugin not installed or not enabled.',
    'upload_exceeds_max_filesize' => '%s - Exceeds the maximum configured filesize for this album',
    'unsupported_wm_type'       => ' - Unsupported watermark file type',
    'wm_aleady_exists'          => ' already exists in watermark directory',
    'wm_success'                => ' - Watermark succesfully uploaded<br />',
    'upload_exceeds_quota'      => '%s - This upload would exceed your usage quota.',
    'postcard_speedlimit'       => "You last sent a PostCard %s seconds ago. This site requires at least {$_CONF['commentspeedlimit']} seconds between PostCards",
    'error_create_tmp'          => 'Error creating temporary directory. Please contact the site administrator',
    'wm_already_exists'         => 'The watermark file %s already exists on the server',
    /* --- New in version 1.5.0 --- */
    'invalid_remote_url'        => 'File %d is not a valid streaming FLV URL',
    'invalid_embed_url'         => 'File %d is not a valid embed URL',
);

// userland items...


$LANG_MG03 = array (
    'featured_album'        => '主要媒體影集',
    'updated_prompt'        => '上載:',
    'no_album_objects'      => '<br>美影集可顯示<br><br>美影集可顯示。可能是沒有影集，或你在用戶風格選擇裏限制了這影集的顯示。',
    'no_media_objects'      => '<h2>這影集時空的</h2>',
    'next'                  => '下頁',
    'previous'              => '上頁',
    'home'                  => '主頁',
    'return_to_album'       => '回到影集',
    'normal_size'           => '正常大小',
    'full_size'             => '完全放大',
    'play'                  => '播放',
    'stop'                  => '停止',
    'ss_running'            => '幻燈片正在放映...',
    'ss_stopped'            => '幻燈片已停止， 請點擊 [播放] 來重新放映。',
    'reverse'               => '倒退',
    'forward'               => '向前',
    'picture_loading'       => '圖像正在上載...',
    'please_wait'           => '請等...',
    'transition'            => '過渡',
    'delay'                 => '延遲',
    'loop'                  => '循環',
    'seconds'               => '秒',
    'jump_to'               => '跳到',
    'go'                    => '進行',
    'slide_show'            => '幻燈片',
    'page'                  => '頁',
    'of'                    => '於',
    'image'                 => 'Image',
    'comments'              => '評論:',
    'views'                 => '觀數:',
    'print_shutterfly'      => '送著照片得到 Shutterfly.com 印出照片',
    'upload_help'           => '點擊 <b>browse</b> 來找要上載的媒體',
    'add_media'             => '新加媒體',
    'upload_media'          => '媒體畫廊上載媒體',
    'upload_results'        => '媒體畫廊上載結果',
    'album_redirect'        => '點擊 <a href="%s">這裏</a> 來回到影集。',
    'browse_album'          => '瀏覽影集',
    'close'                 => '關閉',
    'rating'                => '評價:',
    'votes'                 => '票數',
    'rate'                  => '評價',
    'sort_by'               => 'Sort Order',
    'sort_default'          => 'default',
    'sort_default_asc'      => 'default, asc',
    'sort_upload'           => 'upload time, desc',
    'sort_upload_asc'       => 'upload time, asc',
    'sort_capture'          => 'capture time,desc',
    'sort_capture_asc'      => 'capture time, asc',
    'sort_rating'           => 'rating, desc',
    'sort_rating_asc'       => 'rating, asc',
    'sort_views'            => 'views, desc',
    'sort_views_asc'        => 'views, asc',
    'print_digibug'         => 'Print this Picture at Digibug.com',
    'no_sort'               => 'No Automatic Sorting',
    'all_categories'        => 'All Categories',
    'category'              => 'Category',
    'per_page'              => 'per page',
    'title_desc_keywords'   => 'Title, Desc and Keywords',
    'keywords_only'         => 'Keywords Only',
    'title_desc_only'       => 'Title and Desc Only',
    'exact_phrase'          => 'Exact Phrase',
    'any'                   => 'any of these words',
    'all'                   => 'all of these words',
    'sort_alpha'            => 'title, desc',
    'sort_alpha_asc'        => 'title, asc',
    'advanced_search'       => 'Media Gallery Advanced Search',
    'search_query'          => 'Search Query',
    'search_help'           => 'You can use AND to define words which must be in the results, OR to define words which may be in the result and NOT to define words which should not be in the result. Use * as a wildcard for partial matches',
    'options'               => 'Options',
    'keywords'              => 'Keywords',
    'all_fields'            => 'Title, Desc, Keywords',
    'keywords_only'         => 'Keywords Only',
    'return_results'        => 'Return Results',
    'sort_by'               => 'Sort By',
    'search'                => 'search',
    'search_for'            => 'Search For',
    'search_in'             => 'Search In',
    'results'               => 'Results',
    'send_postcard'         => 'Send an Electronic PostCard',
    'invalid_to_email'      => 'To email address is invalid',
    'invalid_email'         => 'Invalid email address',
    'invalid_from_email'    => 'From email address is invalid',
    'invalid_subject'       => 'You must supply a subject',
    'invalid_message'       => 'You must supply a message body',
    'postcard_preview'      => 'PostCard Preview',
    'postcard_greet'        => 'A Post Card from ',
    'to'                    => 'To:',
    'from'                  => 'From:',
    'subject'               => 'Subject:',
    'visit'                 => 'Visit ',
    'send_to'               => 'Send PostCard To',
    'postcard_from'         => 'An Electronic PostCard From',
    'send_from'             => 'PostCard From',
    'to_name'               => 'To Name',
    'to_email'              => 'To Email',
    'from_name'             => 'Your Name',
    'from_email'            => 'Your Email',
    'message_body'          => 'Message Body',
    'send'                  => 'send',
    'cancel'                => 'cancel',
    'preview'               => 'preview',
    'error_postcard'        => 'Error Retrieving Your Electronic PostCard',
    'error_retrieve_text'   => 'The PostCard you are attempting to view is no longer available.<br />PostCard\'s are available for upto ' . $_MG_CONF['postcard_retention'] . ' days after they are sent.',
    'thank_you'             => 'Thank You',
    'zip_file_help'         => '.ZIP files will be extracted and the contents loaded into your album after upload.',
    'xp_pub_title'          => 'Media Gallery Windows XP Publishing',
    'xp_pub_help1'          => 'Windows XP has the ability to publish contect directly from your computer to Media Gallery.  Follow the instructions below to enable this feature on your Windows XP computer.',
    'xp_pub_help2'          => 'Follow the link below to download the configuration file.  Once the file has been downloaded, right-click and select Merge option.  You will be prompted to confirm you wish to import these values into your registry.  Click "Ok".  Once installed on your local computer, you do not need to download or re-install this file again.  Follow the Publishing steps below.',
    'xp_pub_help3'          => 'Open the folder on your computer you wish to publish to Media Gallery.  Select the images or folder, then select the link on the left hand menu "Publish this file to the web...".  Select this option and the follow the instructions, you will be prompted to log into Media Gallery and then select the destination album for your files.',
    'xp_pub_url'            => 'Download <a href="%s">xppubwiz.reg</a>',
    'setup'                 => 'Setup',
    'publishing'            => 'Publishing',
    'enroll_title'          => 'Member Album Self Enrollment',
    'overview'              => 'Overview',
    'terms'                 => 'Terms and Conditions',
    'member_album_overview' => 'Member Albums allow you the freedom to have your very own Media Gallery Album that you have semi-full control over.  There are a few site wide functions you cannot perform, such as making your album a Featured Album, but most administrative functions are available to you.',
    'member_album_terms'    => 'By pressing the Agree button below, you agree to abide by the terms and conditions set forth by the site administrators.  If you abuse or otherwise mis-use your Member Album, your account could be suspended.',
    'agree'                 => 'Agree',
    'existing_member_album' => 'It appears that you already have a Member Album and you can only have 1 directly off of the Member Album Root album.  If you feel this is an error, please contact the site administrator.',
    'member_album_signup'   => 'Get your own album in our Media Gallery.<br /><br /><center><a href="%s">Sign Up Here</a></center>',
    'unable_to_view_postcard'   => 'Use this link if you are unable to view the Post Card.',
    'album_id_display'      => 'Album ID: ',
    'text_body_email'       => 'You received an Electronic PostCard from %s. If you are unable to see the message below, visit %s to view',
    'upload_help'           => 'Click the <b>Browse</b> to locate a media item to upload',
    'gremote_msg'           => 'Gallery Remote is a Java application that runs on your desktop computer and provides a rich interface to Media Gallery. With Gallery Remote you can drag and drop to photos to upload them to Media Gallery, rotate and resize your images before uploading. You must install Gallery Remote 1.4 or newer to use it with this version of Media Gallery.',
    'gremote_url'           => '<a href="http://gallery.sourceforge.net/gallery_remote.php">Download Gallery Remote</a>',
    'upload_help'           => 'Upload files directly from your computer. Enter the full path to the file and an optional title / description /keywords in the boxes below.',
    'upload_size'           => '<b>Note:</b> You can upload up to %s megabytes at one time. No individual file may be larger than %s megabytes. If you want to upload more than that, you must upload the files separately, use a different upload format, or ask your system administrator to allow larger uploads.',
    'ftp_help'              => 'Transfer files that are already on your server into Media Gallery. The files must already have been uploaded to your server some other way (like FTP) and must be placed in a directory where they are accessibly by the web server.',
    'no_new_items'          => 'No new media items',
    'no_comments'           => 'No new media comments',
    'search_results'        =>  'Media Gallery Search Results',
    'no_search_found'       => 'No search results found',
    'search_error'          => 'You must enter at least 1 search word',
    'artist'                => 'Artist',
    'album'                 => 'Album',
    'song'                  => 'Song',
    'track'                 => 'Track',
    'genre'                 => 'Genre',
    'year'                  => 'Year',
    'download'              => 'Download',
    'info'                  => 'Info',
    'large'                 => 'Large',
    'normal'                => 'Normal',
    'media_properties'      => 'Media Properties',
    'click_here'            => 'click here',
    'published'             => 'Published by',
    'on'                    => 'On',
    'no_flash'              => '<div style="width:200px;">It appears you do not have the Flash Plugin installed, or the version you have is out of date and cannot play the requested content.<br><p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" style="border:none;" /></a></p></div>',
    'tagline'               => 'Gallery powered by <a href="http://www.gllabs.org" target="_new">Media Gallery</a>',
    /* --- new in v1.5.0 --- */
    'xp_pub_url'            => 'Download <a href="%s">xppubwiz.reg (Windows XP)</a>',
    'vista_pub_url'         => 'Download <a href="%s">xppubwiz.reg (Windows Vista)</a>',
);

// EXIF labels

$LANG_MG04 = array (
    'exif_header'           => '照片性質',
    'aperture'              => 'Aperture Value',
    'shutter_speed'         => 'Shutter Speed Value',
    'iso'                   => 'ISO',
    'focal_length'          => 'Focal Length',
    'flash'                 => 'Flash',
    'acd_comment'           => 'ACD Comment',
    'ae_warning'            => 'AE Warning',
    'af_focus_position'     => 'AF Focus Position',
    'af_point_selected'     => 'AF Point Selected',
    'af_point_used'         => 'AF Point Used',
    'adapter'               => 'Adapter',
    'artist'                => 'Artist',
    'battery_level'         => 'Battery Level',
    'bits_per_sample'       => 'Bits Per Sample',
    'blur_warning'          => 'Blur Warning',
    'brightness'            => 'Brightness',
    'ccd_sensitivity'       => 'CCD Sensitivity',
    'camera_id'             => 'Camera ID',
    'camera_serial_number'  => 'Camera Serial Number',
    'color'                 => 'Color',
    'color_mode'            => 'Color Mode',
    'color_space'           => 'Color Space',
    'component_configuration' => 'Component Configuration',
    'compressed_bits_per_pixel' => 'Compressed Bits Per Pixel',
    'compression'           => 'Compression',
    'continuous_taking_bracket' => 'Continuous Taking Bracket',
    'contrast'              => 'Contrast',
    'converter'             => 'Converter',
    'copyright'             => 'Copyright',
    'custom_functions'      => 'Custom Functions',
    'customer_render'       => 'Customer Render',
    'datetime'              => 'Date/Time',
    'digital_zoom'          => 'Digital Zoom',
    'digital_zoom_ratio'    => 'Digital Zoom Ratio',
    'drivemode'             => 'DriveMode',
    'easy_shooting'         => 'Easy Shooting',
    'exposure_bias'         => 'Exposure Bias',
    'exposure_index'        => 'Exposure Index',
    'exposure_mode'         => 'Exposure Mode',
    'exposure_program'      => 'Exposure Program',
    'file_source'           => 'File Source',
    'firmware_version'      => 'Firmware Version',
    'flash_bias'            => 'Flash Bias',
    'flash_details'         => 'Flash Details',
    'flash_energy'          => 'Flash Energy',
    'flash_mode'            => 'Flash Mode',
    'flash_pix_version'     => 'Flash Pix Version',
    'flash_setting'         => 'Flash Setting',
    'flash_strength'        => 'Flash Strength',
    'focal_plane_resolution_unit' => 'Focal Plane Resolution Unit',
    'focal_plane_x_resolution' => 'Focal Plane X Resolution',
    'focal_plane_y_resolution' => 'Focal Plane Y Resolution',
    'focal_units'           => 'Focal Units',
    'focus'                 => 'Focus',
    'focus_mode'            => 'Focus Mode',
    'focus_warning'         => 'Focus Warning',
    'gain_control'          => 'Gain Control',
    'image_adjustment'      => 'Image Adjustment',
    'image_description'     => 'Image Description',
    'image_history'         => 'Image History',
    'image_length'          => 'Image Length',
    'image_number'          => 'Image Number',
    'image_sharpening'      => 'Image Sharpening',
    'image_size'            => 'Image Size',
    'image_type'            => 'Image Type',
    'image_width'           => 'Image Width',
    'inter_color_profile'   => 'Inter Color Profile',
    'interlace'             => 'Interlace',
    'interoperability_index'=> 'Interoperability Index',
    'interoperability_version' => 'Interoperability Version',
    'related_image_file_format' => 'Related Image File Format',
    'related_image_length'  => 'Related Image Length',
    'related_image_width'   => 'Related Image Width',
    'jpeg_tables'           => 'JPEG Tables',
    'jpeg_if_byte_count'    => 'JPeg IF Byte Count',
    'jpeg_if_offset'        => 'JPeg IF Offset',
    'jpeg_quality'          => 'JPeg Quality',
    'light_source'          => 'Light Source',
    'long_focal_length'     => 'Long Focal Length',
    'macro'                 => 'Macro',
    'make'                  => 'Make',
    'manual_focus_distance' => 'Manual Focus Distance',
    'max_aperture_value'    => 'Max Aperture Value',
    'metering_mode'         => 'Metering Mode',
    'model'                 => 'Model',
    'noise'                 => 'Noise',
    'noise_reduction'       => 'Noise Reduction',
    'orientation'           => 'Orientation',
    'owner_name'            => 'Owner Name',
    'photometric_interpretation' => 'Photometric Interpretation',
    'photoshop_settings'    => 'Photoshop Settings',
    'picture_info'          => 'Picture Info',
    'picture_mode'          => 'Picture Mode',
    'planar_configuration'  => 'Planar Configuration',
    'predictor'             => 'Predictor',
    'primary_chromaticities' => 'Primary Chromaticities',
    'quality'               => 'Quality',
    'reference_bw'          => 'Reference Black/White',
    'related_sound_file'    => 'Related Sound File',
    'resolution_unit'       => 'Resolution Unit',
    'rows_per_strip'        => 'Rows Per Strip',
    'samples_per_pixel'     => 'Samples Per Pixel',
    'saturation'            => 'Saturation',
    'scene_capture_mode'    => 'Scene Capture Mode',
    'scene_type'            => 'Scene Type',
    'security_classification'   => 'Security Classification',
    'self_timer'            => 'Self Timer',
    'self_timer_mode'       => 'Self Timer Mode',
    'sensing_method'        => 'Sensing Method',
    'sequence_number'       => 'Sequence Number',
    'sharpness'             => 'Sharpness',
    'short_focal_length'    => 'Short Focal Length',
    'slow_sync'             => 'Slow Sync',
    'software'              => 'Software',
    'software_release'      => 'Software Release',
    'spatial_frequency_response' => 'Spatial Frequency Response',
    'special_mode'          => 'Special Mode',
    'spectral_sensitivity'  => 'Spectral Sensitivity',
    'strip_byte_counts'     => 'Strip Byte Counts',
    'strip_offsets'         => 'Strip Offsets',
    'subifds'               => 'SubIFDs',
    'subfile_type'          => 'Subfile Type',
    'subject_distance'      => 'Subject Distance',
    'subject_location'      => 'Subject Location',
    'subsec_time'           => 'Subsec Time',
    'subsec_time_digitized' => 'Subsec Time (Digitized)',
    'subsec_time_original'  => 'Subsec Time (Original)',
    'tiff_ep_standard_id'   => 'TIFF/EP Standard ID',
    'tile_byte_counts'      => 'Tile Byte Counts',
    'tile_length'           => 'Tile Length',
    'tile_offsets'          => 'Tile Offsets',
    'tile_width'            => 'Tile Width',
    'time_zone_offset'      => 'Time Zone Offset',
    'tone'                  => 'Tone',
    'transfer_function'     => 'Transfer Function',
    'user_comment'          => 'User Comment',
    'version'               => 'Version',
    'white_balance'         => 'White Balance',
    'white_point'           => 'White Point',
    'ycbcr_coefficients'    => 'Y/Cb/Cr Coefficients',
    'ycbcr_positioning'     => 'Y/Cb/Cr Positioning',
    'ycbcr_sub_sampling'    => 'Y/Cb/Cr Sub-Sampling',
    'x_resolution'          => 'X Resolution',
    'y_resolution'          => 'Y Resolution',
    'exif_image_height'     => 'EXIF Image Height',
    'exif_image_width'      => 'EXIF Image Width',
    'iptc_supplemental_categories' => 'IPTC: Supplemental Categories',
    'iptc_keywords'         => 'IPTC: Keywords',
    'iptc_caption'          => 'IPTC: Caption',
    'iptc_caption_writer'   => 'IPTC: Caption Writer',
    'iptc_headline'         => 'IPTC: Headline',
    'iptc_special_instructions' => 'IPTC: Special Instructions',
    'iptc_category'         => 'IPTC: Category',
    'iptc_byline'           => 'IPTC: Byline',
    'iptc_byline_title'     => 'IPTC: Byline Title',
    'iptc_credit'           => 'IPTC: Credit',
    'iptc_source'           => 'IPTC: Source',
    'iptc_copyright_notice' => 'IPTC: Copyright Notice',
    'iptc_object_name'      => 'IPTC: Object Name',
    'iptc_city'             => 'IPTC: City',
    'iptc_province_state'   => 'IPTC: Province State',
    'iptc_country_name'     => 'IPTC: Country Name',
    'iptc_original_transmission_reference' => 'IPTC: Original Transmission Reference',
    'iptc_date_created'     => 'IPTC: Date Created',
    'iptc_copyright_flag'   => 'IPTC: Copyright Flag',
    'iptc_time_created'     => 'IPTC: Time Created',
    //
    'dots_per_resolution_unit'  => ' dots per ResolutionUnit',  // Xresolution YResolution
    'sec'                       => ' sec',                      // Exposure Time
    'ev'                        => ' EV',                       // Exposure Bias Value
    'bulb'                      => 'Bulb',
    // orientation
    'normal'                    => 'Normal (0 deg)',
    'mirrored'                  => 'Mirrored',
    'upsidedown'                => 'Upsidedown',
    'upsidedown_mirrored'       => 'Upsidedown Mirrored',
    'cw_mirrored'               => '90 deg CW Mirrored',
    'ccw'                       => '90 deg CCW',
    'ccw_mirrored'              => '90 deg CCW Mirrored',
    'cw'                        => '90 deg CW',
    // Resolution Unit FocalPlaneResolutionUnit ThumbnailResolutionUnit
    'no_unit'                   => 'No Unit',
    'inch'                      => 'Inch',
    'centimeter'                => 'Centimeter',
    //YCbCrPositioning
    'center_of_pixel_array'     => 'Center of Pixel Array',
    'datum_point'               => 'Datum Point',
    //Exposure Program
    'manual'                    => 'Manual',
    'Program'                   => 'Program',
    'aperature_priority'        => 'Aperature Priority',
    'shutter_priority'          => 'Shutter Priority',
    'program_creative'          => 'Program Creative',
    'program_action'            => 'Program Action',
    'portrait'                  => 'Portrait',
    'landscape'                 => 'Landscape',
    // Metering Mode
    'unknown'                   => 'Unknown',
    'average'                   => 'Average',
    'center_weighted_average'   => 'Center Weighted Average',
    'spot'                      => 'Spot',
    'multi_spot'                => 'Multi-Spot',
    'multi_segment'             => 'Multi-Segment',
    'partial'                   => 'Partial',
    'other'                     => 'Other',
    // lightsource
    'unknown_or_auto'           => 'Unknown or Auto',
    'daylight'                  => 'Daylight',
    'flourescent'               => 'Flourescent',
    'tungsten'                  => 'Tungsten',
    'flash'                     => 'Flash',
    'standard_a'                => 'Standard Light A',
    'standard_b'                => 'Standard Light B',
    'standard_c'                => 'Standard Light C',
    'd55'                       => 'D55',
    'd65'                       => 'D65',
    'd75'                       => 'D75',
    'srgb'                      => 'sRGB',
    'uncalibrated'              => 'Uncalibrated',
    'pixels'                    => ' pixels',
    'no_compression'            => 'No Compression',
    'jpeg_compression'          => 'JPEG Compression',
    'not_defined'               => 'Not Defined',
    'one_chip_color_area_sensor'    => 'One Chip Color Area Sensor',
    'two_chip_color_area_sensor'    => 'Two Chip Color Area Sensor',
    'three_chip_color_area_sensor'  => 'Three Chip Color Area Sensor',
    'color_sequential_area_sensor'  => 'Color Sequential Area Sensor',
    'trilinear_sensor'              => 'Trilinear Sensor',
    'color_sequential_linear_sensor'    => 'Color Sequential Linear Sensor',
    'monochrome'                    => 'Monochrome',
    'rgb'                           => 'RGB',
    'ycbcr'                         => 'YCbCr',
    // file source
    'digital_still_camera'          => 'Digital Still Camera',
    // scene type
    'directly_photographed'         => 'Directly Photographed',
    // flash
    'flash_00'              => '閃光燈沒有閃',
    'flash_01'              => '閃光燈有閃',
    'flash_05'              => '閃光測速器沒有探測到反光',
    'flash_07'              => '閃光測速器有探測到反光',
    'flash_09'              => '閃光燈有閃, 義務式',
    'flash_13'              => '閃光燈有閃, 義務式, 沒有探測到反光',
    'flash_15'              => '閃光燈有閃, 義務式, 有探測到反光',
    'flash_16'              => '閃光燈沒有閃, 義務式',
    'flash_24'              => '閃光燈沒有閃, 自動式',
    'flash_25'              => '閃光燈有閃, 自動式',
    'flash_29'              => '閃光燈有閃, 自動式, 沒有探測到反光',
    'flash_31'              => '閃光燈有閃, 自動式, 有探測到反光',
    'flash_32'              => '沒有閃光燈設備',
    'flash_65'              => '閃光燈有閃, 防紅眼式',
    'flash_69'              => '閃光燈有閃, 防紅眼式, 沒有探測到反光',
    'flash_71'              => '閃光燈有閃, 防紅眼式, 有探測到反光',
    'flash_73'              => '閃光燈有閃, 義務式, 防紅眼式',
    'flash_77'              => '閃光燈有閃, 義務式, 防紅眼式, 沒有探測到反光',
    'flash_79'              => '閃光燈有閃, 義務式, 防紅眼式, 有探測到反光',
    'flash_89'              => '閃光燈有閃, 自動式, 防紅眼式',
    'flash_92'              => '閃光燈有閃, 自動式, 沒有探測到反光, 防紅眼式',
    'flash_95'              => '閃光燈有閃, 自動式, 有探測到反光, 防紅眼式'
);

// Slideshow transitions - New in v0.92RC3

$LANG_MG05 = array (
    'blend'                 => '混和',
    'blinds'                => '掩飾',
    'checkerboard'          => '棋盤',
    'diagonal'              => '對角',
    'doors'                 => '開門',
    'gradient'              => '傾斜',
    'iris'                  => '眼珠',
    'pinwheel'              => '風車',
    'pixelate'              => '分點',
    'radial'                => '射線',
    'rain'                  => '雨點',
    'slide'                 => '幻燈',
    'snow'                  => '雪花',
    'spiral'                => '螺旋',
    'stretch'               => '伸展',
    'random'                => '任意'
);

// XP Publishing Wizard

$LANG_MG06 = array (
    'title'                 => '媒體畫廊發表精靈',
    'welcome'               => '歡迎來到',
    'info_text'             => '媒體畫廊的 XP發表精靈不報告上載錯誤, 它只會跳過有錯誤的檔案。<p>若有些檔案沒有成功上載到影集裏，請查看志樂的系統記錄檔案 error.log。',
    'no_albums'             => '沒有影集，或你沒權上載到任何影集。',
    'select_album'          => '選擇你要發表媒體的影集'
);

$LANG_MG07 = array (
    'playback_options'          => 'Playback Options',
    'none'                      => 'none',
    'mini'                      => 'mini',
    'full'                      => 'full',
    'low'                       => 'low',
    'high'                      => 'high',
    'showall'                   => 'Show All',
    'noborder'                  => 'No Border',
    'exactfit'                  => 'Exact Fit',
    'window'                    => 'Window',
    'opaque'                    => 'Opaque',
    'transparent'               => 'Transparent',
    'to_fit'                    => 'To Fit',
    'aspect'                    => 'Aspect',
    'normal_size'               => 'Normal Size',
    'description'               => 'Description',
    'option'                    => 'Option',
    'on'                        => 'On',
    'off'                       => 'Off',
    'auto_start'                => 'Auto Start',
    'auto_start_help'           => 'When set to On, the autoplay attribute causes the item to start playing as soon as the Player Plug-In estimates that it wil be able to play the entire item without waiting or additional data.',
    'enable_context_menu'       => 'Enable Context Menu',
    'enable_context_menu_help'  => 'If on, the context menu, which appears when the right mouse button is clicked.',
    'stretch_to_fit'            => 'Stretch to Fit',
    'stretch_to_fit_help'       => 'If on, the video will stretch to fit the size of the Windows Media Player video display.',
    'status_bar'                => 'Show Status Bar',
    'status_bar_help'           => 'If on, the status bar is displayed.',
    'ui_mode'                   => 'User Interface Mode',
    'ui_mode_help'              => 'Specifies which controls are shown in the user interface.',
    'height'                    => 'Height',
    'width'                     => 'Width',
    'height_help'               => 'Size of the playback window',
    'width_help'                => 'Size of the playback window',
    'menu'                      => 'Menu',
    'menu_help'                 => 'Displays the full menu, allowing the user a variety of options to enhance or control playback.',
    'quality'                   => 'Quality',
    'quality_help'              => 'Playback Quality',
    'flash_vars'                => 'Flash Variables',
    'auto_ref'                  => 'Auto Ref',
    'auto_ref_help'             => 'When set to On, the AUTOREF attribute causes any movie to load immediately, without waiting for a mouse click.',
    'controller'                => 'Controller',
    'controller_help'           => 'When set to On, the movie controller will be displayed.',
    'kiosk_mode'                => 'Kiosk Mode',
    'kiosk_mode_help'           => 'When Kiosk Mode is On, the plug-in does not include its pop-up menu in the movie controller and does not allow drag and drop to save the movie.',
    'scale'                     => 'Scale',
    'scale_help'                => 'Scale can be either TOFIT, ASPECT of Normal.  If set to ToFit, the moview is scaled to fit the embedded box as specified by height and width.  If set to Aspect, the movie will be scaled to fit the embedded box while maintaining the aspect ratio. If set to Normal, the movie will play the size it was saved.',
    'swf_scale_help'            => 'Default (Show all) makes the entire movie visible in the specified area without distortion, while maintaining the original aspect ratio of the movie. Borders may appear on two sides of the movie. No Border scales the movie to fill the specified area, without distortion but possibly with some cropping, while maintaining the original aspect ratio of the movie.  Exact Fit makes the entire movie visible in the specified area without trying to preserve the original aspect ratio. Distortion may occur.',
    'wmode'                     => 'Window Mode',
    'wmode_help'                => 'Sets the Window Mode property of the Flash movie for transparency, layering, and positioning in the browser.',
    'loop'                      => 'Loop',
    'loop_help'                 => 'Specifies whether the movie repeats indefinitely or stops when it reaches the last frame',
    'always'                    => 'Always',
    'sameDomain'                => 'SameDomain',
    'never'                     => 'Never',
    'asa'                       => 'Allow Script Access',
    'asa_help'                  => 'This parameter controls whether ActionScript in a SWF is permitted to call JavaScript in the HTML page that contains it.',
    'bgcolor'                   => 'Background Color',
    'bgcolor_help'              => 'Sets the background color for the playback window',
    'clsid'                     => 'Object Class ID',
    'codebase'                  => 'Codebase',
    'playcount'                 => 'Playcount',
    'playcount_help'            => 'How many times the file should be repeated',
    'loop'                      => 'Loop',
    'loop_help'                 => 'Continuous playback',
    'wmp_options'               => 'Windows Media Playback Options',
    'qt_options'                => 'QuickTime Playback Options',
    'mp3_options'               => 'MP3 Playback Options',
    'swf_options'               => 'Flash Media Playback Options',
    'swf_version_help'          => 'Flash version required to play this file.',
    'resolution'                => 'Resolution (WxH)',
    'resolution_x_help'         => 'Video X (Width) Resolution',
    'resolution_y_help'         => 'Video Y (Height) Resolution',
    'resolution_x'              => 'Video Width',
    'resolution_y'              => 'Video Height',
);

// installation / upgrade items...

$LANG_MG08 = array (
    'success'               => 'Media Gallery Plugin has been successfully installed.',
    'review'                => 'Please review the <b>System Options</b> and the <b>System Defaults</b> to complete the installation and configuration.',
    'support'               => 'For Media Gallery Support, please visit the gl Labs Website at <a href="http://www.gllabs.org">www.gllabs.org</a>.<br><br>Also available at the Media Gallery Support Site is:<ul><li>Documentation Wiki</li><li>Support Forums</li><li>Announcement Mailing List for <b>security</b> and update announcements</li><li>... and much more</li></ul>',
);

$LANG_MG09 = array (
    1                       => 'Sort Operation Completed Successfully',
    2                       => 'Configuration Options Saved Successfully',
    3                       => 'EXIF/IPTC Data Saved Successfully',
    4                       => 'Album Defaults Saved Successfully',
    5                       => 'Audio / Video Defaults Saved Successfully',
    6                       => 'RSS Options Saved Successfully',
    7                       => 'RSS Feeds Successfully Rebuilt',
    8                       => 'Member Albums Have Been Successfully Removed',
    9                       => 'System Configuration Successfully Reset to Installation Defaults',
    10                      => 'Global Permissions Have Bueen Successfully Applied',
    11                      => 'Global Album Attributes Have Been Successfully Applied',
    12                      => 'Member Album Options Have Been Successfully Saved',
    13                      => 'Selected Member Albums Successfully Created',
    14                      => 'Member Album Gallery Flag Has Been Successfully Reset',
    15                      => 'Selected Albums Have Been Successfully Deleted',
    16                      => 'User Quotas Have Been Successfully Rebuilt',
    17                      => 'Selected Files Have Been Removed',
);

$LANG_MG10 = array (
    'last_10'          => 'Last 5 media items uploaded by user ',
    'albums_owned'     => 'Gallery albums owned by user ',
    'thumbnail'        => 'Thumbnail',
    'upload_date'      => 'Upload Date',
    'title'            => 'Title',
    'album'            => 'Album',
    'album_desc'       => 'Description'
);

$PLG_mediagallery_MESSAGE1 = '媒體插件升級: 升級成功.';
$PLG_mediagallery_MESSAGE2 = '媒體插件升級: 我們無法自動升級。請查考插件說明。';
$PLG_mediagallery_MESSAGE3 = '媒體插件升級失敗 – 察看志樂的 error.log';
$PLG_mediagallery_MESSAGE4 = '謝謝你對這媒體物件的評價';
$PLG_mediagallery_MESSAGE5 = '對不起, 你已經對這項目評價過了。';
$PLG_mediagallery_MESSAGE6 = '記錄你的評價是除了差錯，請通知系統管理員。';
$PLG_mediagallery_MESSAGE7 = 'There were no items found to process.';
$PLG_mediagallery_MESSAGE8 = 'Your PostCard has been sent.';
$PLG_mediagallery_MESSAGE9 = 'There was an error in sending the postcard, please contact site administrator';
/* --- new in v1.5.0 --- */
$PLG_mediagallery_MESSAGE10 = 'There was an error in replacing your media file, see error.log for details';
?>