<?php
// +---------------------------------------------------------------------------+
// | Media Gallery Plugin 1.5                                                  |
// +---------------------------------------------------------------------------+
// | $Id:: french_canada_utf-8.php 1049 2007-06-21 07:28:37Z mevans0263       $|
// | This is the French-Canada language page for the Media Gallery Plug-in     |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002,2005,2006 by the following authors:                    |
// |                                                                           |
// | Author:                                                                   |
// | Mark R. Eavns               -    mevans@ecsnet.com                        |
// | Traduction:                                                               |
// | Luc Tanguay                 -    lucus@sympatico.ca                       |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------|

$LANG_MG00 = array (
    'menulabel'         => 'Media Gallery',
    'plugin'            => 'Media Gallery',
    'access_denied'     => 'Accès refusé',
    'access_denied_msg' => 'Vous essayez d\'accéder illégalement à l\'une des pages d\'administration. Veuillez noter que toutes les tentatives illégales sont enregistrées dans le journal de bord.',
    'admin'             => 'Administration de Media Gallery',
    'install_header'    => 'Installer/déinstaller le greffon',
    'installed'         => 'Le greffon est installé.',
    'uninstalled'       => 'Le greffon n\'est pas installé',
    'install_success'   => 'Installation de Media Gallery a réussi.  <br /><br />S.V.P. lisez la documentation et visitez la <a href="%s">section administration</a> pour vous assurez que votre configuration est conforme à votre environnement hôte.',
    'install_failed'    => 'Installation infructueuse -- Voir le journal error.log.',
    'uninstall_msg'     => 'Greffon désinstaller avec succès.',
    'install'           => 'Installer',
    'uninstall'         => 'Désinstaller',
    'warning'           => 'Avertissement! Le greffon est toujours actif.',
    'enabled'           => 'Désactiver le greffon avant la désinstallation.',
    'readme'            => 'Arrêter! Avant de lancer l\'installation, lisez ',
    'installdoc'        => "<a href=\"{$_CONF['site_admin_url']}/plugins/mediagallery/install_doc.html\">document d\'installation</a>",
    'mg_block_header'   => 'Image au hasard',
    'no_album_select'   => 'Aucun album destination sélectionné.',
    'media_col_header'  => 'Objet',
    'stats_title'       => 'Les 10 objets les plus visités',
    'items_in'          => 'Objets dans',
    'no_album_objects'  => '<br>Aucun album à afficher<br><br>Il n\'y a pas d\'album à afficher. Soit qu\'il n\'y ait aucun album dans la galerie ou que vos préférences vous empêche d\'en voir.',
    'no_media_objects'  => '<br>Il n\'y a aucun objet dans cet album.',
    'results'           => 'Résultat de la recherche.',
    'titlemsg'          => 'Titre',
    'urlmsg'            => 'Date',
    'hitsmsg'           => 'Nb de visites',
    'mg_error'          => 'Erreur interne.  S.V.P. avertir l\'administrateur système.  Numéro d\'erreur: ',
    'mg_error_log'      => 'Media Gallery erreur interne no ',
    'mg_error_generic'  => 'Media Gallery Erreur: donnée reçue invalide',
    'whatsnew_prompt'   => 'Dernier %s jours',
    'no_date'           => 'Aucune date',
    'stats_rate_title'  => 'Les 10 objets les mieux cotés (évaluation)',
    'rating'            => 'Évaluation',
    'no_title'          => 'Titre non-précisé',
    'album'             => 'Album: ',
    'none_rated'        => 'Aucun objet n\'a été évalué jusqu\'à maintenant.',
    'no_viewed_items'   => 'Aucun objet n\'a été vu jusqu\'à présent.',
    'no_access'         => 'You have selected and album that has restricted access.  Please choose a different album',
    'overview'          => 'Media Gallery is a native Geeklog plugin that provides a full featured multi-media gallery for your Geeklog powered website.  Media Gallery supports multiple image, video and audio formats and has many advanced features to make presenting your multi-media items in a robust environment simple and easy to maintain.',
    'preinstall_check'  => 'Media Gallery has the following requirements:',
    'geeklog_check'     => 'Geeklog v1.3.10 or greater, version reported is <b>%s</b>.',
    'php_check'         => 'PHP v4.3.0 or greater, version reported is <b>%s</b>.',
    'preinstall_confirm' => "For full details on installing Media Gallery, please refer to the <a href=\"{$_CONF['site_admin_url']}/plugins/mediagallery/install_doc.html\">Installation Manual</a>.",
    'filecheck'         => 'FileCheck Utility',
    'filecheck_disclaimer' => 'FileCheck will scan the Media Gallery directories and provide a list of files that exist in the directories that are not included in the Media Gallery distribution.  These files may be old, obsolete files that are no longer needed.  <b>Use Caution</b> and insure these files are not needed by your web server.  <br /><b>YOU SHOULD HAVE A CURRENT BACKUP BEFORE RUNNING THIS UTILITY!</b>',
    'mg_enroll_header'  => 'Album Enrollment',
);

// administration items....

$LANG_MG01 = array (
    'save'                      => 'sauvegarder',
    'yes'                       => 'Oui',
    'no'                        => 'Non',
    'submit'                    => 'soumettre',
    'cancel'                    => 'annuler',
    'reset'                     => 'réinitialiser',
    'delete'                    => 'effacer',
    'all'                       => 'Tout',
    'homepage_only'             => 'Page d\'accueil seulement',
    'top'                       => 'Au début',
    'bottom'                    => 'À la fin',
    'after_featured_articles'   => 'Après articles vedettes',
    'new_album'                 => 'Nouvel album',
    'upload_media'              => 'Télécharger objet (media)',
    'ftp_media'                 => 'Télécharger objets par lot',
    'usage_reports'             => 'Rapports d\'utilisation',
    'configuration'             => 'Configuration',
    'media_queue'               => 'Modérer objets en attente',
    'admin_home'                => 'Page d\'accueil de l\'administrateur',
    'edit_album'                => 'Éditer l\'album',
    'create_album'              => 'Créer un album',
    'delete_album'              => 'Effacer l\'album',
    'album_name_desc'           => 'Titre / Description de l\'album',
    'albums'                    => 'Albums',
    'moderate'                  => 'Modérer',
    'media_management'          => 'Gestion des objets',
    'count'                     => 'Nombre',
    'order'                     => 'Ordre',
    'action'                    => 'Action',
    'move_up'                   => 'Plus haut',
    'move_down'                 => 'Plus bas',
    'rotate_left'               => 'Rotation à gauche',
    'rotate_right'              => 'Rotation à droite',
    'edit'                      => 'Éditer',
    'caption'                   => 'Légende',
    'images'                    => 'Images',
    'file'                      => 'Fichier',
    'directory'                 => 'Catalogue',
    'description'               => 'Description',
    'capture_time'              => 'Heure de la prise',
    'uploaded_by'               => 'Téléchargé par',
    'delete_files'              => 'Effacer fichiers sources',
    'not_writable'              => 'Catalogue en lecture seulement',
    'root_level'                => 'Niveau racine (ne pas créer ici)',
    'admin_main_help'           => 'La plupart des activités administratives sont accessibles via l\'interface utilisateur.',
    'configuration_help'        => 'Permet de modifier les options de configuration qui dicte le comportement de base du greffon Media Gallery.',
    'media_edit_help'           => 'Permet d\'éditer les attributs d\'objets en particulier.  Pour voir plus, sélectionner l\'image ci-dessous et une nouvelle fenêtre apparaîtra avec les infos supplémentaires.',
    'album_edit_help'           => 'Permet de modifier les attributs de l\'album (description, titre, permissions,...).',
    'album_delete_help'         => 'Cette opération va détruire cet album et tous ses sous-albums. Vous devez choisir entre déplacer les objets dans un nouveau catalogue ou les effacer définitivement.<br /><b>Cette opération est irréversible.</b>',
    'configuration_title'       => 'Configuration de Media Gallery',
    'configuration_header'      => 'Options de configuration de Media Gallery',
    'album_maintenance'         => 'Entretien d\'album Media Gallery',
    'media_edit'                => 'Édition d\'objets Media Gallery',
    'usage_report_header'       => 'Rapport d\'utilisation Media Gallery',
    'edit_media'                => 'Édition d\'un objet',
    'image_properties'          => 'Propriétés de l\'image',
    'left_blocks_only'          => 'Blocs de gauche seulement',
    'right_blocks_only'         => 'Blocs de droite seulement',
    'left_right_blocks'         => 'Blocs gauche et droite',
    'none'                      => 'Aucun',
    'no_media_objects'          => 'Aucun objet trouvé dans cet album',
    'media_manage_help'         => 'Effacer et Déplacer traiteront les objets en lot. Sauvegarder va mettre à jour la séquence, la pochette de l\'album et les titres.<br /><b>L\'effacement est permanent. Impossible de revenir en arrière!</b>',
    'usage_report_help'         => 'Générer les rapports d\'utilisation de Media Gallery.  Vous pouvez choisir tous les utilisateurs pour une date en particulier, ou un seul utilisateur selon la date ou toutes les dates.  S.V.P. ne pas choisir tous les utilisateurs pour toutes les dates, le volume de traitement serait exhorbitant!',
    'all_dates'                 => 'Générer les rapports d\'utilisation pour TOUTES les dates',
    'select_user'               => 'Utilisateur',
    'display_rows_prompt'       => 'Nb de lignes à afficher',
    'display_rows_help'         => 'Indique combien de lignes seront affichées sur chaque page de l\'album.',
    'album_display_columns_prompt' => 'Nb de colonnes d\'albums à afficher',
    'album_display_columns_help'    => 'Indique combien de colonnes d\'albums seront affichées sur chaque page de l\'album.',
    'display_columns_prompt'    => 'Nb de colonnes à afficher',
    'display_columns_help'      => 'Indique combien de colonnes seront affichées sur chaque page de l\'album.',
    'loginrequired_prompt'      => 'Établissement d\'une session requis',
    'loginrequired_help'        => 'En initialisant ce paramètre à Oui, seuls les membres auront accès à Media Gallery.',
    'comments_prompt'           => 'Commentaires permis',
    'comments_help'             => 'Permet l\'ajout de commentaires.',
    'graphicspackage_prompt'    => 'Boîte à outils graphique',
    'graphicspackage_help'      => 'Permet de choisir quel boîte à outils graphiques installée sur le serveur sera utilisée pour créer les vignettes et traiter les objets.',
    'graphicspackage_path_prompt' => 'Chemin d\'accès vers la boîte à outils graphiques',
    'graphicspackage_path_help'   => 'Indique le chemin d\'accès des exécutables de la boîte à outils graphiques.',
    'displayblock_prompt'       => 'Blocs Geeklog à afficher',
    'displayblock_help'         => 'Choisir quels blocs Geeklog afficher (gauche,droit,les deux ou aucun) pendant l\'utilisation de Media Gallery.',
    'static_sort_help'          => 'Le tri statique effectuer ici remplacera tout tri manuel.',
    'htmlallowed'               => 'HTML dans les titres permis',
    'whatsnew'                  => 'Activé Quoi de neuf dans Geeklog',
    'dfid'                      => 'Format de la date',
    'general_options'           => 'Options générales',
    'display_options'           => 'Options d\'affichage',
    'graphics_options'          => 'Boîte à outils graphiques',
    'usage_tracking'            => 'Mémorisation des visites',
    'title'                     => 'Titre',
    'order'                     => 'Rang',
    'item'                      => 'Objet',
    'select'                    => 'Coché',
    'order'                     => 'Rang',
    'cover'                     => 'Pochette',
    'time'                      => 'Heure',
    'user_id'                   => 'ID utilisateur',
    'application'               => 'Application',
    'album_title'               => 'Titre de l\'album',
    'new_report'                => 'Nouveau rapport',
    'media_capture_time'        => 'Heure de la capture',
    'media_upload_time'         => 'Heure du téléchargement',
    'parent_album'              => 'Album parent',
    'description'               => 'Description',
    'featured_album'            => 'Album en vedette',
    'set_featured'              => 'Choisir comme album vedette',
    'featured_help'             => 'Lorsque coché, un sommaire de cet album sera affiché au centre de la page désignée',
    'position'                  => 'Position',
    'topic'                     => 'Topic',
    'mod_mediatitle'            => 'Titre',
    'album_link'                => 'Lien vers l\'album',
    'status_header'             => 'Status Media Gallery',
    'status'                    => 'Status',
    'redirect'                  => 'Redirection dans 5 secondes ou cliquer <a href="%s">ici</a> pour continuer  immédiatement.',
    'delete_all_media'          => 'Effacer tous les objets de cet album',
    'move_all_media'            => 'Déplacer tous les objets',
    'mod_album'                 => 'Activé la modération pour cet album',
    'moderation_group'          => 'Groupe modérateur',
    'options'                   => 'Options',
    'admin'                     => 'Administration',
    'add_media'                 => 'Ajouter objets individuels',
    'ftp_media'                 => 'Ajouter objets d\'un catalogue',
    'edit_album'                => 'Éditer  l\'album',
    'create_album'              => 'Créer un album',
    'static_sort_media'         => 'Trier les objets (media)',
    'manage_media'              => 'Gérer les objets (media)',
    'media_queue'               => 'File d\'attente des objets',
    'sort_albums'               => 'Trier les albums',
    'no_caption'                => 'Pas de légende',
    'continue'                  => 'continuer',
    'recheck'                   => 'revérifier',
    'mg_directories'            => 'Catalogues Media Gallery',
    'mg_dir_structure'          => 'Structure du catalogue Media Gallery',
    'ok'                        => 'OK',
    'not_found'                 => 'Introuvable',
    'not_writable'              => 'En lecture seulement',
    'ascending'                 => 'Ascendant',
    'descending'                => 'Descendant',
    'static_media_sort'         => 'Tri statique des objets Media Gallery',
    'sort_options'              => 'Critère de tri',
    'order_options'             => 'Ordre du tri',
    'all_dates'                 => 'Toutes les dates',
    'subalbums'                 => 'Albums descendants',
    'destination_album'         => 'Album destination',
    'move'                      => 'déplacer',
    'date'                      => 'Date',
    'album'                     => 'Album',
    'mod_delete'                => 'Effacer',
    'mod_approve'               => 'Approuver',
    'documentation'             => 'Documentation',
    'check_all'                 => 'Cocher tout',
    'uncheck_all'               => 'Décocher tout',
    'batch_process'             => 'par lots',
    'autotag_error'             => 'Erreur dans étiquette automatique',
    'successful_upload_queue'   => ' placer avec succès dans la file d\'attente de Modération',
    'successful_upload'         => ' téléchargement dans l\'album réussi',
    'phpinfo'                   => 'Information PHP',
    'album_cover'               => 'Pochette de l\'album',
    'album_attributes'          => 'Attributs de l\'album',
    'media_attributes'          => 'Attributs des objets',
    'attached_thumbnail'        => 'Vignette attachée',
    'thumbnail'                 => 'Vignette',
    'new_upload_subject'        => 'Nouvel objet téléchargé ',
    'new_upload_body'           => 'Un nouvel objet a été téléchargé dans l\'album: ',
    'upload_approved'           => 'Votre téléchargement a été approuvé.',
    'thanks_submit'             => 'Merci de votre contribution.',
    'details'                   => 'Détails ',
    'enable_exif'               => 'Afficher info EXIF',
    'enable_ratings'            => 'Évaluation activée',
    'av_play_album'             => 'Lecture audio/vidéo dans un album',
    'av_play_options'           => 'Options lecture audio/vidéo',
    'email_mods_on_submission'  => 'Envoyer un courriel aux modérateurs lors de la soumission',
    'disable_exif'              => 'EXIF désactivé',
    'display_below_media'       => 'Afficher sous l\'objet',
    'display_in_popup'          => 'Afficher dans une nouvelle fenêtre',
    'both'                      => 'Les deux',
    'play_in_popup'             => 'Jouer dans une nouvelle fenêtre',
    'download_to_local'         => 'Télécharger sur l\'ordinateur',
    'play_inline'               => 'Jouer en ligne',
    'use_mms'                   => 'Utiliser liens mms: (si supporter)',
    'upload_warning'            => 'La configuration du site permet le téléchargement de fichier de taille égale ou inférieure à %s, et la somme de tous les fichiers ne doit pas dépassée %s.',
    'gallery_import'            => 'Gallery v1.x Import Wizard',
    'fourimages_import'         => '4images Import Wizard',
    'xppubwizard_install'       => 'XP Publishing Wizard Installation',
    'log_viewer'                => 'Journal de bord Geeklog',
    'select_date'               => 'Date',
    'ss_enable'                 => 'Diaporama permis',
    'ri_enable'                 => 'Inclus dans le bloc "Image aléatoire"',
    'sf_enable'                 => 'Lien vers l\'impression en-ligne affiché',
    'tn_size'                   => 'Taille de la vignette',
    'rows'                      => 'Nb de lignes',
    'columns'                   => 'Nb de colonnes',
    'small'                     => 'Petit (100x100)',
    'medium'                    => 'Moyen (150x150)',
    'large'                     => 'Grand (200x200)',
    'system_default'            => 'Valeur par défaut du système',
    'windows_media_player'      => 'Lecteur Windows Media',
    'quicktime_player'          => 'Lecteur QuickTime',
    'direct_download'           => 'Téléchargement direct',
    'user_prefs'                => 'Préférences personnelles Media Gallery',
    'mp3_player'                => 'Lecteur MP3 par défaut',
    'mp3_player_help'           => 'Choisir quel lecteur MP3 utiliser pour entendre les objet audio.',
    'av_play_options_help'      => 'Méthode pour faire jouer les fichiers audio ou vidéo.',
    'tn_size_help'              => 'Choisir la taille des vignettes à l\'affichage de l\'album.',
    'globalattr'                => 'Éditer tous les albums',
    'global_attr_editor'        => 'Éditer attributs de tous les albums',
    'global_attr_help'          => 'Les attributs de <b>TOUS</b> les albums seront changés, utilisez avec précaution!<br /><br />Sélectionner les champs à mettre à jour à en cochant <b>Changer</b>.',
    'globalperm'                => 'Éditer permissions de tous les albums',
    'global_perm_editor'        => 'Éditeur de permissions globales',
    'global_perm_help'          => 'Les permissions de <b>TOUS</b> les albums seront changés, utilisez avec précaution!<br /><br />Sélectionner les champs à mettre à jour en modifiant leur valeur puis en cochant <b>Changer</b>.',
    'attribute'                 => 'Attribut',
    'value'                     => 'Valeur',
    'update'                    => 'Changer',
    'enable_views'              => 'Afficher compteur de visites',
    'save_exit'                 => 'sauver et sortir',
    'save_next_batch'           => 'sauver et lot suivant',
    'batch_caption_editor'      => 'Éditeur de légende',
    'batch_caption'             => 'Légende par lots',
    'batch_caption_help'        => 'Éditer le titre et les descriptions des objets de vos albums.',
    'exiftag'                   => 'Étiquette EXIF/IPTC',
    'exif_admin_header'         => 'Gestion EXIF/IPTC',
    'exif_admin_help'           => 'Choisir quelles paramètres EXIF/IPTC vous désirez afficher avec les propriétés des photos.',
    'enable_sort'               => 'Permettre le tri par le client',
    'reset_rating'              => 'remettre l\'évaluation à zéro',
    'reset_views'               => 'remettre le nb de visites à zéro',
    'albums_first'              => 'Énumérer les albums avant les images',
    'force_child_update'        => 'Appliquer les modifications aux descendants',
    'days'                      => 'Jours',
    'whatsnew_time'             => 'Durée du Quoi de neuf',
    'gallery_tn_size'           => 'Taille des vignettes en vue galerie',
    'jpg_quality'               => 'Qualité JPEG',
    'seperator'                 => 'Séparateur de chemin',
    'windows_media_player'      => 'Lecteur Windows Media',
    'quicktime'                 => 'QuickTime',
    'inm_import'                => 'Importation Inmemoriam',
    'always'                    => 'Toujours',
    'members_only'              => 'Membres seulement',
    'disabled'                  => 'Inactif',
    'full_display'              => 'Afficher image compléte',
    'reset_cover'               => 'Utiliser la pochette d\'album de base',
    'up_overrides'              => 'Les préférences personnelles ont priorité',
    'up_rows_override'          => 'Utilisateur peut modifier nb de rangées à afficher',
    'up_columns_override'       => 'Utilisateur peut modifier nb de colonnes à afficher',
    'up_mp3_override'           => 'Utilisateur peut modifier le lecteur MP3',
    'up_av_override'            => 'Utilisateur peut modifier les options de lecteur A/V',
    'up_tn_override'            => 'Utilisateur peut modifier la taille des vignettes',
    'geekary_import'            => 'Geekary Import',
    'import_wizards'            => 'Import Wizards',
    'coppermine_import'         => 'Coppermine Import',
    'back_to_main'              => 'Back to Main Menu',
    'import_title'              => 'Media Gallery Import Wizard Menu',
    'process'                   => 'Process',
    'jhead_enable'              => 'Enable JHEAD Support',
    'jhead_path'                => 'Path to jhead binary',
    'jpegtran_enable'           => 'Enable JPEGTRAN Support',
    'jpegtran_path'             => 'Path to jpegtran binary',
    'max_image_height'          => 'Maximum Image Height (pixels)',
    'max_image_width'           => 'Maximum Image Width (pixels)',
    'max_filesize'              => 'Maximum allowed filesize',
    'display_image_size'        => 'Display Image Size',
    'maint_title'               => 'Media Gallery Maintenance Options',
    'rebuild_thumb'             => 'Rebuild Thumb',
    'next'                      => 'Next',
    'rebuild_thumb_help'        => 'Rebuild all thumbnails in Media Gallery',
    'rebuild_thumb_details'     => 'This process will rebuild all thumbnails in Media Gallery.  Since this is a very CPU intensive process, Media Gallery will process for up to 3 minutes then take a 20 second break and continue processing.',
    'resize_display'            => 'Resize Images',
    'resize_help'               => 'Rebuild the display image based on the current size configured in each album.',
    'resize_details'            => 'This process will resize all display images in Media Gallery.  Since this is a very CPU intensive process, Media Gallery will process for up to 3 minutes then take a 20 second break and continue processing.',
    'resize_confirm'            => 'Are you sure you want to resize all the display images for this album?',
    'rebuild_confirm'           => 'Are you sure you want to rebuild all thumbnails for this album?',
    'remove_originals'          => 'Delete / Remove originally uploaded images',
    'remove_help'               => 'Remove the original image from Media Gallery.',
    'remove_details'            => 'This process will remove all the originally uploaded images, leaving only the display image and the thumbnail.<br /><br /><b>There is no UNDO, be sure this is what you want to do!</b>',
    'processing_complete'       => 'Processing has completed successfully',
    'reset_maint'               => 'Reset Maintenance Attribute for images',
    'reset_help'                => 'This will reset the maintenance flag on the media items so they can be processed again',
    'reset_details'             => 'This process will reset the maintenance flag to 0 for each media item so they can be processed again by the next maintenance routine.',
    'return_to_maint'           => 'Click <a href="%s">here</a> to return to the Maintenance Menu',
    'enable_album_views'        => 'Display Album Views Counter',
    'hidden'                    => 'Hidden Album',
    'tn_jpg_quality'            => 'Thumbnail JPG Quality',
    'recurse'                   => 'Process Subdirectories',
    'include_ss'                => 'Incl. SlideShow',
    'original_filename'         => 'Original Filename:',
    'jupload_message'           => 'Select Album and media items below',
    'jupload_media'             => 'JUPLOAD Media',
    'download'                  => 'Download',
    'zip_enable'                => 'Enable ZIP Uploads',
    'zip_path'                  => 'Path to unzip program',
    'tmp_path'                  => 'Path to temporary directory',
    'default_album_sort'        => 'Default Album Sort on Upload',
    'wm_management'             => 'Watermark Management',
    'watermark'                 => 'Watermark',
    'no_watermarks'             => 'No watermark images are available',
    'upload'                    => 'upload',
    'watermark_manage_help'     => 'Allows you to add / delete watermark images. Maximum watermark file size is 64kb.<br /><b>Deletes are permanent!  There is no undo!</b>',
    'watermark_upload'          => 'Watermark Upload',
    'public_access'             => 'Public Access',
    'top_left'                  => 'Top Left',
    'top_center'                => 'Top Center',
    'top_right'                 => 'Top Right',
    'middle_left'               => 'Middle Left',
    'middle_center'             => 'Middle Center',
    'middle_right'              => 'Middle Right',
    'bottom_left'               => 'Bottom Left',
    'bottom_center'             => 'Bottom Center',
    'bottom_right'              => 'Bottom Right',
    'no_watermark'              => 'No Watermark',
    'watermark_auto'            => 'Automatically Watermark on Upload',
    'watermark_opacity'         => 'Watermark Opacity',
    'watermark_location'        => 'Watermark Location',
    'watermark_image'           => 'Watermark Image',
    'watermark_redirect'        => 'Click <a href="%s">Here</a> to return to Watermark Management.',
    'preview'                   => 'Preview',
    'wm_upload_help'            => 'Click the Browse to locate a media to upload - Supported File Types: .GIF, .PNG, .JPG. <br /><br /><b>Maximum watermark file size is 64kb.</b>',
    'no_applet'                 => 'Your browser does not support applets. Or you have disabled applet in your options.<br /> To use this applet, please install the newest version of Sun\'s java. You can get it from <a href="http://www.java.com/">java.com</a>',
    'watermarked'               => 'WM',
    'category'                  => 'Category',
    'category_manage_help'      => 'Category Maintenance',
    'cat_id'                    => 'ID',
    'cat_name'                  => 'Category Name',
    'cat_description'           => 'Category Description',
    'create'                    => 'create',
    'create_category'           => 'Create Category',
    'edit_category'             => 'Edit Category',
    'cat_edit_help'             => 'Create or Edit a new Media Gallery Category',
    'no_category'               => 'No category assigned',
    'search'                    => 'Search',
    'batch_processor'           => 'Media Gallery Batch Processor',
    'processing'                => 'processing',
    'timer_expired'             => 'Timer expired at %s secs. ',
    'processing_next_items'     => 'Processing next %s item(s). Please wait...',
    'percent_completed'         => '%s %% completed',
    'processing_details'        => 'Processing Details',
    'processed_items'           => 'Items Processed',
    'status'                    => 'Status',
    'total_items'               => 'Total Items to Process',
    'items_remaining'           => 'Items Remaining',
    'items_last_cycle'          => 'Items Last Cycle',
    'time_limit'                => 'Max Execution Time Allowed',
    'item_rate'                 => 'Item Rate',
    'batch_parameters'          => 'Batch Parameters',
    'items_per_cycle'           => 'Items per Cycle',
    'all_done'                  => 'All Items Processed',
    'finished'                  => 'Finished',
    'begin_processing'          => 'Press Next to Begin Processing',
    'keywords'                  => 'Keywords',
    'preserve_filename'         => 'Preserve Original Filename',
    'discard_originals'         => 'Discard Original Images',
    'custom_image_height'       => 'Custom Image Height',
    'custom_image_width'        => 'Custom Image Width',
    'verbose'                   => 'Verbose (debug logging)',
    'disable_wn_comments'       => 'Disable What\'s New Comments',
    'enable_mid'                => 'Enable Media ID display',
    'full_in_popup'             => 'Full Image Display in Popup',
    'cmtbar'                    => 'Display Full Comment Bar',
    'wn_title_length'           => 'What\'s New Title Length',
    'batch_options'             => 'Batch Processing Options',
    'refresh_rate'              => 'Refresh Rate',
    'time_limit'                => 'Maximum execution time allowed',
    'item_limit'                => 'Maximum items per cycle',
    'custom'                    => 'Custom',
    'system_default_editor'     => 'System Defaults Editor',
    'av_default_editor'         => 'Audio / Video Defaults Editor',
    'system_options'            => 'System Options',
    'album_default_editor'      => 'Album Defaults',
    'reports'                   => 'Reports',
    'quota_reports'             => 'Quota Reports',
    'batch_sessions'            => 'Batch Sessions',
    'paused_sessions'           => 'Paused Sessions',
    'utilities'                 => 'Utilities',
    'gallery_v2_import'         => 'Gallery v2',
    'batch_rotate_images'       => 'Rotating Images in album: %s',
    'batch_watermark_images'    => 'Watermarking Images in album: %s',
    'batch_resize_images'       => 'Resizing Images in Album: %s',
    'batch_rebuild_thumbs'      => 'Rebuilding Thumbnails in Album: %s',
    'queue_delete'              => ' removed from queue and deleted',
    'queue_processed'           => ' successfully placed in album',
    'owner'                     => 'Owner',
    'remove_error'              => 'You can only remove the original images if <b>Discard Original Images</b> is enabled in System Options',
    'file_list'                 => 'File List',
    'quick_create'              => 'Quick Album Create',
    'ftp_path'                  => 'FTP Path Directory',
    'put_files'                 => 'Put Files of',
    'into_album'                => 'into album',
    'root_album'                => 'Root Album - No image upload allowed',
    'size_500x375'              => 'Size 500x375',
    'size_600x450'              => 'Size 600x450',
    'size_620x465'              => 'Size 620x465',
    'size_720x540'              => 'Size 720x540',
    'size_800x600'              => 'Size 800x600',
    'size_912x684'              => 'Size 912x684',
    'size_1024x768'             => 'Size 1024x768',
    'size_1152x864'             => 'Size 1152x864',
    'size_1280x1024'            => 'Size 1280x1024',
    'size_custom'               => 'Custom - ',
    'characters'                => 'Characters',
    'zero_unlimited'            => '0 = Unlimited',
    'user_quota'                => 'Your quota is %d Kb and you have used %d Kb with %d Kb remaining<br /><br />',
    'member_album_options'      => 'Member Album Options',
    'member_albums'             => 'Member Albums',
    'enable_member_albums'      => 'Enable Member Albums',
    'default_member_quota'      => 'Default Member Quota',
    'auto_create'               => 'Auto Create Albums',
    'allow_create'              => 'Allow Creation under Member Root',
    'member_root'               => 'Member Albums Root Album',
    'rebuild_quota'             => 'Rebuild User Quota\'s',
    'rebuild_quota_help'        => 'This will scan all the albums on the system and rebuild the quota usage for each user.',
    'member_archive'            => 'Archive Deleted Member Albums',
    'do_not_archive'            => 'Delete - Do Not Archive',
    'root_album'                => 'Root Album',
    'batch_create_members'      => 'Batch Create Member Albums',
    'quota_report'              => 'Quota Report',
    'username'                  => 'User Name',
    'userid'                    => 'User ID',
    'active'                    => 'Active',
    'quota'                     => 'Quota',
    'used'                      => 'Used',
    'category_error'            => 'You must enter a category name.',
    'no_cat'                    => 'No Categories currently exist',
    'edit_user'                 => 'Edit User',
    'rebuild_all_thumbnails'    => 'Rebuild All Thumbnails',
    'resize_all_images'         => 'Resize All Images',
    'starting_album'            => 'Starting Album',
    'media_original_filename'   => 'Original Filename',
    'delete_item_confirm'       => 'Are you sure you want to delete the selected items?',
    'static_sort_albums'        => 'Static Sort Albums',
    'static_sort_media'         => 'Static Sort Media',
    'process_subs'              => 'Process Sub-Albums',
    'media_count'               => 'Media Count',
    'last_update'               => 'Last Update',
    'enable_rss'                => 'Enable Album RSS Feed',
    'enable_postcard'           => 'Enable PostCards',
    'all_users'                 => 'All Users',
    'rss_feeds'                 => 'RSS Feeds',
    'rss_options'               => 'RSS Feed Options',
    'rss_rebuild_all'           => 'Rebuild Full RSS Feed',
    'rss_rebuild_album'         => 'Rebuild All Album RSS Feeds',
    'rss_full'                  => 'Build Full Album RSS Feed',
    'rss_type'                  => 'RSS Feed Type',
    'rss_ignore_empty'          => 'Exclude empty albums from RSS feed',
    'rss_anonymous_only'        => 'Only Include Albums available to the public',
    'rss_feed_name'             => 'Base filename for RSS Feed file',
    'postcard_retention'        => 'Days to retain sent PostCards',
    'member_album_postfix'      => ' Album',
    'mass_delete_help'          => 'Batch Album Delete - USE WITH CAUTION',
    'rss_options'               => 'RSS Feed Options',
    'batch_delete_albums'       => 'Batch Delete Albums',
    'reset_members'             => 'Reset Member Album Create Flag',
    'reset_members_details'     => 'This will check to see if a Member Album exists for all users, if none exists the database will be updated showing no album exists for that user.',
    'approve_all'               => 'Approve All',
    'rss_directory'             => 'RSS Directory',
    'user_prefs_title'          => 'Media Gallery User Options',
    'xp_pub'                    => 'XP Publishing',
    'purge_member_albums'       => 'Purge Member Albums',
    'last_login'                => 'Last Login',
    'purge_mem_albums_help'     => 'Batch Remove Stale Member Albums - Lists albums with NO content',
    'anonymous_uploads_prompt'  => 'Logged-in User Uploads',
    'anonymous_uploads_help'    => 'Set this parameter to allow registered users to upload media',
    'member_upload'             => 'Allow registered users to upload media to this album',
    'reset_defaults'            => 'Reset Defaults',
    'reset_defaults_details'    => 'Reset ALL System Options, Album Defaults and AV Defaults to installation defaults. This will only affect the default settings, it will not affect any existing albums.  Use with caution!',
    'no_sessions'               => 'No active sessions found',
    'media_title'               => 'Media Title',
    'seconds_per_item'          => '%s seconds per item',
    'subalbums'                 => 'Sub Albums',
    'rss_options'               => 'RSS Options',
    'filecheck'                 => 'FileCheck',
    /* --- New in v1.4.4 --- */
    'gl_story'                  => 'Geeklog Stories',
    'allow_download'            => 'Allow Media Download',
    'display_album_desc'        => 'Display Album Description',
    'jpg'                       => 'JPEG',
    'png'                       => 'PNG',
    'tif'                       => 'TIF',
    'gif'                       => 'GIF',
    'bmp'                       => 'BMP',
    'tga'                       => 'TGA',
    'psd'                       => 'PSD',
    'mp3'                       => 'MP3',
    'ogg'                       => 'OGG',
    'asf'                       => 'WMV',
    'swf'                       => 'SWF',
    'mov'                       => 'MOV',
    'mp4'                       => 'MP4',
    'mpg'                       => 'MPEG',
    'zip'                       => 'ZIP',
    'other'                     => 'Other',
    'image'                     => 'Image',
    'audio'                     => 'Audio',
    'video'                     => 'Video',
    'allowed_media_formats'     => 'Allowed Media Types',
    'filename_title'            => 'Use Filename as Caption',
    'profile_hook'              => 'Display MG Info in User Profile',
    'expand_all'                => 'Expand All',
    'collapse_all'              => 'Collapse All',
    'dnd_title'                 => 'Media Gallery Drag & Drop Album Maintenance',
    'version_info'              => 'Version Information',
    'up_to_date'                => 'Your installation is up to date, no updates are available for your version of Media Gallery',
    'no_version_info'           => 'Unable to determine latest version of Media Gallery.',
    'browser_upload'            => 'Web Browser Upload',
    'gallery_remote'            => 'Gallery Remote',
    'index_album_skin'          => 'Index Album Skin',
    'album_display_rows'        => 'Album Display Rows',
    'image_skin'                => 'Image Skin',
    'album_skin'                => 'Album Skin',
    'display_skin'              => 'Display Skin',
    'do_not_convert_orig'       => 'Do not convert original to JPG',
    'whatsnew_title'            => 'MEDIA GALLERY',
    'no_title'                  => 'No media title available',
    'subalbum_select'           => 'Show Sub-Albums in Select Box',
    'select_subalbum'           => 'Select Sub-Album',
    'enable_keywords'           => 'Enable Keywords',
    'ffmpeg_path'               => 'FFMPEG Path',
    'ffmpeg_enable'             => 'Enable FFMPEG support',
    'flashplayer'               => 'Flash Player',
    'batch_quota_update'        => 'Batch Quota Update',
    'replace_file'              => 'Replace File',
    'podcast'                   => 'Podcast Album',
    'autotag_caption'           => 'Use media / album title as caption for autotags',
    'popup_from_album'          => 'Play audio / video media directly from album view',
    'out_of_date'               => 'Your installation does not seem to be up to date. Updates are available for your version of Media Gallery, please visit <a href="http://www.gllabs.org">http://www.gllabs.org/</a> to obtain the latest version.<br><br>The latest available version is Media Gallery %s You are running Media Gallery %s',
    /* --- Modified in v1.5.0 --- */
    'jpg_quality'               => 'Display JPG Quality',
    /* --- New in version 1.5.0 --- */
    'js_slideshow'              => 'JavaScript',
    'lightbox'                  => 'LightBox',
    'remote_media'              => 'Remote Media',
    'remote_media_type'         => 'Remote Media Type',
    'remote_help'               => 'This screen allows you to upload (include) remote streaming FLV files or video files from sites such as Google Video and YouTube',
    'remote_url'                => 'Remote URL',
    'embed'                     => 'Embedded Video',
    'alternate_url'             => 'Alternate URL',
    'flv_stream'                => 'Streaming FLV',
    'remote_thumbnail'          => 'Remote Thumbnail',
    'flv'                       => 'FLV',
    'rflv'                      => 'Remote FLV',
    'emb'                       => 'Embedded Video',
    'random_size'               => 'Random Image Block Width',
    'flash_slideshow_full'      => 'Flash (Orig)',
    'flash_slideshow_disp'      => 'Flash (Disp)',
    'media_attributes'          => 'Media Handling Options',
    'orig_jpg_quality'          => 'Original JPG Quality',
    'truncate_breadcrumb'       => 'Truncate Breadcrumbs',
    'member_use_fullname'       => 'Use Fullname for Member Album title',
    'feature_member_album'      => 'Feature Member Album on main page',
    'allow_remote'              => 'Enable Remote Users',
);

// error messages

$LANG_MG02 = array (
    'error_header'              => 'Erreur Media Gallery',
    'generic_error'             => 'Une erreur est survenu pendant le traitement de votre requête.  Veuillez essayer plus tard.',
    'upload_too_big'            => '%s - La taille du fichier est supérieure à la limite permise (variable <i>upload_max_filesize</i> de php.ini).',
    'upload_too_big_html'       => '%s - La taille du fichier est supérieure à la valeur de la directive <b>MAX_FILE_SIZE</b> du formulaire HTML.',
    'partial_upload'            => '%s - Le fichier a été partiellement téléchargé.',
    'missing_tmp'               => 'Catalogue temporaire indéterminé.',
    'disk_fail'                 => 'Erreur à l\'écriture du fichier sur disque.',
    'unknown_err'               => 'Erreur inconnue lors du téléchargement du fichier',
    'albumaccessdeny'           => "Vous n'avez pas les permissions requises pour voir cet album. C'est peut-être parce que vous n'êtes pas membre de {$_CONF['site_name']}. S.V.P. <a href={$_CONF['site_url']}/users.php?mode=new> devenez un membre</a> de {$_CONF['site_name']} pour obtenir les privilèges des membres!",
    'admin_access_deny'         => "Désolez, vous n'avez pas accès à la page d'administration de Media Gallery.  Veuillez noter que tous les accès non-authorisé sont journalisés.",
    'no_target_album'           => "Aucun album destination n'a été sélectionné.",
    'invalid_directory'         => 'Le catalogue n\'existe pas',
    'directory_error'           => 'Erreur à l\'ouverture du catalogue pour chercher les fichiers',
    'album_not_found'           => 'Album introuvable',
    'usage_report_error1'       => 'Impossible de sélectionner tous les utilisateurs et toutes les dates.<br />S.V.P. veuillez recommencer.',
    'unknown_filetype'          => ' Type de fichier inconnu.<br />', /*** RENDU ICI ***/
    'move_error'                => ' error moving / copying uploaded file %s<br />',
    'convert_error'             => ' error converting uploaded file %s<br />',
    'perm_error'                => ' Erreur à l\'ouverture du fichier (accès interdit)',
    'album_nonexist'            => 'Album does not exist, unable to process uploads',
    'upload_not_found'          => 'Unable to locate uploaded file.  Check your webserver error logs and also make sure your post_max_size and max_upload_size parameters in php.ini are set larger than the file you are trying to upload.',
    'upload_not_readable'       => 'Unable to open uploaded / imported file.  Check the file permissions and make sure the web server has READ access to the file',
    'rate_speedlimit'           => "You last rated an item %s seconds ago. This site requires at least {$_CONF['commentspeedlimit']} seconds between ratings",
    'inmemoriam_not_installed'  => 'Inmemoriam Plugin not installed or not enabled.',
    'geekary_not_installed'     => 'Geekary Plugin not installed or not enabled.',
    'upload_exceeds_max_filesize' => '%s - Exceeds the maximum configured filesize for this album',
    'unsupported_wm_type'       => ' - Unsupported watermark file type',
    'wm_aleady_exists'          => ' already exists in watermark directory',
    'wm_success'                => ' - Watermark succesfully uploaded<br />',
    'upload_exceeds_quota'      => '%s - This upload would exceed your usage quota.',
    'postcard_speedlimit'       => "You last sent a PostCard %s seconds ago. This site requires at least {$_CONF['commentspeedlimit']} seconds between PostCards",
    'error_create_tmp'          => 'Error creating temporary directory. Please contact the site administrator',
    'wm_already_exists'         => 'The watermark file %s already exists on the server',
    /* --- New in version 1.5.0 --- */
    'invalid_remote_url'        => 'File %d is not a valid streaming FLV URL',
    'invalid_embed_url'         => 'File %d is not a valid embed URL',
);

// userland items...

$LANG_MG03 = array (
    'featured_album'        => 'Album en vedette',
    'updated_prompt'        => 'Mis-à-jour le ',
    'no_album_objects'      => '<br>Pas d\'album à afficher<br><br>Il n\'y a pas d\'album à afficher. Aucun album diponible ou permission non accordée.',
    'no_media_objects'      => '<h2>Cet album ne contient aucune image</h2>',
    'next'                  => 'Suivant',
    'previous'              => 'Précédent',
    'home'                  => 'Home',
    'return_to_album'       => 'De retour à l\'album',
    'normal_size'           => 'Taille normale',
    'full_size'             => 'Taille grande',
    'play'                  => 'Jouer',
    'stop'                  => 'Arrêter',
    'ss_running'            => 'Le diaporama est en marche...',
    'ss_stopped'            => 'Le diaporama est arrêté. Appuyez sur [Jouer] pour poursuivre.',
    'reverse'               => 'marche arrière',
    'forward'               => 'marche avant',
    'picture_loading'       => 'L\'image est en cours de chargement...',
    'please_wait'           => 'S.V.P. veuillez patienter...',
    'transition'            => 'Transition',
    'delay'                 => 'Délai',
    'loop'                  => 'Jouer en boucle',
    'seconds'               => 'seconde(s)',
    'jump_to'               => 'Aller à',
    'go'                    => 'aller',
    'slide_show'            => 'Diaporama',
    'page'                  => 'Page',
    'of'                    => 'de',
    'image'                 => 'Image',
    'comments'              => 'Commentaires',
    'views'                 => 'Visites',
    'print_shutterfly'      => 'Print this Picture at Shutterfly.com',
    'upload_help'           => 'Appuyer sur <b>Parcourir...</b> pour localiser l\'objet à télécharger',
    'add_media'             => 'Ajouter',
    'upload_media'          => 'Media Gallery - Téléchargement de media',
    'upload_results'        => 'Media Gallery - Résultats du téléchargement',
    'album_redirect'        => 'Appuyez <a href="%s">ici</a> pour retourner à l\'album.',
    'browse_album'          => 'Parcourir l\'album',
    'close'                 => 'Fermer',
    'rating'                => 'Évaluation',
    'votes'                 => 'Vote(s)',
    'rate'                  => 'Évaluer',
    'sort_by'               => 'Critère du tri',
    'sort_default'          => 'par défaut',
    'sort_default_asc'      => 'par défaut, asc',
    'sort_upload'           => 'date/heure téléchargement, desc',
    'sort_upload_asc'       => 'date/heure téléchargement, asc',
    'sort_capture'          => 'temps capture,desc',
    'sort_capture_asc'      => 'temps capture, asc',
    'sort_rating'           => 'rang, desc',
    'sort_rating_asc'       => 'rang, asc',
    'sort_views'            => 'visites, desc',
    'sort_views_asc'        => 'visites, asc',
    'print_digibug'         => 'Imprimer cette photo chez Digibug.com',
    'no_sort'               => 'No Automatic Sorting',
    'all_categories'        => 'All Categories',
    'category'              => 'Category',
    'per_page'              => 'per page',
    'title_desc_keywords'   => 'Title, Desc and Keywords',
    'keywords_only'         => 'Keywords Only',
    'title_desc_only'       => 'Title and Desc Only',
    'exact_phrase'          => 'Exact Phrase',
    'any'                   => 'any of these words',
    'all'                   => 'all of these words',
    'sort_alpha'            => 'title, desc',
    'sort_alpha_asc'        => 'title, asc',
    'advanced_search'       => 'Media Gallery Advanced Search',
    'search_query'          => 'Search Query',
    'search_help'           => 'You can use AND to define words which must be in the results, OR to define words which may be in the result and NOT to define words which should not be in the result. Use * as a wildcard for partial matches',
    'options'               => 'Options',
    'keywords'              => 'Keywords',
    'all_fields'            => 'Title, Desc, Keywords',
    'keywords_only'         => 'Keywords Only',
    'return_results'        => 'Return Results',
    'sort_by'               => 'Sort By',
    'search'                => 'search',
    'search_for'            => 'Search For',
    'search_in'             => 'Search In',
    'results'               => 'Results',
    'send_postcard'         => 'Send an Electronic PostCard',
    'invalid_to_email'      => 'To email address is invalid',
    'invalid_email'         => 'Invalid email address',
    'invalid_from_email'    => 'From email address is invalid',
    'invalid_subject'       => 'You must supply a subject',
    'invalid_message'       => 'You must supply a message body',
    'postcard_preview'      => 'PostCard Preview',
    'postcard_greet'        => 'A Post Card from ',
    'to'                    => 'To:',
    'from'                  => 'From:',
    'subject'               => 'Subject:',
    'visit'                 => 'Visit ',
    'send_to'               => 'Send PostCard To',
    'postcard_from'         => 'An Electronic PostCard From',
    'send_from'             => 'PostCard From',
    'to_name'               => 'To Name',
    'to_email'              => 'To Email',
    'from_name'             => 'Your Name',
    'from_email'            => 'Your Email',
    'message_body'          => 'Message Body',
    'send'                  => 'send',
    'cancel'                => 'cancel',
    'preview'               => 'preview',
    'text_body_email'       => 'You received an Electronic PostCard from %s. If you are unable to see the message below, visit %s to view',
    'error_postcard'        => 'Error Retrieving Your Electronic PostCard',
    'error_retrieve_text'   => 'The PostCard you are attempting to view is no longer available.<br />PostCard\'s are available for upto ' . $_MG_CONF['postcard_retention'] . ' days after they are sent.',
    'thank_you'             => 'Thank You',
    'zip_file_help'         => '.ZIP files will be extracted and the contents loaded into your album after upload.',
    'xp_pub_title'          => 'Media Gallery Windows XP Publishing',
    'xp_pub_help1'          => 'Windows XP has the ability to publish contect directly from your computer to Media Gallery.  Follow the instructions below to enable this feature on your Windows XP computer.',
    'xp_pub_help2'          => 'Follow the link below to download the configuration file.  Once the file has been downloaded, right-click and select Merge option.  You will be prompted to confirm you wish to import these values into your registry.  Click "Ok".  Once installed on your local computer, you do not need to download or re-install this file again.  Follow the Publishing steps below.',
    'xp_pub_help3'          => 'Open the folder on your computer you wish to publish to Media Gallery.  Select the images or folder, then select the link on the left hand menu "Publish this file to the web...".  Select this option and the follow the instructions, you will be prompted to log into Media Gallery and then select the destination album for your files.',
    'xp_pub_url'            => 'Download <a href="%s">xppubwiz.reg</a>',
    'setup'                 => 'Setup',
    'publishing'            => 'Publishing',
    'enroll_title'          => 'Member Album Self Enrollment',
    'overview'              => 'Overview',
    'terms'                 => 'Terms and Conditions',
    'member_album_overview' => 'Member Albums allow you the freedom to have your very own Media Gallery Album that you have semi-full control over.  There are a few site wide functions you cannot perform, such as making your album a Featured Album, but most administrative functions are available to you.',
    'member_album_terms'    => 'By pressing the Agree button below, you agree to abide by the terms and conditions set forth by the site administrators.  If you abuse or otherwise mis-use your Member Album, your account could be suspended.',
    'agree'                 => 'Agree',
    'existing_member_album' => 'It appears that you already have a Member Album and you can only have 1 directly off of the Member Album Root album.  If you feel this is an error, please contact the site administrator.',
    'member_album_signup'   => 'Get your own album in our Media Gallery.<br /><br /><center><a href="%s">Sign Up Here</a></center>',
    'unable_to_view_postcard'   => 'Use this link if you are unable to view the Post Card.',
    'album_id_display'      => 'Album ID: ',
    'upload_help'           => 'Click the <b>Browse</b> to locate a media item to upload',
    'gremote_msg'           => 'Gallery Remote is a Java application that runs on your desktop computer and provides a rich interface to Media Gallery. With Gallery Remote you can drag and drop to photos to upload them to Media Gallery, rotate and resize your images before uploading. You must install Gallery Remote 1.4 or newer to use it with this version of Media Gallery.',
    'gremote_url'           => '<a href="http://gallery.sourceforge.net/gallery_remote.php">Download Gallery Remote</a>',
    'upload_help'           => 'Upload files directly from your computer. Enter the full path to the file and an optional title / description /keywords in the boxes below.',
    'upload_size'           => '<b>Note:</b> You can upload up to %s megabytes at one time. No individual file may be larger than %s megabytes. If you want to upload more than that, you must upload the files separately, use a different upload format, or ask your system administrator to allow larger uploads.',
    'ftp_help'              => 'Transfer files that are already on your server into Media Gallery. The files must already have been uploaded to your server some other way (like FTP) and must be placed in a directory where they are accessibly by the web server.',
    'no_new_items'          => 'No new media items',
    'no_comments'           => 'No new media comments',
    'search_results'        =>  'Media Gallery Search Results',
    'no_search_found'       => 'No search results found',
    'search_error'          => 'You must enter at least 1 search word',
    'artist'                => 'Artist',
    'album'                 => 'Album',
    'song'                  => 'Song',
    'track'                 => 'Track',
    'genre'                 => 'Genre',
    'year'                  => 'Year',
    'download'              => 'Download',
    'info'                  => 'Info',
    'large'                 => 'Large',
    'normal'                => 'Normal',
    'media_properties'      => 'Media Properties',
    'click_here'            => 'click here',
    'published'             => 'Published by',
    'on'                    => 'On',
    'no_flash'              => '<div style="width:200px;">It appears you do not have the Flash Plugin installed, or the version you have is out of date and cannot play the requested content.<br><p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" style="border:none;" /></a></p></div>',
    'tagline'               => 'Gallery powered by <a href="http://www.gllabs.org" target="_new">Media Gallery</a>',
    /* --- new in v1.5.0 --- */
    'xp_pub_url'            => 'Download <a href="%s">xppubwiz.reg (Windows XP)</a>',
    'vista_pub_url'         => 'Download <a href="%s">xppubwiz.reg (Windows Vista)</a>',
);

// EXIF labels

$LANG_MG04 = array (
    'exif_header'           => 'Photo Properties',
    'aperture'              => 'Ouverture',
    'shutter_speed'         => 'Vitesse de l\'obturateur',
    'iso'                   => 'ISO',
    'focal_length'          => 'Profondeur du champ',
    'flash'                 => 'Flash',
    'acd_comment'           => 'Commentaire ACD',
    'ae_warning'            => 'AE Warning',
    'af_focus_position'     => 'AF Focus Position',
    'af_point_selected'     => 'AF Point Selected',
    'af_point_used'         => 'AF Point Used',
    'adapter'               => 'Adapter',
    'artist'                => 'Artiste',
    'battery_level'         => 'Niveau de la batterie',
    'bits_per_sample'       => 'Bits par échantillon',
    'blur_warning'          => 'Avertissement de flou',
    'brightness'            => 'Luminance',
    'ccd_sensitivity'       => 'Sensibilité CCD',
    'camera_id'             => 'ID caméra',
    'camera_serial_number'  => 'Numéro de série caméra',
    'color'                 => 'Couleur',
    'color_mode'            => 'Mode couleur',
    'color_space'           => 'Espace couleur',
    'component_configuration' => 'Configuration du composant',
    'compressed_bits_per_pixel' => 'Compressed Bits Per Pixel',
    'compression'           => 'Compression',
    'continuous_taking_bracket' => 'Continuous Taking Bracket',
    'contrast'              => 'Contrast',
    'converter'             => 'Converter',
    'copyright'             => 'Copyright',
    'custom_functions'      => 'Custom Functions',
    'customer_render'       => 'Customer Render',
    'datetime'              => 'Date/Time',
    'digital_zoom'          => 'Digital Zoom',
    'digital_zoom_ratio'    => 'Digital Zoom Ratio',
    'drivemode'             => 'DriveMode',
    'easy_shooting'         => 'Easy Shooting',
    'exposure_bias'         => 'Exposure Bias',
    'exposure_index'        => 'Exposure Index',
    'exposure_mode'         => 'Exposure Mode',
    'exposure_program'      => 'Exposure Program',
    'file_source'           => 'Source du fichier',
    'firmware_version'      => 'Version du firmware',
    'flash_bias'            => 'Flash Bias',
    'flash_details'         => 'Flash Details',
    'flash_energy'          => 'Flash Energy',
    'flash_mode'            => 'Flash Mode',
    'flash_pix_version'     => 'Flash Pix Version',
    'flash_setting'         => 'Flash Setting',
    'flash_strength'        => 'Flash Strength',
    'focal_plane_resolution_unit' => 'Focal Plane Resolution Unit',
    'focal_plane_x_resolution' => 'Focal Plane X Resolution',
    'focal_plane_y_resolution' => 'Focal Plane Y Resolution',
    'focal_units'           => 'Focal Units',
    'focus'                 => 'Focus',
    'focus_mode'            => 'Focus Mode',
    'focus_warning'         => 'Focus Warning',
    'gain_control'          => 'Gain Control',
    'image_adjustment'      => 'Image - ajustement',
    'image_description'     => 'Image - description',
    'image_history'         => 'Image - historique',
    'image_length'          => 'Image - longueur',
    'image_number'          => 'Image Number',
    'image_sharpening'      => 'Image Sharpening',
    'image_size'            => 'Image - taille',
    'image_type'            => 'Image - type',
    'image_width'           => 'Image - largeur',
    'inter_color_profile'   => 'Inter Color Profile',
    'interlace'             => 'Interlace',
    'interoperability_index'=> 'Interoperability Index',
    'interoperability_version' => 'Interoperability Version',
    'related_image_file_format' => 'Related Image File Format',
    'related_image_length'  => 'Related Image Length',
    'related_image_width'   => 'Related Image Width',
    'jpeg_tables'           => 'JPEG Tables',
    'jpeg_if_byte_count'    => 'JPEG IF Byte Count',
    'jpeg_if_offset'        => 'JPEG IF Offset',
    'jpeg_quality'          => 'JPEG - qualité',
    'light_source'          => 'Source de lumière',
    'long_focal_length'     => 'Profondeur de champ longue',
    'macro'                 => 'Macro',
    'make'                  => 'Fabriquant',
    'manual_focus_distance' => 'Distance du focus manuel',
    'max_aperture_value'    => 'Ouverture maximale',
    'metering_mode'         => 'Mode de mesure',
    'model'                 => 'Modèle',
    'noise'                 => 'Bruit',
    'noise_reduction'       => 'Bruit - réduction',
    'orientation'           => 'Orientation',
    'owner_name'            => 'Nom du propriétaire',
    'photometric_interpretation' => 'Photometric Interpretation',
    'photoshop_settings'    => 'Photoshop Settings',
    'picture_info'          => 'Picture Info',
    'picture_mode'          => 'Picture Mode',
    'planar_configuration'  => 'Planar Configuration',
    'predictor'             => 'Predictor',
    'primary_chromaticities' => 'Primary Chromaticities',
    'quality'               => 'Quality',
    'reference_bw'          => 'Reference Black/White',
    'related_sound_file'    => 'Related Sound File',
    'resolution_unit'       => 'Unité de résolution',
    'rows_per_strip'        => 'Rows Per Strip',
    'samples_per_pixel'     => 'Samples Per Pixel',
    'saturation'            => 'Saturation',
    'scene_capture_mode'    => 'Scene Capture Mode',
    'scene_type'            => 'Scene Type',
    'security_classification'   => 'Security Classification',
    'self_timer'            => 'Self Timer',
    'self_timer_mode'       => 'Self Timer Mode',
    'sensing_method'        => 'Sensing Method',
    'sequence_number'       => 'Sequence Number',
    'sharpness'             => 'Sharpness',
    'short_focal_length'    => 'Short Focal Length',
    'slow_sync'             => 'Slow Sync',
    'software'              => 'Software',
    'software_release'      => 'Software Release',
    'spatial_frequency_response' => 'Spatial Frequency Response',
    'special_mode'          => 'Special Mode',
    'spectral_sensitivity'  => 'Spectral Sensitivity',
    'strip_byte_counts'     => 'Strip Byte Counts',
    'strip_offsets'         => 'Strip Offsets',
    'subifds'               => 'SubIFDs',
    'subfile_type'          => 'Subfile Type',
    'subject_distance'      => 'Subject Distance',
    'subject_location'      => 'Subject Location',
    'subsec_time'           => 'Subsec Time',
    'subsec_time_digitized' => 'Subsec Time (Digitized)',
    'subsec_time_original'  => 'Subsec Time (Original)',
    'tiff_ep_standard_id'   => 'TIFF/EP Standard ID',
    'tile_byte_counts'      => 'Tile Byte Counts',
    'tile_length'           => 'Tile Length',
    'tile_offsets'          => 'Tile Offsets',
    'tile_width'            => 'Tile Width',
    'time_zone_offset'      => 'Time Zone Offset',
    'tone'                  => 'Tone',
    'transfer_function'     => 'Transfer Function',
    'user_comment'          => 'User Comment',
    'version'               => 'Version',
    'white_balance'         => 'White Balance',
    'white_point'           => 'White Point',
    'ycbcr_coefficients'    => 'Y/Cb/Cr Coefficients',
    'ycbcr_positioning'     => 'Y/Cb/Cr Positioning',
    'ycbcr_sub_sampling'    => 'Y/Cb/Cr Sub-Sampling',
    'x_resolution'          => 'Résolution X',
    'y_resolution'          => 'Résolution Y',
    'exif_image_height'     => 'EXIF - hauteur image',
    'exif_image_width'      => 'EXIF - largeur image',
    'iptc_supplemental_categories' => 'IPTC: Supplemental Categories',
    'iptc_keywords'         => 'IPTC: Keywords',
    'iptc_caption'          => 'IPTC: Caption',
    'iptc_caption_writer'   => 'IPTC: Caption Writer',
    'iptc_headline'         => 'IPTC: Headline',
    'iptc_special_instructions' => 'IPTC: Special Instructions',
    'iptc_category'         => 'IPTC: Category',
    'iptc_byline'           => 'IPTC: Byline',
    'iptc_byline_title'     => 'IPTC: Byline Title',
    'iptc_credit'           => 'IPTC: Credit',
    'iptc_source'           => 'IPTC: Source',
    'iptc_copyright_notice' => 'IPTC: Copyright Notice',
    'iptc_object_name'      => 'IPTC: Object Name',
    'iptc_city'             => 'IPTC: City',
    'iptc_province_state'   => 'IPTC: Province State',
    'iptc_country_name'     => 'IPTC: Country Name',
    'iptc_original_transmission_reference' => 'IPTC: Original Transmission Reference',
    'iptc_date_created'     => 'IPTC: Date Created',
    'iptc_copyright_flag'   => 'IPTC: Copyright Flag',
    'iptc_time_created'     => 'IPTC: Time Created',
    //
    'dots_per_resolution_unit'  => ' dots per ResolutionUnit',  // Xresolution YResolution
    'sec'                       => ' sec',                      // Exposure Time
    'ev'                        => ' EV',                       // Exposure Bias Value
    'bulb'                      => 'Bulb',
    // orientation
    'normal'                    => 'Normal (0 deg)',
    'mirrored'                  => 'Mirrored',
    'upsidedown'                => 'Upsidedown',
    'upsidedown_mirrored'       => 'Upsidedown Mirrored',
    'cw_mirrored'               => '90 deg CW Mirrored',
    'ccw'                       => '90 deg CCW',
    'ccw_mirrored'              => '90 deg CCW Mirrored',
    'cw'                        => '90 deg CW',
    // Resolution Unit FocalPlaneResolutionUnit ThumbnailResolutionUnit
    'no_unit'                   => 'No Unit',
    'inch'                      => 'Inch',
    'centimeter'                => 'Centimeter',
    //YCbCrPositioning
    'center_of_pixel_array'     => 'Center of Pixel Array',
    'datum_point'               => 'Datum Point',
    //Exposure Program
    'manual'                    => 'Manual',
    'Program'                   => 'Program',
    'aperature_priority'        => 'Aperature Priority',
    'shutter_priority'          => 'Shutter Priority',
    'program_creative'          => 'Program Creative',
    'program_action'            => 'Program Action',
    'portrait'                  => 'Portrait',
    'landscape'                 => 'Landscape',
    // Metering Mode
    'unknown'                   => 'Unknown',
    'average'                   => 'Average',
    'center_weighted_average'   => 'Center Weighted Average',
    'spot'                      => 'Spot',
    'multi_spot'                => 'Multi-Spot',
    'multi_segment'             => 'Multi-Segment',
    'partial'                   => 'Partial',
    'other'                     => 'Other',
    // lightsource
    'unknown_or_auto'           => 'Unknown or Auto',
    'daylight'                  => 'Daylight',
    'flourescent'               => 'Flourescent',
    'tungsten'                  => 'Tungsten',
    'flash'                     => 'Flash',
    'standard_a'                => 'Standard Light A',
    'standard_b'                => 'Standard Light B',
    'standard_c'                => 'Standard Light C',
    'd55'                       => 'D55',
    'd65'                       => 'D65',
    'd75'                       => 'D75',
    'srgb'                      => 'sRGB',
    'uncalibrated'              => 'Uncalibrated',
    'pixels'                    => ' pixels',
    'no_compression'            => 'No Compression',
    'jpeg_compression'          => 'JPEG Compression',
    'not_defined'               => 'Not Defined',
    'one_chip_color_area_sensor'    => 'One Chip Color Area Sensor',
    'two_chip_color_area_sensor'    => 'Two Chip Color Area Sensor',
    'three_chip_color_area_sensor'  => 'Three Chip Color Area Sensor',
    'color_sequential_area_sensor'  => 'Color Sequential Area Sensor',
    'trilinear_sensor'              => 'Trilinear Sensor',
    'color_sequential_linear_sensor'    => 'Color Sequential Linear Sensor',
    'monochrome'                    => 'Monochrome',
    'rgb'                           => 'RGB',
    'ycbcr'                         => 'YCbCr',
    // file source
    'digital_still_camera'          => 'Digital Still Camera',
    // scene type
    'directly_photographed'         => 'Directly Photographed',
    // flash
    'flash_00'              => 'Flash did not fire',
    'flash_01'              => 'Flash Fired',
    'flash_05'              => 'Strobe return light not detected',
    'flash_07'              => 'Strobe returned light detected',
    'flash_09'              => 'Flash fired, compulsory flash mode',
    'flash_13'              => 'Flash fired, compulsory flash mode, return light not detected',
    'flash_15'              => 'Flash fired, compusory flash mode, return light detected',
    'flash_16'              => 'Flash did not fire, compulsory flash mode',
    'flash_24'              => 'Flash did not fire, auto mode',
    'flash_25'              => 'Flash fired, auto mode',
    'flash_29'              => 'Flash fired, auto mode, return light not detected',
    'flash_31'              => 'Flash fired, auto mode, return light detected',
    'flash_32'              => 'No flash function',
    'flash_65'              => 'Flash fired, red-eye reduction mode',
    'flash_69'              => 'Flash fired, red-eye reduction mode, return light not detected',
    'flash_71'              => 'Flash fired, red-eye reduction mode, return light detected',
    'flash_73'              => 'Flash fired, compulsory flash mode, red-eye reduction mode',
    'flash_77'              => 'Flash fired, compulsory flash mode, red-eye reduction mode, return light not detected',
    'flash_79'              => 'Flash fired, compulsory flash mode, red-eye reduction mode, return light detected',
    'flash_89'              => 'Flash fired, auto mode, red-eye reduction mode',
    'flash_92'              => 'Flash fired, auto mode, return light not detected, red-eye reduction mode',
    'flash_95'              => 'Flash fired, auto mode, return light detected, red-eye reduction mode'
);

// Slideshow transitions

$LANG_MG05 = array (
    'blend'                 => 'Blend',
    'blinds'                => 'Blinds',
    'checkerboard'          => 'Checkerboard',
    'diagonal'              => 'Diagonal',
    'doors'                 => 'Doors',
    'gradient'              => 'Gradient',
    'iris'                  => 'Iris',
    'pinwheel'              => 'Pinwheel',
    'pixelate'              => 'Pixelate',
    'radial'                => 'Radial',
    'rain'                  => 'Rain',
    'slide'                 => 'Slide',
    'snow'                  => 'Snow',
    'spiral'                => 'Spiral',
    'stretch'               => 'Stretch',
    'random'                => 'Random'
);

// XP Publishing Wizard

$LANG_MG06 = array (
    'title'                 => 'Media Gallery Publishing Wizard',
    'welcome'               => 'Welcome To',
    'info_text'             => 'The Media Gallery XP Publishing Wizard does not report errors on uploads, it will simply skip the file if there are errors.<p>Please check your Geeklog error.log file if all the files were not uploaded to your albums.',
    'no_albums'             => 'There are no albums or you do not have permission to upload to any albums',
    'select_album'          => 'Choose Album to Publish Media'
);

$LANG_MG07 = array (
    'playback_options'          => 'Playback Options',
    'none'                      => 'none',
    'mini'                      => 'mini',
    'full'                      => 'full',
    'low'                       => 'low',
    'high'                      => 'high',
    'showall'                   => 'Show All',
    'noborder'                  => 'No Border',
    'exactfit'                  => 'Exact Fit',
    'window'                    => 'Window',
    'opaque'                    => 'Opaque',
    'transparent'               => 'Transparent',
    'to_fit'                    => 'To Fit',
    'aspect'                    => 'Aspect',
    'normal_size'               => 'Normal Size',
    'description'               => 'Description',
    'option'                    => 'Option',
    'on'                        => 'On',
    'off'                       => 'Off',
    'auto_start'                => 'Auto Start',
    'auto_start_help'           => 'When set to On, the autoplay attribute causes the item to start playing as soon as the Player Plug-In estimates that it wil be able to play the entire item without waiting or additional data.',
    'enable_context_menu'       => 'Enable Context Menu',
    'enable_context_menu_help'  => 'If on, the context menu, which appears when the right mouse button is clicked.',
    'stretch_to_fit'            => 'Stretch to Fit',
    'stretch_to_fit_help'       => 'If on, the video will stretch to fit the size of the Windows Media Player video display.',
    'status_bar'                => 'Show Status Bar',
    'status_bar_help'           => 'If on, the status bar is displayed.',
    'ui_mode'                   => 'User Interface Mode',
    'ui_mode_help'              => 'Specifies which controls are shown in the user interface.',
    'height'                    => 'Height',
    'width'                     => 'Width',
    'height_help'               => 'Size of the playback window',
    'width_help'                => 'Size of the playback window',
    'menu'                      => 'Menu',
    'menu_help'                 => 'Displays the full menu, allowing the user a variety of options to enhance or control playback.',
    'quality'                   => 'Quality',
    'quality_help'              => 'Playback Quality',
    'flash_vars'                => 'Flash Variables',
    'auto_ref'                  => 'Auto Ref',
    'auto_ref_help'             => 'When set to On, the AUTOREF attribute causes any movie to load immediately, without waiting for a mouse click.',
    'controller'                => 'Controller',
    'controller_help'           => 'When set to On, the movie controller will be displayed.',
    'kiosk_mode'                => 'Kiosk Mode',
    'kiosk_mode_help'           => 'When Kiosk Mode is On, the plug-in does not include its pop-up menu in the movie controller and does not allow drag and drop to save the movie.',
    'scale'                     => 'Scale',
    'scale_help'                => 'Scale can be either TOFIT, ASPECT of Normal.  If set to ToFit, the moview is scaled to fit the embedded box as specified by height and width.  If set to Aspect, the movie will be scaled to fit the embedded box while maintaining the aspect ratio. If set to Normal, the movie will play the size it was saved.',
    'swf_scale_help'            => 'Default (Show all) makes the entire movie visible in the specified area without distortion, while maintaining the original aspect ratio of the movie. Borders may appear on two sides of the movie. No Border scales the movie to fill the specified area, without distortion but possibly with some cropping, while maintaining the original aspect ratio of the movie.  Exact Fit makes the entire movie visible in the specified area without trying to preserve the original aspect ratio. Distortion may occur.',
    'wmode'                     => 'Window Mode',
    'wmode_help'                => 'Sets the Window Mode property of the Flash movie for transparency, layering, and positioning in the browser.',
    'loop'                      => 'Loop',
    'loop_help'                 => 'Specifies whether the movie repeats indefinitely or stops when it reaches the last frame',
    'always'                    => 'Always',
    'sameDomain'                => 'SameDomain',
    'never'                     => 'Never',
    'asa'                       => 'Allow Script Access',
    'asa_help'                  => 'This parameter controls whether ActionScript in a SWF is permitted to call JavaScript in the HTML page that contains it.',
    'bgcolor'                   => 'Background Color',
    'bgcolor_help'              => 'Sets the background color for the playback window',
    'clsid'                     => 'Object Class ID',
    'codebase'                  => 'Codebase',
    'playcount'                 => 'Playcount',
    'playcount_help'            => 'How many times the file should be repeated',
    'loop'                      => 'Loop',
    'loop_help'                 => 'Continuous playback',
    'wmp_options'               => 'Windows Media Player',
    'qt_options'                => 'QuickTime Player',
    'mp3_options'               => 'MP3 Playback',
    'swf_options'               => 'Flash Media Player',
    'swf_version_help'          => 'Flash version required to play this file.',
    'resolution'                => 'Resolution (WxH)',
    'resolution_x_help'         => 'Video X (Width) Resolution',
    'resolution_y_help'         => 'Video Y (Height) Resolution',
    'resolution_x'              => 'Video Width',
    'resolution_y'              => 'Video Height',
);

// installation / upgrade items...

$LANG_MG08 = array (
    'success'               => 'Media Gallery Plugin has been successfully installed.',
    'review'                => 'Please review the <b>System Options</b> and the <b>System Defaults</b> to complete the installation and configuration.',
    'support'               => 'For Media Gallery Support, please visit the gl Labs Website at <a href="http://www.gllabs.org">www.gllabs.org</a>.<br><br>Also available at the Media Gallery Support Site is:<ul><li>Documentation Wiki</li><li>Support Forums</li><li>Announcement Mailing List for <b>security</b> and update announcements</li><li>... and much more</li></ul>',
);

$LANG_MG09 = array (
    1                       => 'Sort Operation Completed Successfully',
    2                       => 'Configuration Options Saved Successfully',
    3                       => 'EXIF/IPTC Data Saved Successfully',
    4                       => 'Album Defaults Saved Successfully',
    5                       => 'Audio / Video Defaults Saved Successfully',
    6                       => 'RSS Options Saved Successfully',
    7                       => 'RSS Feeds Successfully Rebuilt',
    8                       => 'Member Albums Have Been Successfully Removed',
    9                       => 'System Configuration Successfully Reset to Installation Defaults',
    10                      => 'Global Permissions Have Bueen Successfully Applied',
    11                      => 'Global Album Attributes Have Been Successfully Applied',
    12                      => 'Member Album Options Have Been Successfully Saved',
    13                      => 'Selected Member Albums Successfully Created',
    14                      => 'Member Album Gallery Flag Has Been Successfully Reset',
    15                      => 'Selected Albums Have Been Successfully Deleted',
    16                      => 'User Quotas Have Been Successfully Rebuilt',
    17                      => 'Selected Files Have Been Removed',
);

$LANG_MG10 = array (
    'last_10'          => 'Last 5 media items uploaded by user ',
    'albums_owned'     => 'Gallery albums owned by user ',
    'thumbnail'        => 'Thumbnail',
    'upload_date'      => 'Upload Date',
    'title'            => 'Title',
    'album'            => 'Album',
    'album_desc'       => 'Description'
);

//upgrade function
$PLG_mediagallery_MESSAGE1 = 'Mise à niveau du greffon Media Gallery: mise à niveau réussie.';
$PLG_mediagallery_MESSAGE2 = 'Mise à niveau du greffon Media Gallery: impossible de mettre à niveau cette version du greffon sans intervention humaine.  Voir la documentation du greffon.';
$PLG_mediagallery_MESSAGE3 = 'Mise à niveau du greffon Media Gallery a échoué - voir le journal d\'erreurs (error.log)';
$PLG_mediagallery_MESSAGE4 = 'Merci d\'avoir évalué cet objet.';
$PLG_mediagallery_MESSAGE5 = 'Désolé, vous avez déjà évalué cet objet.';
$PLG_mediagallery_MESSAGE6 = 'Une erreur est survenue lors de l\'évaluation - veuillez prévenir l\'administrateur du site.';
$PLG_mediagallery_MESSAGE7 = 'There were no items found to process.';
$PLG_mediagallery_MESSAGE8 = 'Your PostCard has been sent.';
$PLG_mediagallery_MESSAGE9 = 'There was an error in sending the postcard, please contact site administrator';
/* --- new in v1.5.0 --- */
$PLG_mediagallery_MESSAGE10 = 'There was an error in replacing your media file, see error.log for details';
?>