<?php
// +---------------------------------------------------------------------------+
// | Media Gallery Plugin 1.5                                                  |
// +---------------------------------------------------------------------------+
// | $Id:: german.php 1049 2007-06-21 07:28:37Z mevans0263                    $|
// | This is the German language page for the Media Gallery Plug-in!           |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Mark R. Eavns               -    mevans@ecsnet.com                        |
// | Translated into German/ bersetzt:                                        |
// | Jan Muhs                    -    webmaster@muhs-news.de                   |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------|

$LANG_MG00 = array (
    'menulabel'         => 'Medien Galerie',
    'plugin'            => 'Medien Galerie',
    'access_denied'     => 'Zugriff verweigert',
    'access_denied_msg' => 'Nur Administratoren haben Zugang zu dieser Seite. Ihr Benutzername und IP sind registriert worden.',
    'admin'             => 'Medien Galerie Admin',
    'install_header'    => 'Installation/Deinstallation Plugin',
    'installed'         => 'Das Plugin ist installiert',
    'uninstalled'       => 'Das Plugin ist nicht installiert',
    'install_success'   => 'Installation erfolgreich',
    'install_failed'    => 'Installation fehlgeschlagen -- In der error.log sehen sie den Grund.',
    'uninstall_msg'     => 'Plugin erfolgreich deinstalliert',
    'install'           => 'Installation',
    'uninstall'         => 'Deinstallation',
    'warning'           => 'Warnung! Plugin ist bereits aktiviert',
    'enabled'           => 'Deaktivieren Sie das Plugin bevor Sie es deinstalileren.',
    'readme'            => 'STOP! Bevor sie installieren, lesen Sie die ',
    'installdoc'        => "<a href=\"{$_CONF['site_admin_url']}/plugins/mediagallery/install_doc.html\">Installationsanweisung</a>",
    'mg_block_header'   => 'Zufallsbild',
    'no_album_select'   => 'Sie haben kein Album als Ziel ausgewhlt.',
    'media_col_header'  => 'Medien Datei',
    'stats_title'       => 'Top Ten der Medien Objekte',
    'items_in'          => 'Objekte in',
    'no_album_objects'  => '<br>Keine Alben zum anzeigen<br><br>Es knnen keine Alben angezeigt werden.  Es exisitieren keine Alben oder Ihre Account hat keine Berechtigung fr diese Alben.',
    'no_media_objects'  => '<br>Es existieren kein Objekte in diesem Album.',
    'results'           => 'Medien Galerie Ergebnisse',
    'titlemsg'          => 'Titel',
    'urlmsg'            => 'Datum',
    'hitsmsg'           => 'Betrachter',
    'mg_error'          => 'Fehlerinformation. Bitte informieren Sie den Administrator ber diesen Fehler. Fehler Nummer : ',
    'mg_error_log'      => 'Medien Galerie interner Fehler # ',
    'mg_error_generic'  => 'Medien Galerie Fehler: Fehlerhafte Eingabe erhalten.',
    'last_week'         => 'in der letzten Woche',
    'no_date'           => 'Kein Datum',
    'stats_rate_title'  => 'Top Ten der bewerteten Medien Objekte',
    'rating'            => 'Bewertung',
    'no_title'          => 'Kein Medien Titel eingetragen',
    'album'             => 'Album: ',
    'none_rated'        => 'Es wurden noch keine Objekte bewertet',
    'convert100'        => 'Media Galerie v1.2.0 Vorschaubilder Upgrade Routine',
    'cvtcomplete'       => '<br><br>Umwandlung ist abgeschlossen!',
    'cvtmsg1'           => '<br><br>Dieses Umwandlungsprogramm wird alle Vorschaubilder neu generieren.',
    'cvtmsg2'           => '<br><br>Dies ist ein <b>SEHR</b> CPU intensiver Vorgang, besonders dann wenn Sie eine groe Anzahl von Dateien in der Media Galerie haben.',
    'cvtmsg3'           => '<br><br>Um sicher zugehen, dass die CPU nicht zu hoch belastet wird, werden %d Vorschaubilder gleichzeitig bearbeitet.',
    'cvtmsg4'           => '<br><br>Sie haben %d Bilder in Ihrer Medien Galerie und es sind bereits %d Bilder bearbeitet.',
    'cvtmsg5'           => '<br><br>Dieses Seite wird automatisch aktualisiert, wenn Ihr Browswer \'meta refreshed\' untersttzt.',
    'cvtmsg6'           => '<br><br>Zum Start der Umwandlung bitte <a href="%s"> H I E R </a> klicken',
    'cvtmsg7'           => '<br><br>Umwandlung ist in Bearbeitung, diese Seite wird automatisch alle 20 Sek aktualiesiert oder sie klicken <a href="%s">hier</a>, um dies sofort zu veranlassen',
    'cvtmsg8'           => '<br><br>Bereits %d Dateien bearbeitet - %d verbleibend...',
    'no_viewed_items'   => 'Bis jetzt wurden keine Medien Objekte betrachtet.',
    'no_access'         => 'Sie haben ein Album mit eingeschrnkten Zugriffsrechten ausgewhlt. Bitte whlen Sie ein anders Album.',
    'overview'          => 'Die Medien Galerie ist ein Plugin fr Geeklog und ist eine umfassende Multimedia Galerie fr Ihre Geeklog Webseite. Die Medien Galerie untersttzt viele Bild-, Video- und Audioformate und biete sehr viele Mglichkeiten die Objekte einfach und schnell zu prsentieren.',
    'preinstall_check'  => 'Medien Galerie Systemvoraussetzungen:',
    'geeklog_check'     => 'Geeklog v1.3.10 oder hher, vorhandene Version ist <b>%s</b>.',
    'php_check'         => 'PHP v4.3.0 oder hher, vorhandene Version ist <b>%s</b>.',
    'preinstall_confirm' => "Fr die vollstndigen Installationsanleitung, lesen Sie bitte <a href=\"{$_CONF['site_admin_url']}/plugins/mediagallery/install_doc.html\">das Installationhandbuch (english)</a>.",
    'filecheck'         => 'Dateikontrolle Werkzeug',
    'filecheck_disclaimer' => 'Dateikontrolle wird die Medien Galerie Verzecihnisse und listet alle Dateien auf die nicht im Medien Galerie Auslieferungszustand mitgeliefert sind.  Diese Dateien Sind alt oder mglicherweise werden Sie nicht mehr bentigt.  <b>Bitte Vorsicht</b> und gehen Sie sicher, da diese Dateien nicht von Ihrem Webserver bentigt werden.  <br /><b>SIE SOLLTEN EIN BACKUP MACHEN; BEVOR SIE DIESES WERKZEUG BENUTZEN!</b>',
    'mg_enroll_header'  => 'Albeneinschreibung',
    'whatsnew_title'    => 'MEDIEN GALERIE'
);

// administration items....

$LANG_MG01 = array (
    'save'                      => 'Speichern',
    'yes'                       => 'Ja',
    'no'                        => 'Nein',
    'submit'                    => 'bernehmen',
    'cancel'                    => 'Abbrechen',
    'reset'                     => 'Zurck setzen',
    'delete'                    => 'Lschen',
    'all'                       => 'Alle',
    'homepage_only'             => 'Nur die Homepage',
    'top'                       => 'oben',
    'bottom'                    => 'unten',
    'after_featured_articles'   => 'unterhalb der Hauptartikel',
    'new_album'                 => 'Neues Album',
    'upload_media'              => 'Datei hochladen',
    'ftp_media'                 => 'Datei per FTP hochladen',
    'usage_reports'             => 'Zugriffs Bericht',
    'configuration'             => 'Konfiguration',
    'media_queue'               => 'Medien Eingang',
    'admin_home'                => 'Verwaltung',
    'edit_album'                => 'Album bearbeiten',
    'create_album'              => 'Album erzeugen',
    'delete_album'              => 'Album lschen',
    'album_name_desc'           => 'Album Titel / Beschreibung',
    'albums'                    => 'Alben',
    'moderate'                  => 'Moderieren',
    'media_management'          => 'Medien Management',
    'count'                     => 'Anzahl der Dateien',
    'order'                     => 'Auftrag',
    'action'                    => 'Action',
    'move_up'                   => 'einen hoch setzten',
    'move_down'                 => 'einen runter setzen',
    'rotate_left'               => 'Links rotieren',
    'rotate_right'              => 'Recht rotieren',
    'edit'                      => 'Bearbeiten',
    'caption'                   => 'Medien-Titel',
    'images'                    => 'Bilder',
    'file'                      => 'Datei',
    'directory'                 => 'Verzeichnis',
    'description'               => 'Beschreibung',
    'capture_time'              => 'Zeitpunkt der Dateierstellung',
    'uploaded_by'               => 'Hochgeladen von',
    'delete_files'              => 'Orginaldatei lschen',
    'not_writable'              => 'Verzeichnis ist schreibgeschtzt',
    'root_level'                => 'Root Level (Erzeugen Sie hier nichts)',
    'admin_main_help'           => 'Die meisten Tools zur Verwaltung sind direkt in den Alben zu finden.',
    'configuration_help'        => 'Stellen Sie die Kofiguration fr Stnadrdeinstellungen des Medien Galerie Plugins ein.',
    'media_edit_help'           => "Bearbeitet jedes Bild und dessen Eintrge.  Um eine grere Ansicht zu bekommen, klicken Sie auf das Bild.",
    'album_edit_help'           => 'Setzen Sie die Album Eigenschaften, inkl. Rechte, Anzeigestatus, Titel und Beschreibung.',
    'album_delete_help'         => 'Hier lschen Sie ein Album und dessen Unteralben. Bitte whlen Sie aus, ob die Dateien in einen anderes Album verschoben werden sollen oder die Lschung endgltig sein soll.<br /><b>Lschungen knnen nicht wieder hergestellt werden.</b>',
    'configuration_title'       => 'Medien Galerie Konfiguration',
    'configuration_header'      => 'Medien Galerie Optionen',
    'album_maintenance'         => 'Alben Zugriff',
    'media_edit'                => 'Datei bearbeiten',
    'usage_report_header'       => 'Report ber Zugriffe',
    'edit_media'                => 'Medien Datei bearbeiten',
    'image_properties'          => 'Bild Eigenschaften',
    'left_blocks_only'          => 'Nur linke Blcke',
    'right_blocks_only'         => 'Nur rechte Blcke',
    'left_right_blocks'         => 'Linke und Rechte Blcke',
    'none'                      => 'Keine',
    'no_media_objects'          => 'Es wurden keine Dateien in diesem Album gefunden',
    'media_manage_help'         => 'Verschieben und Lschen wird automatisch fr die ausgewhlten Dateien ausgefhrt.  <br /><b>Die Dateien werden entgltig gelscht!  Sie knnen nicht wieder hergestellt werden</b>',
    'usage_report_help'         => 'Erzeugt einen Zugriffsreort der Alben. Sie knne alle Benutzer fr ein bestimmtes Datum oder einen Bestimmten Benutzer fr den gesamten Zeitraum auswhlen. Es knnen <b>nicht</b> alle User fr den gesamten Zeitraum ausgewhlt werden!',
    'all_dates'                 => 'Erzzeugt einen Report fr den gesamten Zeitraum.',
    'select_user'               => 'Whlen Sie einen Benutzer aus',
    'display_rows_prompt'       => 'Reihenanzahl in den Alben',
    'display_rows_help'         => 'Dieser Parameter setzt die Reihenanzahl innerhalb der Alben.',
    'album_display_columns_prompt' => 'Spaltenanzahl der Alben',
    'album_display_columns_help'    => 'Dieser Parameter setzt die Spaltenanzahl bei der Albenbersicht.',
    'display_columns_prompt'    => 'Spaltenanzahl in den Alben',
    'display_columns_help'      => 'Dieser Parameter setzt die Spaltenanzahl innerhalb der Alben.',
    'loginrequired_prompt'      => 'Login erforderlich',
    'loginrequired_help'        => 'Setzen sie diesen Parameter auf YES/JA, damit nur registrierte Mitglieder die Medien Alben betrachten knnen.',
    'comments_prompt'           => 'Kommentare erlauben',
    'comments_help'             => 'Setzene Sie den Parameter, damit Kommentare zu den verffentlichten medien geschrieben werden knnen',
    'graphicspackage_prompt'    => 'Grafik Skripte',
    'graphicspackage_help'      => 'Whlen Sie das Grafik Skript auf ihrem Server aus, welches dann die Vorschaubilder erzeugt und die Medienobjete bearbeitet.',
    'graphicspackage_path_prompt' => 'Grafik Skript Pfad',
    'graphicspackage_path_help'   => 'Geben Sie hier den Pfad Ihres Grafik Skriptes an, sofern vorhanden.',
    'displayblock_prompt'       => 'Anzeige der Geeklog Blcke',
    'displayblock_help'         => 'Stellt ein, welche Blcke neben der Medien Galerie angezeigt werden sollen, die linken, die rechten oder beide Seiten.',
    'static_sort_help'          => 'Diese Aktion setzt alle zuvor hndisch gesetzten Sortierungen zurck.',
    'htmlallowed'               => 'HTML-Tags im Titel zulassen',
    'whatsnew'                  => 'Schaltet die Anzeige der Medien Galerie in "Was ist neu?"innerhalb Geeklogs ein',
    'dfid'                      => 'Datumsformat',
    'general_options'           => 'Allgemeine Einstellungen',
    'display_options'           => 'Anzeige Einstellungen',
    'graphics_options'          => 'Graphik Script',
    'usage_tracking'            => 'Zugriffs Verfolgung',
    'title'                     => 'Titel',
    'order'                     => 'Auftrag',
    'item'                      => 'Objekt',
    'select'                    => 'Auswhlen',
    'order'                     => 'Position',
    'cover'                     => 'Cover',
    'time'                      => 'Zeit',
    'user_id'                   => 'User ID',
    'application'               => 'Applikation',
    'album_title'               => 'Album Titel',
    'new_report'                => 'Neuer Bericht',
    'media_capture_time'        => 'Zeitpunkt der Dateierstellung',
    'media_upload_time'         => 'Zeitpunkt des Uploads ',
    'parent_album'              => 'bergeordnetes Album',
    'description'               => 'Beschreibung',
    'featured_album'            => 'Anzeige im Hauptfenster von Geeklog',
    'set_featured'              => 'Anzeige aktivieren',
    'featured_help'             => 'Wenn aktivert, dann wird eine Zusammenfassung ds Albums im Hauptfenster von Geeklog angezeigt.',
    'position'                  => 'Position',
    'topic'                     => 'Thema',
    'mod_mediatitle'            => 'Datei Bezeichnung',
    'album_link'                => 'Album Link',
    'status_header'             => 'Medien Galerie Status',
    'status'                    => 'Status',
    'redirect'                  => 'Nach 5 Sekunden gehen Sie automatisch zurck oder klicken <a href="%s">hier</a>, um sofort zurck zu gehen.',
    'delete_all_media'          => 'Alle Dateien in diesem Album lschen',
    'move_all_media'            => 'Alle Dateien verschieben.',
    'mod_album'                 => 'Moderation fr diese Album aktivieren',
    'moderation_group'          => 'Moderatoren Gruppe',
    'options'                   => 'Optionen',
    'admin'                     => 'Verwaltung',
    'add_media'                 => 'Datei hinzufgen',
    'ftp_media'                 => 'Datei per FTP hinzufgen',
    'edit_album'                => 'Album bearbeiten',
    'create_album'              => 'Album anlegen',
    'static_sort_media'         => 'Dateien sortieren',
    'manage_media'              => 'Dateien bearbeiten',
    'media_queue'               => 'Dateieingang',
    'sort_albums'               => 'Alben anordnen',
    'no_caption'                => 'Keine Beschreibung',
    'continue'                  => 'Weiter',
    'recheck'                   => 'Wiederholen',
    'mg_directories'            => 'Medien Galerie Verzeichnisse    ',
    'mg_dir_structure'          => 'Medien Galerie Verzeichnisstruktur',
    'ok'                        => 'OK',
    'not_found'                 => 'Nicht gefunden',
    'not_writable'              => 'Nicht schreibbar',
    'ascending'                 => 'Aufsteigend',
    'descending'                => 'Absteigend',
    'static_media_sort'         => 'Medien Galerie - Dateien sortieren',
    'sort_options'              => 'Sortieren nach',
    'order_options'             => 'Sortier Optionen',
    'all_dates'                 => 'Gesamter Zeitraum',
    'subalbums'                 => 'Unteralben',
    'destination_album'         => 'Zielalbum:',
    'move'                      => 'verschieben',
    'date'                      => 'Datum',
    'album'                     => 'Album',
    'mod_delete'                => 'Lschen',
    'mod_approve'               => 'bernehmen',
    'documentation'             => 'Dokumentation',
    'check_all'                 => 'alle auswhlen',
    'uncheck_all'               => 'Auswahl entfernen',
    'batch_process'             => 'bernehmen',
    'autotag_error'             => 'Fehler in der Verarbeitung',
    'successful_upload_queue'   => 'Erfolgreich wurde an unser Team weitergeleitet.  ',
    'successful_upload'         => 'Upload ins Album erfolgreich',
    'phpinfo'                   => 'PHP Information',
    'album_cover'               => 'Album Cover',
    'album_attributes'          => 'Albumeigenschaften',
    'media_attributes'          => 'Dateieigenschaften',
    'attached_thumbnail'        => 'Hinzugefgtes Vorschaubild',
    'thumbnail'                 => 'Vorschaubild',
    'new_upload_subject'        => 'Die neue Medien Datei finden Sie in ',
    'new_upload_body'           => 'Es wurde eine neue Datei in folgendes Album geladen: ',
    'upload_approved'           => 'Ihre Datei wurde eingestellt',
    'thanks_submit'             => 'Vielen Dank fr Deine Teilnahme',
    'details'                   => 'Details: ',
    'enable_exif'               => 'EXIF anzeigen',
    'enable_ratings'            => 'Bewertung anzeigen',
    'av_play_album'             => 'Audio / Video Wiedergabe im Album',
    'av_play_options'           => 'Audio / Video Wiedergabe Optionen',
    'email_mods_on_submission'  => 'E-Mail an Moderator beim Einreichen von Beitrgen/ Dateien',
    'disable_exif'              => 'EXIF nicht anzeigen',
    'display_below_media'       => 'Unterhalb der Datei anzeigen',
    'display_in_popup'          => 'Innerhalb eines Popup Fensters anzeigen',
    'both'                      => 'Beide Anzeigen aktivieren',
    'play_in_popup'             => 'Wiedergabe in Popup Fenster',
    'download_to_local'         => 'Herunterladen',
    'play_inline'               => 'Innerhalb (Nur verfgbar wenn Wiedergabe im Album aus ist)',
    'use_mms'                   => 'Benutzt mms: nur fr Microsoft untersttzte Dateien',
    'upload_warning'            => 'Ihre Serverkonfigutation erlaubt den Upload von Dateien mit einer max. Gre von %s MB und alle auf einmal hochgeladenen Dateinene drfen %s MB nicht bersteigen',
    'gallery_import'            => 'Gallery v1.x Import Wizard',
    'fourimages_import'         => '4images Import Wizard',
    'xppubwizard_install'       => 'XP Publishing Wizard Installation',
    'log_viewer'                => 'Geeklog Log Viewer',
    'select_date'               => 'Whlen Sie den Zeitraum',
    'ri_enable'                 => 'Inklusive dem Zufalls-Bild-Block',
    'ss_enable'                 => 'Diashow aktivieren',
    'ri_enable'                 => 'Anzeige im Zufallsbild-Block ',
    'sf_enable'                 => 'Link fr Online BilderService (z.Z. US only)',
    'tn_size'                   => 'Gre der Vorschaubilder',
    'rows'                      => 'Anzahl der Reihen',
    'columns'                   => 'Anzahl der Spalten',
    'small'                     => 'Klein (100x100)',
    'medium'                    => 'Mittel (150x150)',
    'large'                     => 'Gro (200x200)',
    'system_default'            => 'System Voreinstellungen',
    'windows_media_player'      => 'Windows Media Player',
    'quicktime_player'          => 'QuickTime Player',
    'direct_download'           => 'Direkter Download',
    'user_prefs'                => 'Einstellungen MG',
    'mp3_player'                => 'Vordefinierter MP3 Player',
    'mp3_player_help'           => 'Whlen Sie einen MP3 Player fr die Wiedergabe',
    'av_play_options_help'      => 'Wie sollen Video-/ Audiodaten wiedergegeben werden.',
    'tn_size_help'              => 'Whlen Sie die Anzeigegre er Vorschaubilder innerhalb der Alben',
    'globalattr'                => 'Einstellung fr <b>ALLE</b> Alben',
    'global_attr_editor'        => 'Eigenschaften fr <b>ALLE</b> Alben',
    'global_attr_help'          => 'Es werden die Eigenschaften <b>ALLER</b> Alben verndert, bitte dies beachten!<br /><br />Whlen Sie die Eigenschaft, welche verndert werden soll und klicken Sie dann auf <b>Update</b>.',
    'globalperm'                => 'Rechtedefinition fr alle Alben',
    'global_perm_editor'        => 'Einstellungen der Zugriffsberechtigungen aller Alben',
    'global_perm_help'          => 'Hiermit verndern Sie die Zugriffsrechte <b>ALLER</b> Alben, bitte dies beachten!<br /><br />Whlen Sie die die Zugriffsrechte, welche verndert werden sollen und klicken Sie dann auf <b>Update</b>.',
    'attribute'                 => 'Eigenschaften',
    'value'                     => 'Wert',
    'update'                    => 'Update',
    'enable_views'              => 'Ansichtenzhler einblenden',
    'save_exit'                 => 'Speichern und Beenden',
    'save_next_batch'           => 'Speichern und nchste Bearbeitung',
    'batch_caption_editor'      => 'Stapelverabeitung: Beschriftung Editor',
    'batch_caption'             => 'Stapelverabeitung: Beschriftung',
    'batch_caption_help'        => 'Bearbeiten Sie die Titel und Beschreinungen in ihrem Album mit einem mal.',
    'exiftag'                   => 'EXIF/IPTC Info',
    'exif_admin_header'         => 'EXIF/IPTC Verwaltung',
    'exif_admin_help'           => 'Whlen Sie die EXIF/IPTC Infos, welche in den Fotot Eigenschaften angezeigt werden sollen',
    'enable_sort'               => 'Benutzerdefinierte Sortierung einschalten',
    'reset_rating'              => 'Bewertung zurcksetzen',
    'reset_views'               => 'Ansichtenzhler zurcksetzen',
    'albums_first'              => 'Anzeige der Anzeige der Alben vor den Bildern',
    'force_child_update'        => 'Einstellungen neuen Unteralben vererben',
    'days'                      => 'Tage',
    'whatsnew_time'             => 'Was ist neu',
    'gallery_tn_size'           => 'Gre der Vorschaubilder in der Galerie',
    'seperator'                 => 'Platzhalter',
    'windows_media_player'      => 'Windows Media Player',
    'quicktime'                 => 'QuickTime',
    'inm_import'                => 'Inmemoriam Import',
    'always'                    => 'Immer',
    'members_only'              => 'Nur fr angemeldete User',
    'disabled'                  => 'deaktiviert',
    'full_display'              => 'Original Foto (Vollformat) anzeigen',
    'reset_cover'               => 'Vorgegebenes Cover verwenden',
    'up_overrides'              => 'Benutzer ',
    'up_rows_override'          => 'Benutzer kann Anzahl der Zeilen festlegen',
    'up_columns_override'       => 'Benutzer kann Anzahl der Spalten festlegen',
    'up_mp3_override'           => 'Benutzer kann den MP3 Player festlegen',
    'up_av_override'            => 'Benutzer kann AV Wiedergabe Optionen festlegen',
    'up_tn_override'            => 'Benutzer kann Vorschaubildergre festlegen',
    'geekary_import'            => 'Geekary Import',
    'import_wizards'            => 'Import Wizards',
    'coppermine_import'         => 'Coppermine Import',
    'back_to_main'              => 'Zurck zum Hauptmen',
    'import_title'              => 'Media Gallery Import Wizard Menu',
    'process'                   => 'Prozess',
    'jhead_enable'              => 'JHEAD Untersttzung aktivieren',
    'jhead_path'                => 'jhead binary Pfad',
    'jpegtran_enable'           => 'JPEGTRAN Untersttzung aktivieren',
    'jpegtran_path'             => 'jpegtran binary Pfad',
    'max_image_height'          => 'Maximale Bild Hhe (Pixel)',
    'max_image_width'           => 'Maximale Bild Breite (Pixel)',
    'max_filesize'              => 'Maximal erlaubte Dateigre',
    'display_image_size'        => 'Gre Voransichtsbild',
    'maint_title'               => 'Medien Galerie Wartungs Optionen',
    'rebuild_thumb'             => 'Vorschaubilder neu erstellen',
    'next'                      => 'Weiter',
    'rebuild_thumb_help'        => 'Erstellt alle Vorschaubilder der Medien Galerie neu',
    'rebuild_thumb_details'     => 'Es werden alle Vorschaubilder der Medien Gallerie neu erzeugt. Da dies ein sehr CPU intensiver Vorgang ist, wird dieser nach 3 Minuten fr 20 Sekunden unterbrochen und geht danach fortgesetzt.',
    'resize_display'            => 'Bildgre verndern',
    'resize_help'               => 'Es werden alle Vorschaubilder in der Gre, welche in jedem Album festgelegt, neu erstellt.',
    'resize_details'            => 'Es werden alle Vorschaubilder der Medien Gallerie neu erzeugt. Da dies ein sehr CPU intensiver Vorgang ist, wird dieser nach 3 Minuten fr 20 Sekunden unterbrochen und geht danach fortgesetzt.',
    'resize_confirm'            => 'Sind Sie sicher, dass Sie alle Vorschaubilder dieses Albums neu erstellen lassen wollen?',
    'rebuild_confirm'           => 'Sind Sie sicher, dass Sie alle Vorschaubilder dieses Albums neu erstllen lasen wollen?',
    'remove_originals'          => 'Lschen / Entfernen der hochgeladenen Orignal Dateien/ Bilder',
    'remove_help'               => 'Entfernen der hochgeladenen Orignal Dateien/ Bilder aus der Medien Galerie.',
    'remove_details'            => 'Dieser Vorgang lscht alle originalen Bilder und lt nur die Vorschaubilder und Bilder im Album.<br /><br /><b>Dies ist ein unumkehrbarer Prozess !</b>',
    'remove_error'              => 'Die originalen Bilder knnen nur gelscht werden, wenn in der config.php $_MG_CONF[\'discard_original\'] auf 1 gesetzt ist.',
    'processing_complete'       => 'Prozess erfolgreich abgeschlossen',
    'reset_maint'               => 'Rcksetzen aller Einstellungen fr die Wartung der Bilder',
    'reset_help'                => 'Rcksetztung des Wartungsmarkierung, damit der Wartungsvorgang neu gestartet werden kann',
    'reset_details'             => 'Dieser Vorgang setzt die Wartungsmarkierung jeder einzlnen Datei auf 0, damit wird diese bei der nchsten Wartung mit bearbeitet.',
    'return_to_maint'           => 'Zum Wartungsmen zurck, <a href="%s">Hier</a> klicken.',
    'enable_album_views'        => 'Album Anzeige Zhler',
    'hidden'                    => 'verstecktes Album',
    'tn_jpg_quality'            => 'Vorschaubilder JPG Qualitt',
    'recurse'                   => 'inkl. Unterverzeichnisse',
    'include_ss'                => 'Inkl. Diashow',
    'original_filename'         => 'Originaler Dateiname:',
    'jupload_message'           => 'Whlen Sie das Album und die Dateien aus:',
    'jupload_media'             => 'JUPLOAD Medien',
    'download'                  => 'Download',
    'zip_enable'                => 'ZIP Uploads aktivieren',
    'zip_path'                  => 'Pfad zum Zip Programm',
    'tmp_path'                  => 'Pfad zum temporren Ordner',
    'default_album_sort'        => 'Voreingestellte Sortierung beim Hochladen',
    'wm_management'             => 'Wasserzeichen Verwaltung',
    'watermark'                 => 'Wasserzeichen',
    'no_watermarks'             => 'Keine Bilder fr Wasserzeichen verfgbar',
    'upload'                    => 'Hochladen',
    'watermark_manage_help'     => 'Gestattet Wasserzeichen hinzuzufgen oder zu lschen. Die max. Gre der Wasserzeichen Bilddatei ist 64kb.<br /><b>Lschen ist unwiderruflich! Wiederherstellung ist nicht mglich!</b>',
    'watermark_upload'          => 'Wasserzeichen hochladen',
    'public_access'             => 'ffentlicher Zugriff',
    'top_left'                  => 'Oben Links',
    'top_center'                => 'Oben Mitte',
    'top_right'                 => 'Oben Rechts',
    'middle_left'               => 'Mitte Links',
    'middle_center'             => 'Mitte Mitte',
    'middle_right'              => 'Mitte Rechts',
    'bottom_left'               => 'Unten Links',
    'bottom_center'             => 'Unten Mitte',
    'bottom_right'              => 'Unten Rechts',
    'no_watermark'              => 'Kein Wasserzeichen',
    'watermark_auto'            => 'Beim Hochladen Wasserzeichen automatisch ergnzen',
    'watermark_opacity'         => 'Wasserzeichen Transparenz',
    'watermark_location'        => 'Wasserzeichen Position',
    'watermark_image'           => 'Wasserzeichen Bild',
    'watermark_redirect'        => 'Klicken Sie <a href="%s">hier</a>, um zur Wasserzeichen Verwaltung zurck zu kommen..',
    'preview'                   => 'Vorschau',
    'wm_upload_help'            => 'Whlen Sie eine Datei zu hochladen aus - Untersttze Dateitypen: .GIF, .PNG, .JPG. <br /><br /><b>Maximale Gre der Datei fr das Wasserzeichen ist 64kb.</b>',
    'no_applet'                 => 'Der verwendete Browser untersttzt keine Applets oder diese wurden deaktiviert.<br /> Um Applet zu nutzen, installieren Sie bitte die neueste Version von SUNs Java. Diese knnen Sie unter <a href="http://www.java.com/">java.com</a> herunterladen',
    'watermarked'               => 'WM',
    'category'                  => 'Kategorie',
    'category_manage_help'      => 'Kategorieverwaltung',
    'cat_id'                    => 'ID',
    'cat_name'                  => 'Kategorie Name',
    'cat_description'           => 'Kategorie Beschreibung',
    'create'                    => 'Erzeugen',
    'create_category'           => 'Kategorie erzeugen',
    'edit_category'             => 'Kategorie ndern',
    'cat_edit_help'             => 'Erzeugt oder ndert eine neue Medien Galerie Katergorie',
    'no_category'               => 'Keine Kategorie zugewiesen',
    'search'                    => 'Suchen',
    'batch_processor'           => 'Medien Galerie Stapelverabeitung',
    'processing'                => 'verarbeiten',
    'timer_expired'             => 'Verbleibende Zeit: %s sek. ',
    'processing_next_items'     => 'Die nchste(n) %s Datei(en) werden verarbeitet. Bitte werten Sie...',
    'percent_completed'         => '%s %% komplett',
    'processing_details'        => 'Details der Verarbeitung',
    'processed_items'           => 'verarbeitete Dateien',
    'status'                    => 'Status',
    'total_items'               => 'Anzahl der gesamt  zu bearbeitenden Dateien',
    'items_remaining'           => 'Verbleibende Dateien',
    'items_last_cycle'          => 'Dateien im letzten Durchlauf',
    'time_limit'                => 'maximal zulssige Zeit',
    'item_rate'                 => 'Bearbeitungszeit',
    'batch_parameters'          => 'Stapelverarbeitungs Parameter',
    'items_per_cycle'           => 'Dateien pro Durchlauf',
    'all_done'                  => 'Alle Dateien verabeiten',
    'finished'                  => 'abgeschlossen',
    'begin_processing'          => 'Drcken Sie weiter um mit der automatischen Verabeitung zu beginnen',
    'keywords'                  => 'Schlsselwrter',
    'preserve_filename'         => 'originalen Dteinamen beibehalten',
    'discard_originals'         => 'originalen Dateinamen verwerfen',
    'custom_image_height'       => 'Benutzerdefinierte Bildhhe',
    'custom_image_width'        => 'Benutzerdefinierte Bildbreite',
    'verbose'                   => 'langsamer Prozess (Datenerfassung fr Fehlersuche)',
    'disable_wn_comments'       => '-Was ist neu?- Kommmentare deaktivieren',
    'enable_mid'                => 'Medien ID Anzeige aktivieren',
    'full_in_popup'             => 'OriginalBild in PopUp anzeigen',
    'cmtbar'                    => 'Anzeige der vollen Kommntarzeile',
    'wn_title_length'           => 'Lnge des Titels - Was ist neu',
    'batch_options'             => 'Stapelverarbeitungs Optionen',
    'refresh_rate'              => 'Erneuerungs Rate',
    'time_limit'                => 'Max. zulssige Zeit',
    'item_limit'                => 'Max. Anzahl der Dateien pro Durchlauf',
    'custom'                    => 'benutzerdefiniert',
    'system_default_editor'     => 'System Defaults Editor',
    'av_default_editor'         => 'ndern der Audio-/ Video-Voreinstellung',
    'system_options'            => 'System Optionen',
    'album_default_editor'      => 'Voreinstellungen fr Alben',
    'reports'                   => 'Reporte',
    'quota_reports'             => 'Quoten Reporte',
    'batch_sessions'            => 'Stapelverarbeitungs Vorgnge',
    'paused_sessions'           => 'Pausierende Vorgnge',
    'utilities'                 => 'Werkzeuge',
    'gallery_v2_import'         => 'Gallery v2',
    'batch_rotate_images'       => 'Drehen der Bilder in Album: %s',
    'batch_watermark_images'    => 'Bilder  mit Wasserzeichen versehen in Album: %s',
    'batch_resize_images'       => 'ndern der Bildgre in Album: %s',
    'batch_rebuild_thumbs'      => 'Vorschaubilder neu anlegen in Album: %s',
    'queue_delete'              => ' aus der Abrfage entfernen nd lscehn',
    'queue_processed'           => ' erfolgreich im Album abgelegt',
    'owner'                     => 'Besitzer',
    'remove_error'              => 'Die knnen den originalen Dateinamen nur entfernen wenn<b>Origniale Dateien verwerfen</b> in den System Optionen aktiviert ist.',
    'file_list'                 => 'Dateiliste',
    'quick_create'              => 'Schnelle Erzeugung eines Albums',
    'ftp_path'                  => 'Pfad des FTP Verzeichnisses',
    'put_files'                 => 'Verschiebt Dateien von',
    'into_album'                => 'ins Album',
    'root_album'                => 'Basis Album - kein Hochladen von Bildern gestattet',
    'size_500x375'              => 'Gre 500x375',
    'size_600x450'              => 'Gre 600x450',
    'size_620x465'              => 'Gre 620x465',
    'size_720x540'              => 'Gre 720x540',
    'size_800x600'              => 'Gre 800x600',
    'size_912x684'              => 'Gre 912x684',
    'size_1024x768'             => 'Gre 1024x768',
    'size_1152x864'             => 'Gre 1152x864',
    'size_1280x1024'            => 'Gre 1280x1024',
    'size_custom'               => 'Benutzer - ',
    'characters'                => 'Zeichen',
    'zero_unlimited'            => '0 = unbegrenzt',
    'user_quota'                => 'Ihre Quote ist %d Kb und sie haben bereits %d Kb genutzt. %d Kb verbleibend<br /><br />',
    'member_album_options'      => 'Optionen fr Mitglieder Alben',
    'member_albums'             => 'Mitglieder Alben',
    'enable_member_albums'      => 'Mitglieder Alben aktivieren',
    'default_member_quota'      => 'Mitglieder Quote Voreinstellung',
    'auto_create'               => 'Alben automatisch erstellen',
    'allow_create'              => 'Allow Creation under Member Root',
    'member_root'               => 'Basis Album fr Mitglieder Alben',
    'rebuild_quota'             => 'Mitglieder Quoten neu erzeugen',
    'rebuild_quota_help'        => 'Alle Alben scannen und ermittelt die genutzen Quoten fr jeden Benutzer neu.',
    'member_archive'            => 'Archiviere gelschte Mitglieder Alben',
    'do_not_archive'            => 'Lschen - Nicht archivieren',
    'root_album'                => 'Basis Album',
    'batch_create_members'      => 'Erzeugt automatisch Mitglieder Alben',
    'quota_report'              => 'Quoten Report',
    'username'                  => 'Benutzer Name',
    'userid'                    => 'Benutzer ID',
    'active'                    => 'aktiv',
    'quota'                     => 'Quote',
    'used'                      => 'Benutzt',
    'category_error'            => 'Sie mssen einen Kategorienamen eingeben.',
    'no_cat'                    => 'Es existiert keine Kategorie',
    'edit_user'                 => 'Benutzer bearbeiten',
    'rebuild_all_thumbnails'    => 'Alle Vorschaubilder neu erzeugen',
    'resize_all_images'         => 'Alle Bilder neu skalieren',
    'starting_album'            => 'Starte Album',
    'media_original_filename'   => 'Originaler Dateiname',
    'delete_item_confirm'       => 'Sind Sie sicher, dass die markierten Objekte gelscht werden sollen?',
    'static_sort_albums'        => 'Sortiert Alben',
    'static_sort_media'         => 'Sortiert Medien Dateien',
    'process_subs'              => 'Verarbeite Unter-Alben',
    'media_count'               => 'Medien Zhler',
    'last_update'               => 'Letztes Update',
    'enable_rss'                => 'Album RSS Feed aktivieren',
    'enable_postcard'           => 'Postkarten akivieren',
    'all_users'                 => 'Alle Benutzer',
    'rss_feeds'                 => 'RSS Feeds',
    'rss_options'               => 'RSS Feed Optionen',
    'rss_rebuild_all'           => 'Gesamten RSS Feed neu erstellen',
    'rss_rebuild_album'         => 'RSS Feeds fr alle Alben neu erzeugen',
    'rss_full'                  => 'RSS Feed fr das Album neu erzeugen',
    'rss_type'                  => 'RSS Feed Type',
    'rss_ignore_empty'          => 'Leere Alben vom RSS feed ausnehmen',
    'rss_anonymous_only'        => 'Nur Alben einbeziehen, welche ffentlichen zugriff haben',
    'rss_feed_name'             => 'Dateinamen Basis fr RSS Feed Dateien',
    'postcard_retention'        => 'Tage fr Verfgbarkeit einer Postkarte',
    'member_album_postfix'      => ' Album',
    'mass_delete_help'          => 'Automatische Alben-Lschung - Bitte mit Vorsicht benutzen',
    'rss_options'               => 'RSS Feed Optionen',
    'batch_delete_albums'       => 'Automatische Alben-Lschung',
    'reset_members'             => 'Zhler fr von Mitgliedern erzeugte Alben zurcksetzen.',
    'reset_members_details'     => 'Zhler fr von Mitgliedern erzeugte Alben wird auf 0 zurcksetzen.',
    'approve_all'               => 'Alle genehmigen',
    'rss_directory'             => 'RSS Verzeichnis',
    'user_prefs_title'          => 'Medien Galerie benutzer Optionen',
    'xp_pub'                    => 'XP Publishing',
    'purge_member_albums'       => 'Bereinigung der Mitgliederalben',
    'last_login'                => 'Letztes Login',
    'purge_mem_albums_help'     => 'Entfernen unbenutzter Mitgliederalben - Liste der Alben ohne Inhalt',
    'anonymous_uploads_prompt'  => 'Uploads der angemeldeten Benutzer',
    'anonymous_uploads_help'    => 'Aktiviert die Mglichkeit, registrierten Benutzern Medien-Objekte hochzuladen',
    'member_upload'             => 'Hochladen von Medien-Objekten von Mitglieder fr diese Album aktivieren',
    'no_sessions'               => 'Keine aktive Sitzung gefunden',
    'media_title'               => 'Medien Titel',
    'seconds_per_item'          => '%s Sekunden pro Objekt',
    'subalbums'                 => 'Unteralben',
    'rss_options'               => 'RSS Optionen',
    'filecheck'                 => 'Dateikontrolle',
    'reset_defaults'            => 'Auf Voreinstellungen zurcksetzen ',
    'reset_defaults_details'    => 'Rcksetzen aller System Optionen, Albumvoreinstellungen und Audio/ Video Voreinstellungen auf die Installationseinstellungen. Diese Aktion beeinflut nur die Voreinstellungen, Es wird nicht die Einstellungen der Alben betreffen.  Bitte mit Vorsicht einsetzen!',
    'gl_story'                  => 'Geeklog Stories',
    'allow_download'            => 'Datei-Download erlauben',
    'display_album_desc'        => 'Album Bezeichnung anzeigen',
    'jpg'                       => 'JPEG',
    'png'                       => 'PNG',
    'tif'                       => 'TIF',
    'gif'                       => 'GIF',
    'bmp'                       => 'BMP',
    'tga'                       => 'TGA',
    'psd'                       => 'PSD',
    'mp3'                       => 'MP3',
    'ogg'                       => 'OGG',
    'asf'                       => 'WMV',
    'swf'                       => 'SWF',
    'mov'                       => 'MOV',
    'mp4'                       => 'MP4',
    'mpg'                       => 'MPEG',
    'zip'                       => 'ZIP',
    'other'                     => 'andere',
    'image'                     => 'Image',
    'audio'                     => 'Audio',
    'video'                     => 'Video',
    'allowed_media_formats'     => 'Erlaubte Dateiarten',
    'filename_title'            => 'Dateinamen als Bezeichnung verwenden',
    'profile_hook'              => 'Medien Galery Info im Benutzerprofil anzeigen',
    'expand_all'                => 'Alle auspacken',
    'collapse_all'              => 'Alle zusammenfassen',
    'dnd_title'                 => 'Medien Galerie Drag & Drop Album Verwaltung',
    'version_info'              => 'Versions Information',
    'up_to_date'                => 'Ihre Installation ist aktuell, fr Ihre Version der Medien Galerie liegen keine Updates vor.',
    'no_version_info'           => 'Es ist nicht mglich festzustellen, welche die aktuelle Version der Medien Galerie ist.',
    'browser_upload'            => 'Web Browser Upload',
    'gallery_remote'            => 'Galerie Fernbedienung',
    'index_album_skin'          => 'Inhaltsverzeichnis - Albumrahmen',
    'album_display_rows'        => 'Angezeigte Reihen im Album',
    'image_skin'                => 'Bildrahmen',
    'album_skin'                => 'Albumrahmen',
    'display_skin'              => 'Vorschaubildrahmen',
    'do_not_convert_orig'       => 'Erzeugt aus dem Original kein JPG',
    'whatsnew_title'            => 'MEDIEN GALERIE',
    'no_title'                  => 'Kein Medien Titel verfgbar',
    'subalbum_select'           => 'Zeigt Unteralben in Auswahl-Box',
    'select_subalbum'           => 'Unteralben auswhlen',
    'enable_keywords'           => 'Schlsselwrter aktivieren',
    'ffmpeg_path'               => 'FFMPEG Pfad',
    'ffmpeg_enable'             => 'FFMPEG Untersttzung aktivieren',
    'flashplayer'               => 'Flash Player',
    'batch_quota_update'        => 'Automatisches Update der Quoten',
    'replace_file'		        => 'Datei ersetzen',
    'podcast'		            => 'Podcast Album',
    'autotag_caption'		    => 'Beutze Datei/ Albumtitel als Autotag Bezeichnung',
    'popup_from_album'	        => 'Audio-/ Videodateien direkt aus der Albumansicht abspielen',
    'out_of_date'               => 'Die Istallierte Medien galerie ist nicht aktuell. Um die aktuelle Verion zu finden, besuchen Sie bitte <a href="http://www.gllabs.org">http://www.gllabs.org/</a>.<br /><br />Die aktuelle Version der Medien Galerie ist Version %s . Ihre Version ist %s',
    /* --- Modified in v1.5.0 --- */
    'jpg_quality'               => 'Display JPG Quality',
    /* --- New in version 1.5.0 --- */
    'js_slideshow'              => 'JavaScript',
    'lightbox'                  => 'LightBox',
    'remote_media'              => 'Remote Media',
    'remote_media_type'         => 'Remote Media Type',
    'remote_help'               => 'This screen allows you to upload (include) remote streaming FLV files or video files from sites such as Google Video and YouTube',
    'remote_url'                => 'Remote URL',
    'embed'                     => 'Embedded Video',
    'alternate_url'             => 'Alternate URL',
    'flv_stream'                => 'Streaming FLV',
    'remote_thumbnail'          => 'Remote Thumbnail',
    'flv'                       => 'FLV',
    'rflv'                      => 'Remote FLV',
    'emb'                       => 'Embedded Video',
    'random_size'               => 'Random Image Block Width',
    'flash_slideshow_full'      => 'Flash (Orig)',
    'flash_slideshow_disp'      => 'Flash (Disp)',
    'media_attributes'          => 'Media Handling Options',
    'orig_jpg_quality'          => 'Original JPG Quality',
    'truncate_breadcrumb'       => 'Truncate Breadcrumbs',
    'member_use_fullname'       => 'Use Fullname for Member Album title',
    'feature_member_album'      => 'Feature Member Album on main page',
    'allow_remote'              => 'Enable Remote Users',
);

// error messages

$LANG_MG02 = array (
    'error_header'              => 'Medien Galerie - Fehler!',
    'generic_error'             => 'Die Medien Galerie erzeugte einen Fehler whren Ihrer Anfrage. Bitte versuchen Sie es erneut',
    'upload_too_big'            => '%s - Die Datei ist grer als im  upload_max_filesize Prameter in der php.ini fetgelegt wurde.',
    'upload_too_big_html'       => '%s  - Die Datei ist grer als im MAX_FILE_SIZE Parameter in der Konfiguration (HTML Formular) angegeben ist.',
    'partial_upload'            => '%s  - Die Datei wurde nur teilweise hochgeladen.',
    'missing_tmp'               => 'Kein Temp-Verzeichnis vorhanden.',
    'disk_fail'                 => 'Datei konnten nicht abgespeichert werden.',
    'unknown_err'               => 'Unbekannter Fehler beim Datei-Upload',
    'ablumaccessdeny'           => "Sie haben keine Berechtigung dieses Album zu btrachten.  Es knnte daran liegen, da Sie kein angemeldeter Benutzer von {$_CONF['site_name']} sind. <a href={$_CONF['site_url']}/users.php?mode=new> Hier</a> knnen sie sich anmelden, um einen Accounts von {$_CONF['site_name']} zu bekommen",
    'admin_access_deny'         => 'Sie haben kein zugriff auf die Verwaltung der Medien Galerie.  Alle nicht autorisierten Zugriffe werden registriert.',
    'no_target_album'           => 'Sie haben kein Zielalbum angegeben.',
    'invalid_directory'         => 'Verzeichnis existiert nicht',
    'directory_error'           => 'Es ist nicht mglich das Verzeichnis zu ffnen, um nach Dateien zu durchsuchen.',
    'album_not_found'           => 'Album nicht gefunden',
    'usage_report_error1'       => 'Sie knnen nicht alle Benutzer und den gesamten Zeitraum zugleich auswhlen. Bitte korrigieren Sie die Eingabe und versuchen Sie es erneut.',
    'unknown_filetype'          => ' Unbekannter Dateityp.<br />',
    'move_error'                => ' Fehler beim verschieben/ kopieren von  %s<br />',
    'convert_error'             => ' Fehler bei Dateikonvertierung von %s<br />',
    'perm_error'                => ' Datei kann nicht geffent werden (fehlende Berechtigung)',
    'album_nonexist'            => 'Album nicht vorhanden, Upload kann nicht erfolgen',
    'upload_not_found'          => 'Es ist nicht mglich die hochgeladene Datei zu finden.  Kontrollieren Sie Ihre error.log und gehen Sie sicher, dass post_max_size und max_upload_size parameters in der php.ini hher gesetzt sind, als die Dateigre die Sie versucht haben hoch zu laden.',
    'upload_not_readable'       => 'Es ist nicht mglich die Hochgeladenen Datei zu ffnen.  Kontrollieren Sie bitte die Dateieigenschaften und die Zugriffsrechte auf Ihrem Webserver',
    'rate_speedlimit'           => "Ihre letzte Bewertung liegt %s Sekunden zurck. Der minimale Zeitabstand zwischen zwei Bewertungen ist aber {$_CONF['commentspeedlimit']} Sekunden",
    'inmemoriam_not_installed'  => 'Inmemoriam Plugin ist nicht installiert oder nicht aktiviert.',
    'geekary_not_installed'     => 'Geekary Plugin ist nicht installiert oder nicht aktiviert.',
    'upload_exceeds_max_filesize' => '%s - Gre, der fr dieses Album festgesetzten Dateigre, berschritten.',
    'unsupported_wm_type'       => ' - Dateityp wird fr Wasserzeichen nicht untersttzt',
    'wm_aleady_exists'          => ' existiert bereits im Verzeichnis fr Wasserzeichen',
    'wm_success'                => ' - Wasserzeichen erfolgreich hochgeladen<br />',
    'upload_exceeds_quota'      => '%s - Dieser Upload bersteigt die Ihnen zugewiesene Quote.',
    'postcard_speedlimit'       => "Sie haben vor %s Sekunden Ihre letzte Postkarte versendet. Zwischen dem Versand von 2 Postkarten mssen {$_CONF['commentspeedlimit']} Sekunden liegen.",
    'error_create_tmp'          => 'Fehler beim Erzeugen eines temporren Verzeichnisses. Bitte setzten Sie sich mit dem Administrator in Verbindung.',
    'wm_already_exists'         => 'Die Datei %s fr das Wasserzeichen, exisitiert bereits auf dem Server.',
    /* --- New in version 1.5.0 --- */
    'invalid_remote_url'        => 'File %d is not a valid streaming FLV URL',
    'invalid_embed_url'         => 'File %d is not a valid embed URL',
);

// userland items...

$LANG_MG03 = array (
    'tagline'               => '<a href="http://www.gllabs.org" target="_new">Galerie powered by Media Gellery</a>',
    'featured_album'        => 'Medien Album',
    'updated_prompt'        => 'Aktualisiert:',
    'no_album_objects'      => '<br>Keine Alben zum anzeigen<br><br>Es knnen keine Alben angezeigt werden.  Es exisitieren keine Alben oder Ihre Account hat keine Berechtigung fr diese Alben.',
    'no_media_objects'      => '<h2>Dieses Album ist leer.</h2>',
    'next'                  => 'nchste',
    'previous'              => 'vorhergehende',
    'home'                  => 'Home',
    'return_to_album'       => 'Zurck zum Album',
    'normal_size'           => 'Normale Gre',
    'full_size'             => 'Volle Gre',
    'play'                  => 'Wiedergabe',
    'stop'                  => 'Stop',
    'ss_running'            => 'Die Dia-Show luft...',
    'ss_stopped'            => 'Die Dia-Show ist beendet,  Klicken Sie auf [Wiedergabe] um sie erneut zu starten.',
    'reverse'               => 'rckwrts',
    'forward'               => 'vorwrts',
    'picture_loading'       => 'Bild wird geladen...',
    'please_wait'           => 'Bitte warten...',
    'transition'            => 'bergang',
    'delay'                 => 'Wartezeit',
    'loop'                  => 'Endlos',
    'seconds'               => 'Sekunden',
    'jump_to'               => 'Gehe zu',
    'go'                    => 'Los',
    'slide_show'            => 'Dia-Show',
    'page'                  => 'Seite',
    'of'                    => 'von',
    'image'                 => 'Bild',
    'comments'              => 'Kommentare:',
    'views'                 => 'Ansichtenzhler:',
    'print_shutterfly'      => 'Drucken Sie diese Bild bei Shutterfly.com',
    'upload_help'           => 'Klicken Sie <b>Durchsuchen</b> um die Datei zu finden',
    'add_media'             => 'Datei hinzufgen',
    'upload_media'          => 'Medien Galerie Datei Upload',
    'upload_results'        => 'Medien Galerie Upload Ergebnisse',
    'album_redirect'        => '<a href="%s">Hier</a> geht es zurck zum Album.',
    'browse_album'          => 'Album ffnen',
    'close'                 => 'Schliessen',
    'rating'                => 'Bewertung:',
    'votes'                 => 'Bewertung(en)',
    'rate'                  => 'Durchschnitt',
    'sort_by'               => 'Sortierreihenfolge',
    'sort_default'          => 'voreingestellt',
    'sort_default_asc'      => 'voreingestellt, aufwrts',
    'sort_upload'           => 'Zeitpunkt des Uploads, abwrts',
    'sort_upload_asc'       => 'Zeitpunkt des Uploads, aufwrts',
    'sort_capture'          => 'Zeitpunkt der Dateierstellung, abwrts',
    'sort_capture_asc'      => 'Zeitpunkt der Dateierstellung, aufwrts',
    'sort_rating'           => 'Bewertung, abwrts',
    'sort_rating_asc'       => 'Bewertung, aufwrts',
    'sort_views'            => 'Anzahl der Ansichten, abwrts',
    'sort_views_asc'        => 'Anzahl der Ansichten, aufwrts',
    'print_digibug'         => 'Print this Picture at Digibug.com',
    'no_sort'               => 'Keine automatische Sortierung',
    'all_categories'        => 'Alle Kategorien',
    'category'              => 'Katergorie',
    'per_page'              => 'pro Seite',
    'title_desc_keywords'   => 'Titel, Beschreibung und Schlsselwrter',
    'keywords_only'         => 'Nur Schlsselwrter',
    'title_desc_only'       => 'Nur Titel und Beschreibung',
    'exact_phrase'          => 'Exakte bereinstimmung',
    'any'                   => 'eines der Wrter',
    'all'                   => 'alle Wrter',
    'sort_alpha'            => 'Titel, Beschreibung alphabetisch vorwrts',
    'sort_alpha_asc'        => 'Titel, Beschreibung alphabetisch rckwrts',
    'advanced_search'       => 'Medien Galerie erweiterte Suche',
    'search_query'          => 'Suchanfrage',
    'search_help'           => 'Sie knnen AND oder OR zur logische Verknpfung der Suchwrter in der Abrfage verwenden. Benutzen Sie NOT zum Auschluss eines Worte. Sie knen Auch Platzhalter (Wildcarts) wie * benutzen.',
    'options'               => 'Optionen',
    'keywords'              => 'Schlsselwretr',
    'all_fields'            => 'Titel, Beschreibung, Schlsselwrter',
    'keywords_only'         => 'Nur Schlsselwrter',
    'return_results'        => 'Abfrageergenisse',
    'sort_by'               => 'sortieren',
    'search'                => 'suchen',
    'search_for'            => 'suchen nach',
    'search_in'             => 'suchen in',
    'results'               => 'Ergebnisse',
    'send_postcard'         => 'Versenden einer elektronischen Postkarte',
    'invalid_to_email'      => 'Die - An: - Emailadresse ist ungltig',
    'invalid_email'         => 'Ungltige email-Adresse',
    'invalid_from_email'    => 'Die - Von: - Emailadresse ist ungltig',
    'invalid_subject'       => 'Ein Betreff muss vorhanden sein',
    'invalid_message'       => 'Tragen Sie bitte einen Nachrichtentext ein',
    'postcard_preview'      => 'Vorschau der Postkarte',
    'postcard_greet'        => 'Eine Postkarte von ',
    'to'                    => 'An:',
    'from'                  => 'Von:',
    'subject'               => 'Betreff:',
    'visit'                 => 'Besuchen Sie: ',
    'send_to'               => 'Sendet Postkarte an',
    'postcard_from'         => 'Einen elektronische Postkarte von',
    'send_from'             => 'Postkarte von',
    'to_name'               => 'An: Name',
    'to_email'              => 'An: Emailadresse',
    'from_name'             => 'Ihr Name',
    'from_email'            => 'Ihre Emailadresse',
    'message_body'          => 'Nachricht',
    'send'                  => 'Senden',
    'cancel'                => 'Abrrechen',
    'preview'               => 'Vorschau',
    'error_postcard'        => 'Fehler beim Abrufen Ihrer elekrtonischen Postkarte',
    'error_retrieve_text'   => 'Die Postkarte die Sie abrfagen ist nicht mehr verfgar.<br />ostkarten sind nur ' . $_MG_CONF['postcard_retention'] . ' Tage nach dem Versand verfgbar.',
    'thank_you'             => 'Vielen Dank',
    'zip_file_help'         => '.ZIP Dateinen werden entpackt un der inhalt in das Album geladen.',
    'xp_pub_title'          => 'Medien Galerie Windows XP Verffentlichung',
    'xp_pub_help1'          => 'Windows XP bietet die Mglichkeit Medien Dateien direkt in die Medien Galerie zu laden.  Folgen Sie den Anweisungen , um diese Mglichkeit auf Ihrem Computer mit Windows XP zu aktivieren.',
    'xp_pub_help2'          => 'Klicken Sie den Link, um die Konfigurationsdatei zu laden.  Fhren Sie die Datei aus und beantworten Sie die Abfrage, ob Sie Informationen zu Ihrer registrie hinzufgen mchten mit "Ok".  Einmal installiert, bentigen Sie diese Datei nicht mehr.  Fhren Sie die beschriebenen Schritte aus, um Ihre Bilder online zu stellen.',
    'xp_pub_help3'          => 'ffnen Sie das Verzeichnis, in welchem sich die Bilder befinden, welche verffentlicht werden sollen. Whlen Sie die Bilder oder den Ordner aus, klicken Sie dann auf "Datei im Web verffentlichen" im linken Bereich des Explorerfensters.  Folgen Sie den Anweisungen, loggen Sie sich in die Medien galerie ein und whlen Sie das Zielalbum aus, in welches die Bilder geladen werden sollen.',
    'setup'                 => 'Setup',
    'publishing'            => 'Verffentlichen',
    'enroll_title'          => 'Einrichtung eine Mitglieder Albums',
    'overview'              => 'bersicht',
    'terms'                 => 'Bedingungen',
    'member_album_overview' => 'Das Mitgliederalbum ermglicht Ihnen ein eigenens Medien Galerie Album zu haben.  Ihnen stehen der Groteil des vollen Funktionsumfanges in diesem Album zur Verfgung, mit Ausnahme einiger Funktionen wie z.B. Verffentlichung als Hauptartikelalbum.',
    'member_album_terms'    => 'Indem Sie besttigen akzeptieren Sie, da sie sich an geldende Gesetze halten. Die Verffentlichung von Bildmaterial, welches gegen Gesetze oder moralische Grundstze verstt, sowie der allgemeine Missbrauch dieses Albums kann mit der Lschung Ihres Accounts geahndet werden.',
    'agree'                 => 'Akzeptieren',
    'existing_member_album' => 'Es scheint, dass Sie bereit ein Mitgliederalbum innerhalb des Basis Albums fr Mitglieder haben. Sollte das ein Fehler sein, kontaktieren Sie bitte den Administrator.',
    'member_album_signup'   => 'Sie erhalten Ihr eingenes Album in der Medien Galerie.<br /><br /><center><a href="%s">Hier besttigen.</a></center>',
    'unable_to_view_postcard'   => 'Benutzen Sie den Link, wenn Sie die Postkarte nicht sehen knnen.',
    'no_flash'              => 'Sie haben kein Flash Plugin installiert oder Ihr Browser untersttzt kein Javascript',
    'album_id_display'      => 'Alben ID: ',
    'text_body_email'       => 'Sie haben eine elektronische Pstkarte von %s erhalten. Wenn es nicht mglich ist den Text unten zu lesen, besuchen Sie %s zur Ansicht',
    'gremote_msg'           => 'Gallery Remote is a Java application that runs on your desktop computer and provides a rich interface to Media Gallery. With Gallery Remote you can drag and drop to photos to upload them to Media Gallery, rotate and resize your images before uploading. You must install Gallery Remote 1.4 or newer to use it with this version of Media Gallery.',
    'gremote_url'           => '<a href="http://gallery.sourceforge.net/gallery_remote.php">Download Gallery Remote</a>',
    'upload_help'           => 'Upload files directly from your computer. Enter the full path to the file and an optional title / description /keywords in the boxes below.',
    'upload_size'           => '<b>Note:</b> You can upload up to %s megabytes at one time. No individual file may be larger than %s megabytes. If you want to upload more than that, you must upload the files separately, use a different upload format, or ask your system administrator to allow larger uploads.',
    'ftp_help'              => 'Transfer files that are already on your server into Media Gallery. The files must already have been uploaded to your server some other way (like FTP) and must be placed in a directory where they are accessibly by the web server.',
    'no_new_items'          => 'Keine neuen Dateien',
    'no_comments'           => 'Keine neuen Kommentare',
    'search_results'        => 'Medien Galerie Suchergebnis',
    'no_search_found'       => 'Keine Suchergenisse gefunden',
    'search_error'          => 'Sie mssen mindesten 1 Wort zur Suche eingeben',
    'artist'                => 'Knstler',
    'album'                 => 'Album',
    'song'                  => 'Song',
    'track'                 => 'Track',
    'genre'                 => 'Genre',
    'year'                  => 'Jahr',
    'download'              => 'Download',
    'info'                  => 'Info',
    'large'                 => 'Gro',
    'normal'                => 'Normal',
    'media_properties'      => 'Medien Eigenschaften',
    'click_here'			=> 'Hier klicken',
    'published'				=> 'Verffentlicht von',
    'on'					=> 'An',
    'no_flash'              => '<div style="width:200px;">Es schein, es ist kein Flash Plugin installiert oder die vorhandene Vesion ist zu alt und kann nicht die angeforderten Dateien wiedergeben.<br><p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Adobe Flash Player herunterladen" style="border:none;" /></a></p></div>',
    /* --- new in v1.5.0 --- */
    'xp_pub_url'            => 'Download <a href="%s">xppubwiz.reg (Windows XP)</a>',
    'vista_pub_url'         => 'Download <a href="%s">xppubwiz.reg (Windows Vista)</a>',
);

// EXIF labels

$LANG_MG04 = array (
    'exif_header'           => 'Fotoeigenschaften',
    'aperture'              => 'Belichtungwert',
    'shutter_speed'         => 'Verschlusszeitwert',
    'iso'                   => 'ISO',
    'focal_length'          => 'Focal Length',
    'flash'                 => 'Blitz',
    'acd_comment'           => 'ACD Comment',
    'ae_warning'            => 'AE Warning',
    'af_focus_position'     => 'AF Focus Position',
    'af_point_selected'     => 'AF Point Selected',
    'af_point_used'         => 'AF Point Used',
    'adapter'               => 'Adapter',
    'artist'                => 'Fotograf',
    'battery_level'         => 'Batterie Level',
    'bits_per_sample'       => 'Bits Per Sample',
    'blur_warning'          => 'Blur Warning',
    'brightness'            => 'Brightness',
    'ccd_sensitivity'       => 'CCD Sensitivity',
    'camera_id'             => 'Camera ID',
    'camera_serial_number'  => 'Seriennummer der Kamera',
    'color'                 => 'Color',
    'color_mode'            => 'Color Mode',
    'color_space'           => 'Color Space',
    'component_configuration' => 'Component Configuration',
    'compressed_bits_per_pixel' => 'Compressed Bits Per Pixel',
    'compression'           => 'Kompression',
    'continuous_taking_bracket' => 'Continuous Taking Bracket',
    'contrast'              => 'Kontrast',
    'converter'             => 'Converter',
    'copyright'             => 'Copyright',
    'custom_functions'      => 'Custom Functions',
    'customer_render'       => 'Customer Render',
    'datetime'              => 'Date/Time',
    'digital_zoom'          => 'Digital Zoom',
    'digital_zoom_ratio'    => 'Digital Zoom Ratio',
    'drivemode'             => 'DriveMode',
    'easy_shooting'         => 'Easy Shooting',
    'exposure_bias'         => 'Exposure Bias',
    'exposure_index'        => 'Exposure Index',
    'exposure_mode'         => 'Exposure Mode',
    'exposure_program'      => 'Exposure Program',
    'file_source'           => 'File Source',
    'firmware_version'      => 'Firmware Version',
    'flash_bias'            => 'Flash Bias',
    'flash_details'         => 'Flash Details',
    'flash_energy'          => 'Flash Energy',
    'flash_mode'            => 'Flash Mode',
    'flash_pix_version'     => 'Flash Pix Version',
    'flash_setting'         => 'Flash Setting',
    'flash_strength'        => 'Flash Strength',
    'focal_plane_resolution_unit' => 'Focal Plane Resolution Unit',
    'focal_plane_x_resolution' => 'Focal Plane X Resolution',
    'focal_plane_y_resolution' => 'Focal Plane Y Resolution',
    'focal_units'           => 'Focal Units',
    'focus'                 => 'Focus',
    'focus_mode'            => 'Focus Mode',
    'focus_warning'         => 'Focus Warning',
    'gain_control'          => 'Gain Control',
    'image_adjustment'      => 'Image Adjustment',
    'image_description'     => 'Image Description',
    'image_history'         => 'Image History',
    'image_length'          => 'Image Length',
    'image_number'          => 'Image Number',
    'image_sharpening'      => 'Image Sharpening',
    'image_size'            => 'Image Size',
    'image_type'            => 'Image Type',
    'image_width'           => 'Image Width',
    'inter_color_profile'   => 'Inter Color Profile',
    'interlace'             => 'Interlace',
    'interoperability_index'=> 'Interoperability Index',
    'interoperability_version' => 'Interoperability Version',
    'related_image_file_format' => 'Related Image File Format',
    'related_image_length'  => 'Related Image Length',
    'related_image_width'   => 'Related Image Width',
    'jpeg_tables'           => 'JPEG Tables',
    'jpeg_if_byte_count'    => 'JPeg IF Byte Count',
    'jpeg_if_offset'        => 'JPeg IF Offset',
    'jpeg_quality'          => 'JPeg Quality',
    'light_source'          => 'Light Source',
    'long_focal_length'     => 'Long Focal Length',
    'macro'                 => 'Macro',
    'make'                  => 'Make',
    'manual_focus_distance' => 'Manual Focus Distance',
    'max_aperture_value'    => 'Max Aperture Value',
    'metering_mode'         => 'Metering Mode',
    'model'                 => 'Model',
    'noise'                 => 'Noise',
    'noise_reduction'       => 'Noise Reduction',
    'orientation'           => 'Orientation',
    'owner_name'            => 'Owner Name',
    'photometric_interpretation' => 'Photometric Interpretation',
    'photoshop_settings'    => 'Photoshop Settings',
    'picture_info'          => 'Picture Info',
    'picture_mode'          => 'Picture Mode',
    'planar_configuration'  => 'Planar Configuration',
    'predictor'             => 'Predictor',
    'primary_chromaticities' => 'Primary Chromaticities',
    'quality'               => 'Quality',
    'reference_bw'          => 'Reference Black/White',
    'related_sound_file'    => 'Related Sound File',
    'resolution_unit'       => 'Resolution Unit',
    'rows_per_strip'        => 'Rows Per Strip',
    'samples_per_pixel'     => 'Samples Per Pixel',
    'saturation'            => 'Saturation',
    'scene_capture_mode'    => 'Scene Capture Mode',
    'scene_type'            => 'Scene Type',
    'security_classification'   => 'Security Classification',
    'self_timer'            => 'Self Timer',
    'self_timer_mode'       => 'Self Timer Mode',
    'sensing_method'        => 'Sensing Method',
    'sequence_number'       => 'Sequence Number',
    'sharpness'             => 'Sharpness',
    'short_focal_length'    => 'Short Focal Length',
    'slow_sync'             => 'Slow Sync',
    'software'              => 'Software',
    'software_release'      => 'Software Release',
    'spatial_frequency_response' => 'Spatial Frequency Response',
    'special_mode'          => 'Special Mode',
    'spectral_sensitivity'  => 'Spectral Sensitivity',
    'strip_byte_counts'     => 'Strip Byte Counts',
    'strip_offsets'         => 'Strip Offsets',
    'subifds'               => 'SubIFDs',
    'subfile_type'          => 'Subfile Type',
    'subject_distance'      => 'Subject Distance',
    'subject_location'      => 'Subject Location',
    'subsec_time'           => 'Subsec Time',
    'subsec_time_digitized' => 'Subsec Time (Digitized)',
    'subsec_time_original'  => 'Subsec Time (Original)',
    'tiff_ep_standard_id'   => 'TIFF/EP Standard ID',
    'tile_byte_counts'      => 'Tile Byte Counts',
    'tile_length'           => 'Tile Length',
    'tile_offsets'          => 'Tile Offsets',
    'tile_width'            => 'Tile Width',
    'time_zone_offset'      => 'Time Zone Offset',
    'tone'                  => 'Tone',
    'transfer_function'     => 'Transfer Function',
    'user_comment'          => 'User Comment',
    'version'               => 'Version',
    'white_balance'         => 'White Balance',
    'white_point'           => 'White Point',
    'ycbcr_coefficients'    => 'Y/Cb/Cr Coefficients',
    'ycbcr_positioning'     => 'Y/Cb/Cr Positioning',
    'ycbcr_sub_sampling'    => 'Y/Cb/Cr Sub-Sampling',
    'x_resolution'          => 'X Resolution',
    'y_resolution'          => 'Y Resolution',
    'exif_image_height'     => 'EXIF Image Height',
    'exif_image_width'      => 'EXIF Image Width',
    'iptc_supplemental_categories' => 'IPTC: Supplemental Categories',
    'iptc_keywords'         => 'IPTC: Keywords',
    'iptc_caption'          => 'IPTC: Caption',
    'iptc_caption_writer'   => 'IPTC: Caption Writer',
    'iptc_headline'         => 'IPTC: Headline',
    'iptc_special_instructions' => 'IPTC: Special Instructions',
    'iptc_category'         => 'IPTC: Category',
    'iptc_byline'           => 'IPTC: Byline',
    'iptc_byline_title'     => 'IPTC: Byline Title',
    'iptc_credit'           => 'IPTC: Credit',
    'iptc_source'           => 'IPTC: Source',
    'iptc_copyright_notice' => 'IPTC: Copyright Notice',
    'iptc_object_name'      => 'IPTC: Object Name',
    'iptc_city'             => 'IPTC: City',
    'iptc_province_state'   => 'IPTC: Province State',
    'iptc_country_name'     => 'IPTC: Country Name',
    'iptc_original_transmission_reference' => 'IPTC: Original Transmission Reference',
    'iptc_date_created'     => 'IPTC: Date Created',
    'iptc_copyright_flag'   => 'IPTC: Copyright Flag',
    'iptc_time_created'     => 'IPTC: Time Created',
    //
    'dots_per_resolution_unit'  => ' dots per ResolutionUnit',  // Xresolution YResolution
    'sec'                       => ' sek',                      // Exposure Time
    'ev'                        => ' EV',                       // Exposure Bias Value
    'bulb'                      => 'Bulb',
    // orientation
    'normal'                    => 'Normal',
    'mirrored'                  => 'Gespiegelt',
    'upsidedown'                => '180 Grad gedreht',
    'upsidedown_mirrored'       => '180 Grad gedreht, gespiegelt',
    'cw_mirrored'               => '90 Grad nach rechts gedreht, gespiegelt',
    'ccw'                       => '90 Grad nach links gedreht',
    'ccw_mirrored'              => '90 Grad nach links gedreht, gespiegelt',
    'cw'                        => '90 Grad nach rechts gedreht',
    // Resolution Unit FocalPlaneResolutionUnit ThumbnailResolutionUnit
    'no_unit'                   => 'Keine Einheit',
    'inch'                      => 'Inch',
    'centimeter'                => 'Zentimeter',
    //YCbCrPositioning
    'center_of_pixel_array'     => 'Center of Pixel Array',
    'datum_point'               => 'Datum Point',
    //Exposure Program
    'manual'                    => 'Manuell',
    'Program'                   => 'Programmautomatik (P)',
    'aperature_priority'        => 'Belichtungsautomatik (AV)',
    'shutter_priority'          => 'Zeitautomatik (TV)',
    'program_creative'          => 'Programm - Kreativ',
    'program_action'            => 'Programm - Action',
    'portrait'                  => 'Programm - Portrait',
    'landscape'                 => 'Programm - Landschaft',
    // Metering Mode
    'unknown'                   => 'Unbekannt',
    'average'                   => 'Durchschnitt',
    'center_weighted_average'   => 'Center Weighted Average',
    'spot'                      => 'Spot',
    'multi_spot'                => 'Multi-Spot',
    'multi_segment'             => 'Multi-Segment',
    'partial'                   => 'Partial',
    'other'                     => 'andere',
    // lightsource
    'unknown_or_auto'           => 'Unbekannt oder Automatik',
    'daylight'                  => 'Tageslicht',
    'flourescent'               => 'Leuchtstoffrhre',
    'tungsten'                  => 'Fotoleuchte',
    'flash'                     => 'Blitz',
    'standard_a'                => 'Standard Licht A',
    'standard_b'                => 'Standard Licht B',
    'standard_c'                => 'Standard Licht C',
    'd55'                       => 'D55',
    'd65'                       => 'D65',
    'd75'                       => 'D75',
    'srgb'                      => 'sRGB',
    'uncalibrated'              => 'Unkalibriert',
    'pixels'                    => ' Pixel',
    'no_compression'            => 'Keine Kompression',
    'jpeg_compression'          => 'JPEG Kompression',
    'not_defined'               => 'Nicht angegeben',
    'one_chip_color_area_sensor'    => 'One Chip Color Area Sensor',
    'two_chip_color_area_sensor'    => 'Two Chip Color Area Sensor',
    'three_chip_color_area_sensor'  => 'Three Chip Color Area Sensor',
    'color_sequential_area_sensor'  => 'Color Sequential Area Sensor',
    'trilinear_sensor'              => 'Trilinear Sensor',
    'color_sequential_linear_sensor'    => 'Color Sequential Linear Sensor',
    'monochrome'                    => 'Monochrome',
    'rgb'                           => 'RGB',
    'ycbcr'                         => 'YCbCr',
    // file source
    'digital_still_camera'          => 'Digitale Foto Kamera',
    // scene type
    'directly_photographed'         => 'Fotoaufnahme',
    'flash_00'              => 'Kein Blitz',
    'flash_01'              => 'Blitz ausgelst',
    'flash_05'              => 'Messblitz nicht erfolgreich',
    'flash_07'              => 'Messblitz erfolgreich',
    'flash_09'              => 'Blitz ausgelst, Manuelle Einstellung',
    'flash_13'              => 'Blitz ausgelst, Manuelle Einstellung, kein Gegenlicht',
    'flash_15'              => 'Blitz ausgelst, Manuelle Einstellung, Gegenlicht',
    'flash_16'              => 'Kein Blitz, Manuelle Einstellung',
    'flash_24'              => 'Kein Blitz, Automaik ein',
    'flash_25'              => 'Blitz ausgelst, Automaik ein',
    'flash_29'              => 'Blitz ausgelst, Automaik ein,kein Gegenlicht',
    'flash_31'              => 'Blitz ausgelst, Automaik ein, Gegenlicht',
    'flash_32'              => 'Keine Blitzfunktion',
    'flash_65'              => 'Blitz ausgelst, Rote Augen Reduzierung eingeschaltet',
    'flash_69'              => 'Blitz ausgelst, Rote Augen Reduzierung eingeschaltet, kein Gegenlicht',
    'flash_71'              => 'Blitz ausgelst, Rote Augen Reduzierung eingeschaltet, kein Gegenlicht',
    'flash_73'              => 'Blitz ausgelst, compulsory flash mode, Rote Augen Reduzierung eingeschaltet',
    'flash_77'              => 'Blitz ausgelst, compulsory flash mode, Rote Augen Reduzierung eingeschaltet, kein Gegenlicht',
    'flash_79'              => 'Blitz ausgelst, compulsory flash mode, Rote Augen Reduzierung eingeschaltet, Gegenlicht',
    'flash_89'              => 'Blitz ausgelst, Automaik ein, Rote Augen Reduzierung eingeschaltete',
    'flash_92'              => 'Blitz ausgelst, Automaik ein,  kein Gegenlicht, Rote Augen Reduzierung eingeschaltet',
    'flash_95'              => 'Blitz ausgelst, Automaik ein, Gegenlicht, Rote Augen Reduzierung eingeschaltet',
);

$LANG_MG05 = array (
    'blend'                 => 'Weiche Blende',
    'blinds'                => 'Jalousie',
    'checkerboard'          => 'Schachbrett',
    'diagonal'              => 'Diagonal',
    'doors'                 => 'Tren',
    'gradient'              => 'Hinein wischen',
    'iris'                  => 'Kreuz',
    'pinwheel'              => 'Windrad',
    'pixelate'              => 'Mosaic',
    'radial'                => 'Uhrzeiger',
    'rain'                  => 'Regen',
    'slide'                 => 'Dia',
    'snow'                  => 'Schnee',
    'spiral'                => 'Spirale',
    'stretch'               => 'Strecken',
    'random'                => 'Zufllige Blende'
);

$LANG_MG06 = array (
    'title'                 => 'Medien Galerie Upload Assisitent',
    'welcome'               => 'Wilkommen zu',
    'info_text'             => 'Der Media Gallery XP Upload Assisitent zeichnet keine betragungsfehler auf, er berspringt die Dateien, sobald ein fehler auftritt.<p>Sollte eine Datei nicht betragen worden Sein, kontrolliene Sie bitte Ihre Geeklog error.log .',
    'no_albums'             => 'Es knnen keine Alben gefunden werden oder Sie haben keine Zugriffsrechte',
    'select_album'          => 'Whlen Sie das Album, in das Sie den Datei - Upload durchfhren mchten'
);

$LANG_MG07 = array (
    'playback_options'          => 'Wiedergabe Optionen',
    'none'                      => 'kein',
    'mini'                      => 'mini',
    'full'                      => 'voll',
    'low'                       => 'gering',
    'high'                      => 'hoch',
    'showall'                   => 'Alle anzeigen',
    'noborder'                  => 'Kein Rahmen',
    'exactfit'                  => 'Orginal Gre',
    'window'                    => 'Fenster',
    'opaque'                    => 'Opaque',
    'transparent'               => 'Transparent',
    'to_fit'                    => 'To Fit',
    'aspect'                    => 'Seitenverhltnis',
    'normal_size'               => 'Normale Gre',
    'description'               => 'Beschreibung',
    'option'                    => 'Option',
    'on'                        => 'An',
    'off'                       => 'Aus',
    'auto_start'                => 'Auto Start',
    'auto_start_help'           => 'Wenn Auto Start ausgewhlt ist, Wird die Wiedergabe umgehend gestartet, ohne auf Eingaben zu warten.',
    'enable_context_menu'       => 'Kontext Men aktivieren',
    'enable_context_menu_help'  => 'Aktiviert ein Men, wenn mit der rechten Maustauste geklickt wurde.',
    'stretch_to_fit'            => 'An Fenster anpassen',
    'stretch_to_fit_help'       => 'Vergrert das Video auf das fenster des Mediaplayers.',
    'status_bar'                => 'Status Anzeige anzeigen',
    'status_bar_help'           => 'Aktiviert die Status Anzeige.',
    'ui_mode'                   => 'Benutzer kann Einstellungen vornehmen',
    'ui_mode_help'              => 'Geben Sie an welche Parameter der Benutzer beeeinflussen kann.',
    'height'                    => 'Hhe',
    'width'                     => 'Breite',
    'height_help'               => 'Gre des Widergabefensters',
    'width_help'                => 'Gre des Widergabefensters',
    'menu'                      => 'Men',
    'menu_help'                 => 'Anzeige des Vollmens, womit der Benutzer Einstellungen anpassen kann.',
    'quality'                   => 'Qualitt',
    'quality_help'              => 'Wiedergabe Qualitt',
    'flash_vars'                => 'Flash Eigenschaften',
    'auto_ref'                  => 'Auto Ref',
    'auto_ref_help'             => 'Aktiviert das AUTOREF Attribut, damit Filme sofort geladen werden, ohne einen Mauseklick anzuwarten.',
    'controller'                => 'Kontroller',
    'controller_help'           => 'Anzeige des Video Kontrollers.',
    'kiosk_mode'                => 'Kiosk Modus',
    'kiosk_mode_help'           => 'Wenn der Kiosk Modus aktiv ist, wird kein Kontroller angezeigt und es ist nicht mglich das Video per Drag and Drop zu speichern.',
    'scale'                     => 'Skalierung',
    'scale_help'                => 'Die Skalierung kann auf Fit, Seitenverhltnis und Normal eingestellt werden.  Wenn Fit aktiviert ist, wird der Film in einem eingebettetem Fenster wiedergegeben, dessen Gre unter Hhe und Breite definiert sind. Wenn Seitenverhltnis angegeben ist, wir der Film in einem eingebettetem Fenster unter beibehaltung des Seitenverhltnisses wiedergegeben. wenn Normal ausgewhlt ist, wird es wie gespeichert wiedergegeben.',
    'swf_scale_help'            => 'Die Voreinstellung (Alle anzeigen) ermglicht die Ansicht aller Flash-Filme ohne Verzerrungen, unter Bercksichtigung der originalen Seitenverhltnisse. Rnder knnen an 2 Seiten des Filmes auftreten. Keine Rnder entstehen, wenn die Filme in einem festgelegten Bereich wiedergegeben werden, wobei Verkleinierungen oder Vergrerungen mglich sind. Der Modus Fit gibt die Filme auch die Filme in einem Festgelegten Berich fest, ohne sich an dem Seitenverhltnis der Datei zu orientieren, Verzerrungen sind dann mglich.',
    'wmode'                     => 'Fenster Modus',
    'wmode_help'                => 'Legt die Eigenschaften des Fenster Modus fr Flash-Dateien fest (Transparenz, Ebene und Position innerhalb des Browsers).',
    'loop'                      => 'Schleife (Loop)',
    'loop_help'                 => 'Legt fest, ob ein Film endlos wiedergegeben werden soll oder nach dem letzte Bild stoppt',
    'always'                    => 'Immer',
    'sameDomain'                => 'Gleiche Domaine',
    'never'                     => 'Niemals',
    'asa'                       => 'Gestattet Script Ausfhrung',
    'asa_help'                  => 'Dieser Parameter kontrolliert die Scriptausfhrung (JAVA) des SWFs von der Seite aus, von der es aufgerufen wird.',
    'bgcolor'                   => 'Hintergrundfarbe',
    'bgcolor_help'              => 'Setzt die Hintergrundfarbe im Wiedergabefenster',
    'clsid'                     => 'Object Class ID',
    'codebase'                  => 'Codebase',
    'playcount'                 => 'Wiedergabezhler',
    'playcount_help'            => 'Wie oft die Datei wiedergegeben werden soll',
    'loop'                      => 'Endlode Wiedergabe',
    'loop_help'                 => 'wiederholte Wiedergabe',
    'wmp_options'               => 'Windows Media Wiedergabe Optionen',
    'qt_options'                => 'QuickTime Wiedergabe Optionen',
    'mp3_options'               => 'MP3 Wiedergabe Optionen',
    'swf_options'               => 'Flash Media Wiedergabe Optionen',
    'swf_version_help'          => 'Flash version required to play this file.',
    'resolution'                => 'Auflsung (BxH)',
    'resolution_x_help'         => 'Video X (Breite) Auflsung',
    'resolution_y_help'         => 'Video Y (Hhe) Auflsung',
    'resolution_x'              => 'Video Breite',
    'resolution_y'              => 'Video Hhe',
);

// installation / upgrade items...

$LANG_MG08 = array (
    'success'               => 'Das Medien Galerie Plugin ist erfolgreich installiert.',
    'review'                => 'Bitte gehen Sie zu den <b>System Optionen</b> und den <b>System Voreinstellungen</b> und die Installation und Konfiguartion abzuschliessem.',
    'support'               => 'Fr den Hilfe zur Medien Gallery schauen sie bitte unter <a href="http://www.gllabs.org">www.gllabs.org</a>.<br /><br />Dort finden Sie auch<ul><li>Dokumentation Wiki</li><li>Support Foren</li><li>Mailinglisten fr <b>Sicherheitsinformationen</b> und Updateankndigungen</li><li>... und vieles mehr. (englischsprachige Webseite)</li></ul>',
);

$LANG_MG09 = array (
    1                       => 'Die Sortier Optionen ist erfolgreich abgeschlossen',
    2                       => 'Konfiguarion erfolgreich abgespeichert',
    3                       => 'EXIF/IPTC Daten erfolgreich gespeichert',
    4                       => 'Alben Voreinstellung erfolgreich gespeichert',
    5                       => 'Audio / Video Voreinstellung erfolgreich gespeichert',
    6                       => 'RSS Optionen erfolgreich abgespeichert',
    7                       => 'RSS Feeds erfolgreich erzeugt',
    8                       => 'Mitgliederalben wurden erfolgreich entfernt',
    9                       => 'System Konfiguration erfolgreich auf die Installationseinstellungen zurck gesetzt',
    10                      => 'Globale Rechte erfolgreich gesetzt',
    11                      => 'Globale Albeneinstellung erfolgreich gesetzt',
    12                      => 'Mitglieder Album Optionen erfolgreich gespeichert',
    13                      => 'Ausgesuchtes Mitglieder Album erfolgreich erstellt',
    14                      => 'Mitglieder Album Galeriekennzeichnung erfolgreich zurck gesetzt',
    15                      => 'Ausgesuchte Alben erfolgreich gelscht',
    16                      => 'Benutzer Quoten erfolgreich gesetzt',
    17                      => 'Die ausgewhlten Dateien wurden gelscht.',
);

$LANG_MG10 = array (
    'last_10'          => 'Die letzten 5 Objekte wurden hochgeladen von ',
    'albums_owned'     => 'Galerieordner gehrt ',
    'thumbnail'        => 'Vorschaubild',
    'upload_date'      => 'Hochladedatum',
    'title'            => 'Titel',
    'album'            => 'Album',
    'album_desc'       => 'Beschreibung'
);

//upgrade function
$PLG_mediagallery_MESSAGE1 = 'Medien Galerie Plugin Update: Update erfolgreich abgeschlossen.';
$PLG_mediagallery_MESSAGE2 = 'Medien Galerie Plugin Upgrade: Es ist nicht mglich das Update automatisch auszufhren. Lesen Sie bitte die Plugin Beschreibung.';
$PLG_mediagallery_MESSAGE3 = 'Medien Galerie Plugin Upgrade fehlgeschlagen - Fehlerinformatione';
$PLG_mediagallery_MESSAGE4 = 'Danke fr die Bewertung';
$PLG_mediagallery_MESSAGE5 = 'Sie haben dieses Medien Objekt bereits bewertet, dies ist nur einmal mglich';
$PLG_mediagallery_MESSAGE6 = 'Whrend Ihrer Bewerung ist ein Fehler aufgetreten - Bitte informieren Sie ihren Webserver Administrator';
$PLG_mediagallery_MESSAGE7 = 'Es wurden keine Dateien zur Verabeitung gefunden.';
$PLG_mediagallery_MESSAGE8 = 'Ihre Postkarte wurde versand.';
$PLG_mediagallery_MESSAGE9 = 'Es ist ein fehler beim Versenden der Postkarte aufgetreten, Bitte informieren Sie den Web-Administrator';
/* --- new in v1.5.0 --- */
$PLG_mediagallery_MESSAGE10 = 'There was an error in replacing your media file, see error.log for details';
?>