<?php
// +---------------------------------------------------------------------------+
// | Media Gallery Plugin 1.5                                                  |
// +---------------------------------------------------------------------------+
// | $Id:: japanese_utf-8.php 1049 2007-06-21 07:28:37Z mevans0263            $|
// | This is the Japanese_UTF-8 language page for the Media Gallery Plug-in    |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002,2005,2006 by the following authors:                    |
// |                                                                           |
// | Author:                                                                   |
// | Mark R. Eavns               -    mevans@ecsnet.com                        |
// | Translator:                                                               |
// | mystral_kk                  -    mystral_kk AT ddlinks DOT net            |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------|

$LANG_MG00 = array (
    'menulabel'         => 'メディアギャラリ',
    'plugin'            => 'メディアギャラリ',
    'access_denied'     => 'アクセスは拒否されました',
    'access_denied_msg' => 'このページにアクセスする権限がありません。あなたのユーザー名とIPは記録されました。',
    'admin'             => 'メディアギャラリ管理',
    'install_header'    => 'プラグインのインストール/アンインストール',
    'installed'         => 'このプラグインはインストールされています。',
    'uninstalled'       => 'このプラグインはインストールされていません。',
    'install_success'   => 'メディアギャラリのインストールに成功しました。<br><br>システムに添付されているドキュメントを読み，<a href="%s">管理者メニュー</a>から設定がホスト環境と整合しているか確認してください。',
    'install_failed'    => 'インストールに失敗しました。エラーログを見てください。',
    'uninstall_msg'     => 'このプラグインはきちんとアンインストールされました。',
    'install'           => 'インストール',
    'uninstall'         => 'アンインストール',
    'warning'           => '警告：このプラグインは有効なままです。',
    'enabled'           => 'アンインストールする前に，このプラグインを無効にしてください。',
    'readme'            => '注意：インストールをクリックする前に，次の文書をお読みください：',
    'installdoc'        => "<a href=\"{$_CONF['site_admin_url']}/plugins/mediagallery/install_doc.html\">インストール用ドキュメント</a>",
    'mg_block_header'   => '画像（ランダム）',
    'no_album_select'   => 'アルバムが選択されていません。',
    'media_col_header'  => 'メディアアイテム',
    'stats_title'       => '閲覧上位10位',
    'items_in'          => 'Items in',
    'no_album_objects'  => '<br>表示するアルバムがありません。<br><br>表示するアルバムがありません。本当にアルバムがないか，このアルバムを表示しないようユーザー設定で制限しているのかもしれません。',
    'no_media_objects'  => '<br>このアルバムにはアイテムがありません。',
    'results'           => 'メディアギャラリの検索結果',
    'titlemsg'          => 'タイトル',
    'urlmsg'            => '日付',
    'hitsmsg'           => '閲覧数',
    'mg_error'          => '要求された情報を取り出し中にエラーが発生しました。サイト管理者にエラー番号を知らせてください。エラー番号: ',
    'mg_error_log'      => 'メディアギャラリ内部エラー # ',
    'mg_error_generic'  => 'メディアギャラリエラー: 無効な入力データ',
    'whatsnew_prompt'   => '最近 %s 日',
    'no_date'           => '日付なし',
    'stats_rate_title'  => '上位10位のメディアアイテム',
    'rating'            => '評価',
    'no_title'          => 'メディアタイトルが入力されていません。',
    'album'             => 'アルバム: ',
    'none_rated'        => '評価済みアイテムはありません。',
    'convert100'        => 'メディアギャラリ v1.2.0 サムネール画像アップグレードルーチン',
    'cvtcomplete'       => '<br><br>変換完了！',
    'cvtmsg1'           => '<br><br>この変換プログラムにより，メディアギャラリのサムネール画像が全部作り直されます。',
    'cvtmsg2'           => '<br><br>特にメディアギャラリに多くのアイテムがある場合は，これは<b>非常に</b>CPUに負荷がかかる操作です。',
    'cvtmsg3'           => '<br><br>CPU の割り当て時間を超えないようにするため，このプログラムは一度に %d 個ずつサムネール画像を変換します。',
    'cvtmsg4'           => '<br><br>メディアギャラリには %d 個の画像があり，現在までに %d 個処理しました。',
    'cvtmsg5'           => '<br><br>お使いのブラウザが \'meta refreshed\' タグをサポートしていれば，このページは再描画され，自動的に実行されます。',
    'cvtmsg6'           => '<br><br>変換を始める準備ができたら，<a href="%s">ここ</a>をクリックしてください。',
    'cvtmsg7'           => '<br><br>変換中。このページは 20 秒後に自動的に再描画されるはずですが，今すぐ再描画するなら，<a href="%s">ここ</a>をクリックしてください。',
    'cvtmsg8'           => '<br><br>%d 個のメディアアイテムを処理済み - 残り %d 個...',
    'no_viewed_items'   => '閲覧されたメディアアイテムはありません。',
    'no_access'         => 'You have selected and album that has restricted access.  Please choose a different album',
    'overview'          => 'Media Gallery is a native Geeklog plugin that provides a full featured multi-media gallery for your Geeklog powered website.  Media Gallery supports multiple image, video and audio formats and has many advanced features to make presenting your multi-media items in a robust environment simple and easy to maintain.',
    'preinstall_check'  => 'Media Gallery has the following requirements:',
    'geeklog_check'     => 'Geeklog v1.3.10 or greater, version reported is <b>%s</b>.',
    'php_check'         => 'PHP v4.3.0 or greater, version reported is <b>%s</b>.',
    'preinstall_confirm' => "For full details on installing Media Gallery, please refer to the <a href=\"{$_CONF['site_admin_url']}/plugins/mediagallery/install_doc.html\">Installation Manual</a>.",
    'filecheck'         => 'FileCheck Utility',
    'filecheck_disclaimer' => 'FileCheck will scan the Media Gallery directories and provide a list of files that exist in the directories that are not included in the Media Gallery distribution.  These files may be old, obsolete files that are no longer needed.  <b>Use Caution</b> and insure these files are not needed by your web server.  <br /><b>YOU SHOULD HAVE A CURRENT BACKUP BEFORE RUNNING THIS UTILITY!</b>',
    'mg_enroll_header'  => 'Album Enrollment',
    'whatsnew_title'    => 'MEDIA GALLERY',
);

// administration items....

$LANG_MG01 = array (
    'save'                      => '保存/実行',
    'yes'                       => 'Yes',
    'no'                        => 'No',
    'submit'                    => '実行',
    'cancel'                    => 'キャンセル',
    'reset'                     => 'リセット',
    'delete'                    => '削除',
    'all'                       => '全部',
    'homepage_only'             => 'ホームページのみ',
    'top'                       => '最上部',
    'bottom'                    => '最下部',
    'after_featured_articles'   => '注目記事の後',
    'new_album'                 => '新規のアルバム',
    'upload_media'              => 'アップロードするメディア',
    'ftp_media'                 => 'FTPでアップロード',
    'usage_reports'             => '使用状況レポート',
    'configuration'             => '設定',
    'media_queue'               => 'メディアキュー',
    'admin_home'                => '管理者Home',
    'edit_album'                => 'アルバム編集',
    'create_album'              => 'アルバム作成',
    'delete_album'              => 'アルバム削除',
    'album_name_desc'           => 'アルバムのタイトル/説明',
    'albums'                    => 'アルバム',
    'moderate'                  => '管理',
    'media_management'          => 'メディア管理',
    'count'                     => '数',
    'order'                     => '順序',
    'action'                    => 'アクション',
    'move_up'                   => '上へ',
    'move_down'                 => '下へ',
    'rotate_left'               => '左回転',
    'rotate_right'              => '右回転',
    'edit'                      => '編集',
    'caption'                   => 'キャプション',
    'images'                    => '画像',
    'file'                      => 'ファイル',
    'directory'                 => 'ディレクトリ',
    'description'               => '説明',
    'capture_time'              => 'キャプチャ日時',
    'uploaded_by'               => 'アップロード者',
    'delete_files'              => '元ファイルを削除',
    'not_writable'              => 'ディレクトリ書き込み不可',
    'root_level'                => '最上位(ここに作成しないでください)',
    'admin_main_help'           => 'ほとんどの管理機能はユーザーインターフェースから直接アクセスできます。',
    'configuration_help'        => 'メディアギャラリプラグインの標準的な動作を変更するには，オプションを設定してください。',
    'media_edit_help'           => "個々のメディアアイテムと属性を編集します。メディアを拡大表示するには，下の画像をクリックすれば，ポップアップウィンドウが開きます。",
    'album_edit_help'           => '権限，注目ステータス，タイトル。説明を含めてアルバム属性を設定します。',
    'album_delete_help'         => 'このアルバムと全ての子アルバムが削除されます。メディアアイテムを新しいフォルダに移動させるか，完全に削除するかを選択してください。<br><b>いったん削除すると，取り消せません。</b>',
    'configuration_title'       => 'メディアギャラリの設定',
    'configuration_header'      => 'メディアギャラリ設定オプション',
    'album_maintenance'         => 'メディアギャラリのアルバムをメンテナンス',
    'media_edit'                => 'メディアギャラリのメディアを編集',
    'usage_report_header'       => 'メディアギャラリ使用状況レポート',
    'edit_media'                => 'メディアアイテムを編集',
    'image_properties'          => '画像のプロパティ',
    'left_blocks_only'          => '左ブロックのみ',
    'right_blocks_only'         => '右ブロックのみ',
    'left_right_blocks'         => '左右ブロック',
    'none'                      => 'なし',
    'no_media_objects'          => 'このアルバムにはアイテムがありません。',
    'media_manage_help'         => '「移動」と「削除」は選択した画像に対してバッチ処理を行います。「保存」により処理が行われ，アルバム表紙とメディアタイトルが更新されます。<br><b>いったん「削除」を実行すると，二度と元には戻せません！</b>',
    'usage_report_help'         => 'メディアギャラリの使用状況レポートを作成します。日付をしてして全ユーザーを選択してもよいし，ユーザーを指定して特定の日付ないし全ての日を選択することもできます。データが多すぎるので，全ユーザーの全部の日付は指定しないでください。',
    'all_dates'                 => '全ての日付に対してレポート作成',
    'select_user'               => 'ユーザー選択',
    'display_rows_prompt'       => '表示行数',
    'display_rows_help'         => 'アルバムのページ毎に表示される行数',
    'album_display_columns_prompt' => 'アルバムに表示する列数',
    'album_display_columns_help'    => 'アルバムリストを表示する時の列数を決めます。',
    'display_columns_prompt'    => '表示列数',
    'display_columns_help'      => 'アルバムのページ毎に表示される列数',
    'loginrequired_prompt'      => 'ログインが必要',
    'loginrequired_help'        => 'メディアギャラリの使用をログインユーザーに限定するなら，このパラメータを Yes に設定してください。',
    'comments_prompt'           => 'コメント許可',
    'comments_help'             => 'ユーザーがメディアアイテムにコメントするのを許可するなら，このパラメータを Yes に設定してください。',
    'graphicspackage_prompt'    => 'グラフィックパッケージ',
    'graphicspackage_help'      => 'サムネール画像作成とメディアアイテム処理に使う，サーバーにインストールされているグラフィックパッケージを選択してください。',
    'graphicspackage_path_prompt' => 'グラフィックパッケージのパス',
    'graphicspackage_path_help'   => 'インストールされているグラフィックパッケージのパスを入力してください。',
    'displayblock_prompt'       => 'Geeklog のブロックに表示',
    'displayblock_help'         => 'Geeklog のブロックに表示する方法(左/右/両方/なし)を選択してください。',
    'static_sort_help'          => 'この処理により，手動で行ったソートは全て無効になります。',
    'htmlallowed'               => 'タイトルでのHTML使用を許可する',
    'whatsnew'                  => 'Geeklog の新着情報に載せる',
    'dfid'                      => '日付形式',
    'general_options'           => '一般的なオプション',
    'display_options'           => '表示オプション',
    'graphics_options'          => 'グラフィックパッケージ',
    'usage_tracking'            => '使用状況を監視する',
    'title'                     => 'タイトル',
    'order'                     => '順序',
    'item'                      => 'アイテム',
    'select'                    => '選択',
    'order'                     => '順序',
    'cover'                     => '表紙',
    'time'                      => '時間',
    'user_id'                   => 'ユーザーID',
    'application'               => 'アプリケーション',
    'album_title'               => 'アルバムタイトル',
    'new_report'                => '新規レポート',
    'media_capture_time'        => 'メディアのキャプチャ日時',
    'media_upload_time'         => 'メディアのアップロード日時',
    'parent_album'              => '親アルバム',
    'description'               => '説明',
    'featured_album'            => '注目アルバム',
    'set_featured'              => '注目アルバムにする',
    'featured_help'             => 'チェックすると，指定ページの中央ブロックとしてこのアルバムの要約が表示されます。',
    'position'                  => '位置',
    'topic'                     => '話題',
    'mod_mediatitle'            => 'メディアのタイトル',
    'album_link'                => 'アルバムへのリンク',
    'status_header'             => 'メディアギャラリのステータス',
    'status'                    => 'ステータス',
    'redirect'                  => '5秒後にリダイレクトします。すぐに続けるには，<a href="%s">ここ</a>をクリックしてください。',
    'delete_all_media'          => 'アルバム中のメディアを全部削除する',
    'move_all_media'            => 'メディアを全部移動',
    'mod_album'                 => 'このアルバムを管理する',
    'moderation_group'          => '管理者グループ',
    'options'                   => '-- 選択してください --',
    'admin'                     => '-- 選択してください --',
    'add_media'                 => 'メディアを追加',
    'ftp_media'                 => 'FTPでアップロード',
    'edit_album'                => 'アルバムを編集',
    'create_album'              => 'アルバムを作成',
    'static_sort_media'         => 'メディアをソート',
    'manage_media'              => 'メディア管理',
    'media_queue'               => 'メディアキュー',
    'sort_albums'               => 'アルバムをソート',
    'no_caption'                => 'キャプションなし',
    'continue'                  => '続ける',
    'recheck'                   => '再チェック',
    'mg_directories'            => 'メディアギャラリのディレクトリ',
    'mg_dir_structure'          => 'メディアギャラリのディレクトリ構造',
    'ok'                        => 'OK',
    'not_found'                 => '見つかりません。',
    'not_writable'              => '書き込み不可',
    'ascending'                 => '昇順',
    'descending'                => '降順',
    'static_media_sort'         => 'メディアを静的にソート',
    'sort_options'              => 'ソートオプション',
    'order_options'             => 'ソートオプション',
    'all_dates'                 => '全ての日付',
    'subalbums'                 => '子アルバム',
    'destination_album'         => '移動先のアルバム',
    'move'                      => '移動',
    'date'                      => '日付',
    'album'                     => 'アルバム',
    'mod_delete'                => '削除',
    'mod_approve'               => '承認',
    'documentation'             => '使用法マニュアル',
    'check_all'                 => '全部チェックする',
    'uncheck_all'               => '全部チェックを外す',
    'batch_process'             => '一括処理',
    'autotag_error'             => '自動タグのエラー',
    'successful_upload_queue'   => ' 管理キューにきちんと格納されました。',
    'successful_upload'         => ' アルバムにきちんとアップロードされました。',
    'phpinfo'                   => 'PHP情報',
    'album_cover'               => 'アルバムの表紙',
    'album_attributes'          => 'アルバム属性',
    'media_attributes'          => 'メディア属性',
    'attached_thumbnail'        => '添付サムネール画像',
    'thumbnail'                 => 'サムネール画像',
    'new_upload_subject'        => '新しいアイテムがアップロードされています: ',
    'new_upload_body'           => 'アルバムに新しいアイテムがアップロードされています: ',
    'upload_approved'           => 'あなたがアップロードしたメディアは承認されました。',
    'thanks_submit'             => '投稿していただき，ありがとうございます。',
    'details'                   => '詳細 ',
    'enable_exif'               => 'EXIF を有効にする',
    'enable_ratings'            => '評価を有効にする',
    'av_play_album'             => 'アルバム閲覧中にAudio / Videoを再生',
    'av_play_options'           => 'Audio / Video再生オプション',
    'email_mods_on_submission'  => '投稿時に管理者にメールで通知する',
    'disable_exif'              => 'EXIF表示を無効にする',
    'display_below_media'       => 'メディアの下に表示',
    'display_in_popup'          => 'ポップアップウィンドウで表示',
    'both'                      => '両方',
    'play_in_popup'             => 'ポップアップウィンドウで再生',
    'download_to_local'         => 'ローカルへダウンロード',
    'play_inline'               => 'インラインで再生',
    'use_mms'                   => 'mms を使用: Microsoft がサポートしてるメディアへのリンク',
    'upload_warning'            => 'サーバーの設定により，%s 以下のファイルしかアップロードできません。総サイズは %s 以下です。',
    'gallery_import'            => 'Gallery v1.x インポートウィザード',
    'fourimages_import'         => '4images インポートウィザード',
    'xppubwizard_install'       => 'XP Publishing ウィザードをインストール',
    'log_viewer'                => 'Geeklog のログ閲覧',
    'select_date'               => '日付選択',
    'ss_enable'                 => 'スライドショーを許可',
    'ri_enable'                 => 'ランダム表示ブロックを許可',
    'sf_enable'                 => 'オンライン印刷のリンクを許可',
    'tn_size'                   => 'サムネール画像のサイズ',
    'rows'                      => '表示行数',
    'columns'                   => '表示列数',
    'small'                     => '小 (100x100)',
    'medium'                    => '中 (150x150)',
    'large'                     => '大 (200x200)',
    'system_default'            => 'システムのデフォルト',
    'windows_media_player'      => 'Windows Media Player',
    'quicktime_player'          => 'QuickTimeプレーヤー',
    'direct_download'           => '直接ダウンロード',
    'user_prefs'                => 'メディアギャラリ設定',
    'mp3_player'                => 'MP3プレーヤー',
    'mp3_player_help'           => 'MP3の再生に使用するプレーヤー',
    'av_play_options_help'      => 'audio / videoファイルの再生方法',
    'tn_size_help'              => 'アルバムで表示されるサムネール画像のサイズ',
    'globalattr'                => 'アルバム属性を編集（全体）',
    'global_attr_editor'        => 'アルバム属性を編集（全体）',
    'global_attr_help'          => '<b>全部の</b>アルバムに対する属性を変更するので，慎重に使用してください。<br><br>更新したい属性の値を選び，<b>更新</b>をチェックしてください。',
    'globalperm'                => 'アルバム権限を編集（全体）',
    'global_perm_editor'        => 'アルバム権限の編集（全体）',
    'global_perm_help'          => '<b>全部の</b>権限を変更するので，慎重に使用してください。<br><br>更新したい属性の値を選び，<b>更新</b>をチェックしてください。',
    'attribute'                 => '属性',
    'value'                     => '値',
    'update'                    => '更新',
    'enable_views'              => 'メディアの閲覧数を表示',
    'save_exit'                 => '保存＆終了',
    'save_next_batch'           => '保存＆次の一括処理',
    'batch_caption_editor'      => 'キャプションの一括処理',
    'batch_caption'             => 'キャプションの一括処理',
    'batch_caption_help'        => 'メディアのタイトルと説明を一括して編集します。',
    'exiftag'                   => 'EXIF/IPTCタグ',
    'exif_admin_header'         => 'EXIF/IPTC管理',
    'exif_admin_help'           => '写真のプロパティに表示するEXIF/IPTCタグを選択してください。',
    'enable_sort'               => 'クライアントによるソートを許可',
    'reset_rating'              => '評価をリセット',
    'reset_views'               => '閲覧数をリセット',
    'albums_first'              => '画像より先に子アルバムのリストを表示',
    'force_child_update'        => '子アルバムにも同じ設定を強制的に適用する',
    'days'                      => '日',
    'whatsnew_time'             => '新着情報と見なす期間',
    'gallery_tn_size'           => 'サムネール画像のサイズ',
    'seperator'                 => 'パンくずリストのセパレータ',
    'windows_media_player'      => 'Windows Media Player',
    'quicktime'                 => 'QuickTime',
    'inm_import'                => 'Inmemoriam をインポート',
    'always'                    => '常に',
    'members_only'              => 'メンバーのみ',
    'disabled'                  => '無効',
    'full_display'              => '完全な（元の）画像を表示',
    'reset_cover'               => 'デフォルトのアルバム表紙を使用',
    'up_overrides'              => 'ユーザー設定を許可する項目',
    'up_rows_override'          => '表示行数の設定',
    'up_columns_override'       => '表示列数の設定',
    'up_mp3_override'           => 'MP3プレーヤーの設定',
    'up_av_override'            => 'AV再生オプションの設定',
    'up_tn_override'            => 'サムネール画像サイズの設定',
    'geekary_import'            => 'Geekaryをインポート',
    'import_wizards'            => 'インポートウィザード',
    'coppermine_import'         => 'Coppermineインポート',
    'back_to_main'              => 'メインメニューへ戻る',
    'import_title'              => 'メディアギャラリインポートウィザード',
    'process'                   => '処理実行',
    'jhead_enable'              => 'JHEADサポートを有効にする',
    'jhead_path'                => 'jheadバイナリのパス',
    'jpegtran_enable'           => 'JPEGTRANサポートを有効にする',
    'jpegtran_path'             => 'jpegtranバイナリのパス',
    'max_image_height'          => '画像の高さ制限 (単位：ピクセル)',
    'max_image_width'           => '画像の横幅制限 (単位：ピクセル)',
    'max_filesize'              => 'ファイルサイズ制限',
    'display_image_size'        => '画像サイズを表示',
    'maint_title'               => 'メディアギャラリのメンテナンス',
    'rebuild_thumb'             => 'サムネール再作成',
    'next'                      => '実行',
    'rebuild_thumb_help'        => 'メディアギャラリのサムネール画像を全て作り直します。',
    'rebuild_thumb_details'     => 'この処理により，メディアギャラリのサムネール画像が全て作り直されます。CPUに負荷がかかるので，3分間処理しては20秒休止するという処理を繰り返します。',
    'resize_display'            => '画像サイズ変更',
    'resize_help'               => 'アルバム毎に設定された現在のサイズに基づき，表示する画像のサイズを変更します。',
    'resize_details'            => 'この処理により，メディアギャラリの画像のサイズが全て変更されます。CPUに負荷がかかるので，3分間処理しては20秒休止するという処理を繰り返します。',
    'resize_confirm'            => 'このアルバムの画像を全てサイズ変更しますか？',
    'rebuild_confirm'           => 'このアルバムのサムネール画像を全て作り直しますか？',
    'remove_originals'          => 'アップロードされた元画像を削除',
    'remove_help'               => 'メディアギャラリから元画像を削除',
    'remove_details'            => 'この処理によりアップロードされた元画像が全部削除され，表示用画像とサムネール画像だけが残ります。<br><br><b>この処理を取り消すことはできないので，慎重にお願いします。</b>',
    'remove_error'              => 'config.php で $_MG_CONF[\'discard_original\'] が 1 に設定されていなければ，元画像を削除できません。',
    'processing_complete'       => '処理がきちんと完了しました。',
    'reset_maint'               => '画像のメンテナンス属性をリセット',
    'reset_help'                => 'メディアアイテムのメンテナンスフラグをリセットして，再び処理できるようにします。',
    'reset_details'             => 'この処理により，メディアアイテム毎のメンテナンスフラグが 0 にリセットされ，次回のメンテナンスルーチンで再び処理できるようになります。',
    'return_to_maint'           => 'メンテナンスメニューへ戻るには，<a href="%s">ここ</a>をクリックしてください。',
    'enable_album_views'        => 'アルバム閲覧数を表示',
    'hidden'                    => 'Hidden Album',
    'tn_jpg_quality'            => 'Thumbnail JPG Quality',
    'recurse'                   => 'Process Subdirectories',
    'include_ss'                => 'Incl. SlideShow',
    'original_filename'         => 'Original Filename:',
    'jupload_message'           => 'Select Album and media items below',
    'jupload_media'             => 'JUPLOAD Media',
    'download'                  => 'Download',
    'zip_enable'                => 'Enable ZIP Uploads',
    'zip_path'                  => 'Path to unzip program',
    'tmp_path'                  => 'Path to temporary directory',
    'default_album_sort'        => 'Default Album Sort on Upload',
    'wm_management'             => 'Watermark Management',
    'watermark'                 => 'Watermark',
    'no_watermarks'             => 'No watermark images are available',
    'upload'                    => 'upload',
    'watermark_manage_help'     => 'Allows you to add / delete watermark images. Maximum watermark file size is 64kb.<br /><b>Deletes are permanent!  There is no undo!</b>',
    'watermark_upload'          => 'Watermark Upload',
    'public_access'             => 'Public Access',
    'top_left'                  => 'Top Left',
    'top_center'                => 'Top Center',
    'top_right'                 => 'Top Right',
    'middle_left'               => 'Middle Left',
    'middle_center'             => 'Middle Center',
    'middle_right'              => 'Middle Right',
    'bottom_left'               => 'Bottom Left',
    'bottom_center'             => 'Bottom Center',
    'bottom_right'              => 'Bottom Right',
    'no_watermark'              => 'No Watermark',
    'watermark_auto'            => 'Automatically Watermark on Upload',
    'watermark_opacity'         => 'Watermark Opacity',
    'watermark_location'        => 'Watermark Location',
    'watermark_image'           => 'Watermark Image',
    'watermark_redirect'        => 'Click <a href="%s">Here</a> to return to Watermark Management.',
    'preview'                   => 'Preview',
    'wm_upload_help'            => 'Click the Browse to locate a media to upload - Supported File Types: .GIF, .PNG, .JPG. <br /><br /><b>Maximum watermark file size is 64kb.</b>',
    'no_applet'                 => 'Your browser does not support applets. Or you have disabled applet in your options.<br /> To use this applet, please install the newest version of Sun\'s java. You can get it from <a href="http://www.java.com/">java.com</a>',
    'watermarked'               => 'WM',
    'category'                  => 'Category',
    'category_manage_help'      => 'Category Maintenance',
    'cat_id'                    => 'ID',
    'cat_name'                  => 'Category Name',
    'cat_description'           => 'Category Description',
    'create'                    => 'create',
    'create_category'           => 'Create Category',
    'edit_category'             => 'Edit Category',
    'cat_edit_help'             => 'Create or Edit a new Media Gallery Category',
    'no_category'               => 'No category assigned',
    'search'                    => 'Search',
    'batch_processor'           => 'Media Gallery Batch Processor',
    'processing'                => 'processing',
    'timer_expired'             => 'Timer expired at %s secs. ',
    'processing_next_items'     => 'Processing next %s item(s). Please wait...',
    'percent_completed'         => '%s %% completed',
    'processing_details'        => 'Processing Details',
    'processed_items'           => 'Items Processed',
    'status'                    => 'Status',
    'total_items'               => 'Total Items to Process',
    'items_remaining'           => 'Items Remaining',
    'items_last_cycle'          => 'Items Last Cycle',
    'time_limit'                => 'Max Execution Time Allowed',
    'item_rate'                 => 'Item Rate',
    'batch_parameters'          => 'Batch Parameters',
    'items_per_cycle'           => 'Items per Cycle',
    'all_done'                  => 'All Items Processed',
    'finished'                  => 'Finished',
    'begin_processing'          => 'Press Next to Begin Processing',
    'keywords'                  => 'Keywords',
    'preserve_filename'         => 'Preserve Original Filename',
    'discard_originals'         => 'Discard Original Images',
    'custom_image_height'       => 'Custom Image Height',
    'custom_image_width'        => 'Custom Image Width',
    'verbose'                   => 'Verbose (debug logging)',
    'disable_wn_comments'       => 'Disable What\'s New Comments',
    'enable_mid'                => 'Enable Media ID display',
    'full_in_popup'             => 'Full Image Display in Popup',
    'cmtbar'                    => 'Display Full Comment Bar',
    'wn_title_length'           => 'What\'s New Title Length',
    'batch_options'             => 'Batch Processing Options',
    'refresh_rate'              => 'Refresh Rate',
    'time_limit'                => 'Maximum execution time allowed',
    'item_limit'                => 'Maximum items per cycle',
    'custom'                    => 'Custom',
    'system_default_editor'     => 'System Defaults Editor',
    'av_default_editor'         => 'Audio / Video Defaults Editor',
    'system_options'            => 'System Options',
    'album_default_editor'      => 'Album Defaults',
    'reports'                   => 'Reports',
    'quota_reports'             => 'Quota Reports',
    'batch_sessions'            => 'Batch Sessions',
    'paused_sessions'           => 'Paused Sessions',
    'utilities'                 => 'Utilities',
    'gallery_v2_import'         => 'Gallery v2',
    'batch_rotate_images'       => 'Rotating Images in album: %s',
    'batch_watermark_images'    => 'Watermarking Images in album: %s',
    'batch_resize_images'       => 'Resizing Images in Album: %s',
    'batch_rebuild_thumbs'      => 'Rebuilding Thumbnails in Album: %s',
    'queue_delete'              => ' removed from queue and deleted',
    'queue_processed'           => ' successfully placed in album',
    'owner'                     => 'Owner',
    'remove_error'              => 'You can only remove the original images if <b>Discard Original Images</b> is enabled in System Options',
    'file_list'                 => 'File List',
    'quick_create'              => 'Quick Album Create',
    'ftp_path'                  => 'FTP Path Directory',
    'put_files'                 => 'Put Files of',
    'into_album'                => 'into album',
    'root_album'                => 'Root Album - No image upload allowed',
    'size_500x375'              => 'Size 500x375',
    'size_600x450'              => 'Size 600x450',
    'size_620x465'              => 'Size 620x465',
    'size_720x540'              => 'Size 720x540',
    'size_800x600'              => 'Size 800x600',
    'size_912x684'              => 'Size 912x684',
    'size_1024x768'             => 'Size 1024x768',
    'size_1152x864'             => 'Size 1152x864',
    'size_1280x1024'            => 'Size 1280x1024',
    'size_custom'               => 'Custom - ',
    'characters'                => 'Characters',
    'zero_unlimited'            => '0 = Unlimited',
    'user_quota'                => 'Your quota is %d Kb and you have used %d Kb with %d Kb remaining<br /><br />',
    'member_album_options'      => 'Member Album Options',
    'member_albums'             => 'Member Albums',
    'enable_member_albums'      => 'Enable Member Albums',
    'default_member_quota'      => 'Default Member Quota',
    'auto_create'               => 'Auto Create Albums',
    'allow_create'              => 'Allow Creation under Member Root',
    'member_root'               => 'Member Albums Root Album',
    'rebuild_quota'             => 'Rebuild User Quota\'s',
    'rebuild_quota_help'        => 'This will scan all the albums on the system and rebuild the quota usage for each user.',
    'member_archive'            => 'Archive Deleted Member Albums',
    'do_not_archive'            => 'Delete - Do Not Archive',
    'root_album'                => 'Root Album',
    'batch_create_members'      => 'Batch Create Member Albums',
    'quota_report'              => 'Quota Report',
    'username'                  => 'User Name',
    'userid'                    => 'User ID',
    'active'                    => 'Active',
    'quota'                     => 'Quota',
    'used'                      => 'Used',
    'category_error'            => 'You must enter a category name.',
    'no_cat'                    => 'No Categories currently exist',
    'edit_user'                 => 'Edit User',
    'rebuild_all_thumbnails'    => 'Rebuild All Thumbnails',
    'resize_all_images'         => 'Resize All Images',
    'starting_album'            => 'Starting Album',
    'media_original_filename'   => 'Original Filename',
    'delete_item_confirm'       => 'Are you sure you want to delete the selected items?',
    'static_sort_albums'        => 'Static Sort Albums',
    'static_sort_media'         => 'Static Sort Media',
    'process_subs'              => 'Process Sub-Albums',
    'media_count'               => 'Media Count',
    'last_update'               => 'Last Update',
    'enable_rss'                => 'Enable Album RSS Feed',
    'enable_postcard'           => 'Enable PostCards',
    'all_users'                 => 'All Users',
    'rss_feeds'                 => 'RSS Feeds',
    'rss_options'               => 'RSS Feed Options',
    'rss_rebuild_all'           => 'Rebuild Full RSS Feed',
    'rss_rebuild_album'         => 'Rebuild All Album RSS Feeds',
    'rss_full'                  => 'Build Full Album RSS Feed',
    'rss_type'                  => 'RSS Feed Type',
    'rss_ignore_empty'          => 'Exclude empty albums from RSS feed',
    'rss_anonymous_only'        => 'Only Include Albums available to the public',
    'rss_feed_name'             => 'Base filename for RSS Feed file',
    'postcard_retention'        => 'Days to retain sent PostCards',
    'member_album_postfix'      => ' Album',
    'mass_delete_help'          => 'Batch Album Delete - USE WITH CAUTION',
    'rss_options'               => 'RSS Feed Options',
    'batch_delete_albums'       => 'Batch Delete Albums',
    'reset_members'             => 'Reset Member Album Create Flag',
    'reset_members_details'     => 'This will check to see if a Member Album exists for all users, if none exists the database will be updated showing no album exists for that user.',
    'approve_all'               => 'Approve All',
    'rss_directory'             => 'RSS Directory',
    'user_prefs_title'          => 'Media Gallery User Options',
    'xp_pub'                    => 'XP Publishing',
    'purge_member_albums'       => 'Purge Member Albums',
    'last_login'                => 'Last Login',
    'purge_mem_albums_help'     => 'Batch Remove Stale Member Albums - Lists albums with NO content',
    'anonymous_uploads_prompt'  => 'Logged-in User Uploads',
    'anonymous_uploads_help'    => 'Set this parameter to allow registered users to upload media',
    'member_upload'             => 'Allow registered users to upload media to this album',
    'reset_defaults'            => 'Reset Defaults',
    'reset_defaults_details'    => 'Reset ALL System Options, Album Defaults and AV Defaults to installation defaults. This will only affect the default settings, it will not affect any existing albums.  Use with caution!',
    'no_sessions'               => 'No active sessions found',
    'media_title'               => 'Media Title',
    'seconds_per_item'          => '%s seconds per item',
    'subalbums'                 => 'Sub Albums',
    'rss_options'               => 'RSS Options',
    'filecheck'                 => 'FileCheck',
    'gl_story'                  => 'Geeklog Stories',
    'allow_download'            => 'Allow Media Download',
    'display_album_desc'        => 'Display Album Description',
    'jpg'                       => 'JPEG',
    'png'                       => 'PNG',
    'tif'                       => 'TIF',
    'gif'                       => 'GIF',
    'bmp'                       => 'BMP',
    'tga'                       => 'TGA',
    'psd'                       => 'PSD',
    'mp3'                       => 'MP3',
    'ogg'                       => 'OGG',
    'asf'                       => 'WMV',
    'swf'                       => 'SWF',
    'mov'                       => 'MOV',
    'mp4'                       => 'MP4',
    'mpg'                       => 'MPEG',
    'zip'                       => 'ZIP',
    'other'                     => 'Other',
    'image'                     => 'Image',
    'audio'                     => 'Audio',
    'video'                     => 'Video',
    'allowed_media_formats'     => 'Allowed Media Types',
    'filename_title'            => 'Use Filename as Caption',
    'profile_hook'              => 'Display MG Info in User Profile',
    'expand_all'                => 'Expand All',
    'collapse_all'              => 'Collapse All',
    'dnd_title'                 => 'Media Gallery Drag & Drop Album Maintenance',
    'version_info'              => 'Version Information',
    'up_to_date'                => 'Your installation is up to date, no updates are available for your version of Media Gallery',
    'no_version_info'           => 'Unable to determine latest version of Media Gallery.',
    'browser_upload'            => 'Web Browser Upload',
    'gallery_remote'            => 'Gallery Remote',
    'index_album_skin'          => 'Index Album Skin',
    'album_display_rows'        => 'Album Display Rows',
    'image_skin'                => 'Image Skin',
    'album_skin'                => 'Album Skin',
    'display_skin'              => 'Display Skin',
    'do_not_convert_orig'       => 'Do not convert original to JPG',
    'whatsnew_title'            => 'MEDIA GALLERY',
    'no_title'                  => 'No media title available',
    'subalbum_select'           => 'Show Sub-Albums in Select Box',
    'select_subalbum'           => 'Select Sub-Album',
    'enable_keywords'           => 'Enable Keywords',
    'ffmpeg_path'               => 'FFMPEG Path',
    'ffmpeg_enable'             => 'Enable FFMPEG support',
    'flashplayer'               => 'Flash Player',
    'batch_quota_update'        => 'Batch Quota Update',
    'replace_file'              => 'Replace File',
    'podcast'                   => 'Podcast Album',
    'autotag_caption'           => 'Use media / album title as caption for autotags',
    'popup_from_album'          => 'Play audio / video media directly from album view',
    'out_of_date'               => 'Your installation does not seem to be up to date. Updates are available for your version of Media Gallery, please visit <a href="http://www.gllabs.org">http://www.gllabs.org/</a> to obtain the latest version.<br><br>The latest available version is Media Gallery %s You are running Media Gallery %s',
    /* --- Modified in v1.5.0 --- */
    'jpg_quality'               => 'Display JPG Quality',
    /* --- New in version 1.5.0 --- */
    'js_slideshow'              => 'JavaScript',
    'lightbox'                  => 'LightBox',
    'remote_media'              => 'Remote Media',
    'remote_media_type'         => 'Remote Media Type',
    'remote_help'               => 'This screen allows you to upload (include) remote streaming FLV files or video files from sites such as Google Video and YouTube',
    'remote_url'                => 'Remote URL',
    'embed'                     => 'Embedded Video',
    'alternate_url'             => 'Alternate URL',
    'flv_stream'                => 'Streaming FLV',
    'remote_thumbnail'          => 'Remote Thumbnail',
    'flv'                       => 'FLV',
    'rflv'                      => 'Remote FLV',
    'emb'                       => 'Embedded Video',
    'random_size'               => 'Random Image Block Width',
    'flash_slideshow_full'      => 'Flash (Orig)',
    'flash_slideshow_disp'      => 'Flash (Disp)',
    'media_attributes'          => 'Media Handling Options',
    'orig_jpg_quality'          => 'Original JPG Quality',
    'truncate_breadcrumb'       => 'Truncate Breadcrumbs',
    'member_use_fullname'       => 'Use Fullname for Member Album title',
    'feature_member_album'      => 'Feature Member Album on main page',
    'allow_remote'              => 'Enable Remote Users',
);

// error messages

$LANG_MG02 = array (
    'error_header'              => 'メディアギャラリエラー',
    'generic_error'             => 'メディアギャラリでリクエストを処理中にエラーが発生しました。もう一度試してみてください。',
    'upload_too_big'            => '%s - アップロードされたメディアがphp.iniの upload_max_filesize 指令の値を上回っています。',
    'upload_too_big_html'       => '%s - アップロードされたファイルはHTMLフォームに指定された MAX_FILE_SIZE 指令の値を上回っています。',
    'partial_upload'            => '%s - アップロードファイルは一部しかアップロードされませんでした。',
    'missing_tmp'               => '一時フォルダが見当たりません。',
    'disk_fail'                 => 'ファイルをディスクに書き込めませんでした。',
    'unknown_err'               => 'ファイルアップロード時に不明なエラーが発生しました。',
    'albumaccessdeny'           => "このアルバムを閲覧できません。たぶん，{$_CONF['site_name']}のメンバーではないからでしょう。{$_CONF['site_name']}のメンバーとして<a href={$_CONF['site_url']}/users.php?mode=new>新規登録</a>してください。",
    'admin_access_deny'         => 'メディアギャラリの管理メニューにアクセスする権限がありません。不正なアクセスは全て記録されます。',
    'no_target_album'           => 'アルバムが選択されていません。',
    'invalid_directory'         => 'ディレクトリがありません。',
    'directory_error'           => 'ディレクトリをオープンしてメディアをスキャンできませんでした。',
    'album_not_found'           => 'アルバムがありません。',
    'usage_report_error1'       => '全部のユーザーと全ての日付を同時に選択することはできません。やり直してください。',
    'unknown_filetype'          => ' 認識できないファイルタイプです。<br>',
    'move_error'                => ' アップロードされたファイル %s を移動/コピー中にエラーが発生しました。<br>',
    'convert_error'             => ' アップロードされたファイル %s を変換中にエラーが発生しました。<br>',
    'perm_error'                => ' ファイルを開けません(権限がありません)',
    'album_nonexist'            => 'アルバムがないため，アップロードされたファイルを処理できません。',
    'upload_not_found'          => 'アップロードされたファイルが見つかりません。Webサーバーのエラーログをチェックし，アップロードするファイルの数値より大きくなるよう，php.iniの post_max_sizeパラメータとmax_upload_sizeパラメータを設定してください。',
    'upload_not_readable'       => 'アップロード/インポートされたファイルを開けません。ファイルのパーミッションをチェックして，Webサーバーにこのファイルの読み取り権限があることを確認してください。',
    'rate_speedlimit'           => "あなたが前回アイテムを評価したのは，%s秒前です。このサイトでは少なくとも{$_CONF['commentspeedlimit']}秒経過してからでないと次の評価はできません。",
    'inmemoriam_not_installed'  => 'Inmemoriamプラグインがインストールされていないか，有効になっていません。',
    'geekary_not_installed'     => 'Geekaryプラグインがインストールされていないか，有効になっていません。',
    'upload_exceeds_max_filesize' => '%s - このアルバムに設定された最大サイズを上回っています。',
    'unsupported_wm_type'       => ' - Unsupported watermark file type',
    'wm_aleady_exists'          => ' already exists in watermark directory',
    'wm_success'                => ' - Watermark succesfully uploaded<br />',
    'upload_exceeds_quota'      => '%s - This upload would exceed your usage quota.',
    'postcard_speedlimit'       => "You last sent a PostCard %s seconds ago. This site requires at least {$_CONF['commentspeedlimit']} seconds between PostCards",
    'error_create_tmp'          => 'Error creating temporary directory. Please contact the site administrator',
    'wm_already_exists'         => 'The watermark file %s already exists on the server',
    /* --- New in version 1.5.0 --- */
    'invalid_remote_url'        => 'File %d is not a valid streaming FLV URL',
    'invalid_embed_url'         => 'File %d is not a valid embed URL',
);

// userland items...

$LANG_MG03 = array (
    'featured_album'        => '注目アルバム',
    'updated_prompt'        => '更新 ',
    'no_album_objects'      => '<br>表示するアルバムがありません。<br><br>表示するアルバムがありません。本当にアルバムがないのか，このアルバムを表示しないようユーザー設定で制限しているのかもしれません。',
    'no_media_objects'      => '<h2>このアルバムには画像メディアがありません。。</h2>',
    'next'                  => '次へ',
    'previous'              => '前へ',
    'home'                  => 'Home',
    'return_to_album'       => 'アルバムへ戻る',
    'normal_size'           => '普通のサイズ',
    'full_size'             => 'フルサイズ',
    'play'                  => '再生',
    'stop'                  => '停止',
    'ss_running'            => 'スライドショー実行中...',
    'ss_stopped'            => 'スライドショーを中断しました。再開するには「再生」をクリックしてください。',
    'reverse'               => '逆順',
    'forward'               => '正順',
    'picture_loading'       => '写真を読み込み中...',
    'please_wait'           => 'お待ちください...',
    'transition'            => '推移',
    'delay'                 => '遅延',
    'loop'                  => 'ループ',
    'seconds'               => '秒',
    'jump_to'               => '移動',
    'go'                    => '実行',
    'slide_show'            => 'スライドショー',
    'page'                  => 'ページ',
    'of'                    => '/',
    'image'                 => '画像',
    'comments'              => 'コメント',
    'views'                 => '閲覧',
    'print_shutterfly'      => 'この写真をShutterfly.comで印刷する',
    'upload_help'           => '<b>参照</b>をクリックして，アップロードするメディアを指定してください。',
    'add_media'             => 'メディア追加',
    'upload_media'          => 'メディアギャラリにアップロード',
    'upload_results'        => 'アップロード結果',
    'album_redirect'        => 'アルバムへ戻るには，<a href="%s">ここ</a>をクリックしてください。',
    'browse_album'          => 'アルバムを見る',
    'close'                 => '閉じる',
    'rating'                => '評価',
    'votes'                 => '票',
    'rate'                  => '評価する',
    'sort_by'               => 'ソート順',
    'sort_default'          => 'デフォルト',
    'sort_default_asc'      => 'デフォルト(昇順)',
    'sort_upload'           => 'アップロード日時(降順)',
    'sort_upload_asc'       => 'アップロード日時(昇順)',
    'sort_capture'          => 'キャプチャ日時(降順)',
    'sort_capture_asc'      => 'キャプチャ日時(昇順)',
    'sort_rating'           => '評価(降順)',
    'sort_rating_asc'       => '評価(昇順)',
    'sort_views'            => '閲覧数(降順)',
    'sort_views_asc'        => '閲覧数(昇順)',
    'print_digibug'         => 'この写真をDigibug.comで印刷する',
    'no_sort'               => 'No Automatic Sorting',
    'all_categories'        => 'All Categories',
    'category'              => 'Category',
    'per_page'              => 'per page',
    'title_desc_keywords'   => 'Title, Desc and Keywords',
    'keywords_only'         => 'Keywords Only',
    'title_desc_only'       => 'Title and Desc Only',
    'exact_phrase'          => 'Exact Phrase',
    'any'                   => 'any of these words',
    'all'                   => 'all of these words',
    'sort_alpha'            => 'title, desc',
    'sort_alpha_asc'        => 'title, asc',
    'advanced_search'       => 'Media Gallery Advanced Search',
    'search_query'          => 'Search Query',
    'search_help'           => 'You can use AND to define words which must be in the results, OR to define words which may be in the result and NOT to define words which should not be in the result. Use * as a wildcard for partial matches',
    'options'               => 'Options',
    'keywords'              => 'Keywords',
    'all_fields'            => 'Title, Desc, Keywords',
    'keywords_only'         => 'Keywords Only',
    'return_results'        => 'Return Results',
    'sort_by'               => 'Sort By',
    'search'                => 'search',
    'search_for'            => 'Search For',
    'search_in'             => 'Search In',
    'results'               => 'Results',
    'send_postcard'         => 'Send an Electronic PostCard',
    'invalid_to_email'      => 'To email address is invalid',
    'invalid_email'         => 'Invalid email address',
    'invalid_from_email'    => 'From email address is invalid',
    'invalid_subject'       => 'You must supply a subject',
    'invalid_message'       => 'You must supply a message body',
    'postcard_preview'      => 'PostCard Preview',
    'postcard_greet'        => 'A Post Card from ',
    'to'                    => 'To:',
    'from'                  => 'From:',
    'subject'               => 'Subject:',
    'visit'                 => 'Visit ',
    'send_to'               => 'Send PostCard To',
    'postcard_from'         => 'An Electronic PostCard From',
    'send_from'             => 'PostCard From',
    'to_name'               => 'To Name',
    'to_email'              => 'To Email',
    'from_name'             => 'Your Name',
    'from_email'            => 'Your Email',
    'message_body'          => 'Message Body',
    'send'                  => 'send',
    'cancel'                => 'cancel',
    'preview'               => 'preview',
    'text_body_email'       => 'You received an Electronic PostCard from %s. If you are unable to see the message below, visit %s to view',
    'error_postcard'        => 'Error Retrieving Your Electronic PostCard',
    'error_retrieve_text'   => 'The PostCard you are attempting to view is no longer available.<br />PostCard\'s are available for upto ' . $_MG_CONF['postcard_retention'] . ' days after they are sent.',
    'thank_you'             => 'Thank You',
    'zip_file_help'         => '.ZIP files will be extracted and the contents loaded into your album after upload.',
    'xp_pub_title'          => 'Media Gallery Windows XP Publishing',
    'xp_pub_help1'          => 'Windows XP has the ability to publish contect directly from your computer to Media Gallery.  Follow the instructions below to enable this feature on your Windows XP computer.',
    'xp_pub_help2'          => 'Follow the link below to download the configuration file.  Once the file has been downloaded, right-click and select Merge option.  You will be prompted to confirm you wish to import these values into your registry.  Click "Ok".  Once installed on your local computer, you do not need to download or re-install this file again.  Follow the Publishing steps below.',
    'xp_pub_help3'          => 'Open the folder on your computer you wish to publish to Media Gallery.  Select the images or folder, then select the link on the left hand menu "Publish this file to the web...".  Select this option and the follow the instructions, you will be prompted to log into Media Gallery and then select the destination album for your files.',
    'xp_pub_url'            => 'Download <a href="%s">xppubwiz.reg</a>',
    'setup'                 => 'Setup',
    'publishing'            => 'Publishing',
    'enroll_title'          => 'Member Album Self Enrollment',
    'overview'              => 'Overview',
    'terms'                 => 'Terms and Conditions',
    'member_album_overview' => 'Member Albums allow you the freedom to have your very own Media Gallery Album that you have semi-full control over.  There are a few site wide functions you cannot perform, such as making your album a Featured Album, but most administrative functions are available to you.',
    'member_album_terms'    => 'By pressing the Agree button below, you agree to abide by the terms and conditions set forth by the site administrators.  If you abuse or otherwise mis-use your Member Album, your account could be suspended.',
    'agree'                 => 'Agree',
    'existing_member_album' => 'It appears that you already have a Member Album and you can only have 1 directly off of the Member Album Root album.  If you feel this is an error, please contact the site administrator.',
    'member_album_signup'   => 'Get your own album in our Media Gallery.<br /><br /><center><a href="%s">Sign Up Here</a></center>',
    'unable_to_view_postcard'   => 'Use this link if you are unable to view the Post Card.',
    'album_id_display'      => 'Album ID: ',
    'no_new_items'          => 'No new media items',
    'no_comments'           => 'No new media comments',
    'search_results'        =>  'Media Gallery Search Results',
    'no_search_found'       => 'No search results found',
    'search_error'          => 'You must enter at least 1 search word',
    'artist'                => 'Artist',
    'album'                 => 'Album',
    'song'                  => 'Song',
    'track'                 => 'Track',
    'genre'                 => 'Genre',
    'year'                  => 'Year',
    'download'              => 'Download',
    'info'                  => 'Info',
    'large'                 => 'Large',
    'normal'                => 'Normal',
    'media_properties'      => 'Media Properties',
    'click_here'            => 'click here',
    'published'             => 'Published by',
    'on'                    => 'On',
    'no_flash'              => '<div style="width:200px;">It appears you do not have the Flash Plugin installed, or the version you have is out of date and cannot play the requested content.<br><p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" style="border:none;" /></a></p></div>',
    'tagline'               => 'Gallery powered by <a href="http://www.gllabs.org" target="_new">Media Gallery</a>',
    /* --- new in v1.5.0 --- */
    'xp_pub_url'            => 'Download <a href="%s">xppubwiz.reg (Windows XP)</a>',
    'vista_pub_url'         => 'Download <a href="%s">xppubwiz.reg (Windows Vista)</a>',
);

// EXIF labels

$LANG_MG04 = array (
    'exif_header'           => '写真のプロパティ',
    'aperture'              => 'レンズ口径',
    'shutter_speed'         => 'シャッター速度',
    'iso'                   => 'ISO',
    'focal_length'          => '焦点距離',
    'flash'                 => 'ストロボ',
    'acd_comment'           => 'ACD コメント',
    'ae_warning'            => 'AE 警告',
    'af_focus_position'     => 'AF 焦点位置',
    'af_point_selected'     => 'AF 選択点',
    'af_point_used'         => 'AF 使用点',
    'adapter'               => 'アダプタ',
    'artist'                => '撮影者',
    'battery_level'         => 'バッテリ残存量',
    'bits_per_sample'       => 'サンプリングビット数',
    'blur_warning'          => 'ピンぼけ警告',
    'brightness'            => '明るさ',
    'ccd_sensitivity'       => 'CCD感度',
    'camera_id'             => 'カメラID',
    'camera_serial_number'  => 'カメラのシリアルナンバー',
    'color'                 => '色',
    'color_mode'            => '色モード',
    'color_space'           => '色空間',
    'component_configuration' => 'コンポーネント設定',
    'compressed_bits_per_pixel' => 'ピクセルあたりの圧縮量',
    'compression'           => '圧縮',
    'continuous_taking_bracket' => 'Continuous Taking Bracket',
    'contrast'              => 'コントラスト',
    'converter'             => 'コンバーター',
    'copyright'             => 'Copyright',
    'custom_functions'      => 'カスタム機能',
    'customer_render'       => 'Customer Render',
    'datetime'              => '日付/時間',
    'digital_zoom'          => 'デジタルズーム',
    'digital_zoom_ratio'    => 'デジタルズーム比率',
    'drivemode'             => 'ドライブモード',
    'easy_shooting'         => 'Easy Shooting',
    'exposure_bias'         => '露出バイアス',
    'exposure_index'        => '露出指標',
    'exposure_mode'         => '露出モード',
    'exposure_program'      => '露出プログラム',
    'file_source'           => 'File Source',
    'firmware_version'      => 'ファームウェアバージョン',
    'flash_bias'            => 'Flash Bias',
    'flash_details'         => 'Flash Details',
    'flash_energy'          => 'Flash Energy',
    'flash_mode'            => 'ストロボモード',
    'flash_pix_version'     => 'Flash Pix Version',
    'flash_setting'         => 'ストロボ設定',
    'flash_strength'        => 'Flash Strength',
    'focal_plane_resolution_unit' => '焦点面解像度単位',
    'focal_plane_x_resolution' => '焦点面X方向解像度',
    'focal_plane_y_resolution' => '焦点面Y方向解像度',
    'focal_units'           => '焦点ユニット',
    'focus'                 => '焦点',
    'focus_mode'            => '焦点モード',
    'focus_warning'         => '焦点警告',
    'gain_control'          => 'Gain Control',
    'image_adjustment'      => '画像調節',
    'image_description'     => '画像の説明',
    'image_history'         => '画像の履歴',
    'image_length'          => '画像の高さ',
    'image_number'          => '画像No.',
    'image_sharpening'      => '画像のシャープニング',
    'image_size'            => '画像サイズ',
    'image_type'            => '画像タイプ',
    'image_width'           => '画像の横幅',
    'inter_color_profile'   => 'Inter Color Profile',
    'interlace'             => 'インターレース',
    'interoperability_index'=> 'Interoperability Index',
    'interoperability_version' => 'Interoperability Version',
    'related_image_file_format' => 'Related Image File Format',
    'related_image_length'  => '相対的な画像の高さ',
    'related_image_width'   => '相対的な画像の横幅',
    'jpeg_tables'           => 'JPEG テーブル',
    'jpeg_if_byte_count'    => 'JPeg IF バイト数',
    'jpeg_if_offset'        => 'JPeg IF オフセット',
    'jpeg_quality'          => 'JPeg 頻出',
    'light_source'          => '光源',
    'long_focal_length'     => '長焦点距離',
    'macro'                 => 'マクロ',
    'make'                  => 'メーカー',
    'manual_focus_distance' => 'マニュアルフォーカス距離',
    'max_aperture_value'    => '最大口径値',
    'metering_mode'         => '計測モード',
    'model'                 => '機種',
    'noise'                 => 'ノイズ',
    'noise_reduction'       => 'ノイズ低減',
    'orientation'           => '向き',
    'owner_name'            => 'オーナー名',
    'photometric_interpretation' => '露出量判断',
    'photoshop_settings'    => 'Photoshop の設定',
    'picture_info'          => '写真情報',
    'picture_mode'          => '写真モード',
    'planar_configuration'  => 'Planar Configuration',
    'predictor'             => 'Predictor',
    'primary_chromaticities' => 'Primary Chromaticities',
    'quality'               => '品質',
    'reference_bw'          => 'Reference Black/White',
    'related_sound_file'    => '関連音声ファイル',
    'resolution_unit'       => '解像単位',
    'rows_per_strip'        => 'Rows Per Strip',
    'samples_per_pixel'     => 'Samples Per Pixel',
    'saturation'            => '彩度',
    'scene_capture_mode'    => 'Scene Capture Mode',
    'scene_type'            => '場面タイプ',
    'security_classification'   => 'セキュリティ分類',
    'self_timer'            => 'セルフタイマー',
    'self_timer_mode'       => 'セルフタイマーモード',
    'sensing_method'        => '検出法',
    'sequence_number'       => 'シーケンスナンバー',
    'sharpness'             => 'シャープネス',
    'short_focal_length'    => '短焦点距離',
    'slow_sync'             => 'スローシンク',
    'software'              => 'ソフトウェア',
    'software_release'      => 'ソフトウェアのリリース',
    'spatial_frequency_response' => 'Spatial Frequency Response',
    'special_mode'          => '特別モード',
    'spectral_sensitivity'  => 'Spectral Sensitivity',
    'strip_byte_counts'     => 'Strip Byte Counts',
    'strip_offsets'         => 'Strip Offsets',
    'subifds'               => 'SubIFDs',
    'subfile_type'          => 'Subfile Type',
    'subject_distance'      => '被写体距離',
    'subject_location'      => '被写体位置',
    'subsec_time'           => 'Subsec Time',
    'subsec_time_digitized' => 'Subsec Time (Digitized)',
    'subsec_time_original'  => 'Subsec Time (Original)',
    'tiff_ep_standard_id'   => 'TIFF/EP Standard ID',
    'tile_byte_counts'      => 'Tile Byte Counts',
    'tile_length'           => 'Tile Length',
    'tile_offsets'          => 'Tile Offsets',
    'tile_width'            => 'Tile Width',
    'time_zone_offset'      => 'タイムゾーンオフセット',
    'tone'                  => 'トーン',
    'transfer_function'     => 'Transfer Function',
    'user_comment'          => 'ユーザーコメント',
    'version'               => 'バージョン',
    'white_balance'         => 'ホワイトバランス',
    'white_point'           => 'White Point',
    'ycbcr_coefficients'    => 'Y/Cb/Cr 係数',
    'ycbcr_positioning'     => 'Y/Cb/Cr Positioning',
    'ycbcr_sub_sampling'    => 'Y/Cb/Cr サブサンプリング',
    'x_resolution'          => 'X解像度',
    'y_resolution'          => 'Y解像度',
    'exif_image_height'     => 'EXIF画像高',
    'exif_image_width'      => 'EXIF画像幅',
    'iptc_supplemental_categories' => 'IPTC: Supplemental Categories',
    'iptc_keywords'         => 'IPTC: Keywords',
    'iptc_caption'          => 'IPTC: Caption',
    'iptc_caption_writer'   => 'IPTC: Caption Writer',
    'iptc_headline'         => 'IPTC: Headline',
    'iptc_special_instructions' => 'IPTC: Special Instructions',
    'iptc_category'         => 'IPTC: Category',
    'iptc_byline'           => 'IPTC: Byline',
    'iptc_byline_title'     => 'IPTC: Byline Title',
    'iptc_credit'           => 'IPTC: Credit',
    'iptc_source'           => 'IPTC: Source',
    'iptc_copyright_notice' => 'IPTC: Copyright Notice',
    'iptc_object_name'      => 'IPTC: Object Name',
    'iptc_city'             => 'IPTC: City',
    'iptc_province_state'   => 'IPTC: Province State',
    'iptc_country_name'     => 'IPTC: Country Name',
    'iptc_original_transmission_reference' => 'IPTC: Original Transmission Reference',
    'iptc_date_created'     => 'IPTC: Date Created',
    'iptc_copyright_flag'   => 'IPTC: Copyright Flag',
    'iptc_time_created'     => 'IPTC: Time Created',
    //
    'dots_per_resolution_unit'  => ' dots per ResolutionUnit',  // Xresolution YResolution
    'sec'                       => ' 秒',                      // Exposure Time
    'ev'                        => ' 露出補正値',                       // Exposure Bias Value
    'bulb'                      => 'バルブ',
    // orientation
    'normal'                    => 'ノーマル (0 deg)',
    'mirrored'                  => '鏡像',
    'upsidedown'                => '上下反転',
    'upsidedown_mirrored'       => '上下反転鏡像',
    'cw_mirrored'               => '90度CW鏡像',
    'ccw'                       => '90度CCW',
    'ccw_mirrored'              => '90度CCW鏡像',
    'cw'                        => '90度CW',
    // Resolution Unit FocalPlaneResolutionUnit ThumbnailResolutionUnit
    'no_unit'                   => 'No Unit',
    'inch'                      => 'インチ',
    'centimeter'                => 'センチメートル',
    //YCbCrPositioning
    'center_of_pixel_array'     => 'Center of Pixel Array',
    'datum_point'               => 'Datum Point',
    //Exposure Program
    'manual'                    => 'マニュアル',
    'Program'                   => 'プログラム',
    'aperature_priority'        => '露出優先',
    'shutter_priority'          => 'シャッター速度優先',
    'program_creative'          => 'Program Creative',
    'program_action'            => 'Program Action',
    'portrait'                  => '縦',
    'landscape'                 => '横',
    // Metering Mode
    'unknown'                   => '不明',
    'average'                   => '平均',
    'center_weighted_average'   => '中央重点平均',
    'spot'                      => 'スポット',
    'multi_spot'                => 'マルチスポット',
    'multi_segment'             => 'マルチセグメント',
    'partial'                   => '部分',
    'other'                     => 'その他',
    // lightsource
    'unknown_or_auto'           => '不明ないし自動',
    'daylight'                  => '太陽光',
    'flourescent'               => '蛍光灯',
    'tungsten'                  => 'タングステン',
    'flash'                     => 'ストロボ',
    'standard_a'                => 'Standard Light A',
    'standard_b'                => 'Standard Light B',
    'standard_c'                => 'Standard Light C',
    'd55'                       => 'D55',
    'd65'                       => 'D65',
    'd75'                       => 'D75',
    'srgb'                      => 'sRGB',
    'uncalibrated'              => '較正なし',
    'pixels'                    => ' ピクセル',
    'no_compression'            => '無圧縮',
    'jpeg_compression'          => 'JPEG圧縮',
    'not_defined'               => '未定義',
    'one_chip_color_area_sensor'    => 'One Chip Color Area Sensor',
    'two_chip_color_area_sensor'    => 'Two Chip Color Area Sensor',
    'three_chip_color_area_sensor'  => 'Three Chip Color Area Sensor',
    'color_sequential_area_sensor'  => 'Color Sequential Area Sensor',
    'trilinear_sensor'              => 'Trilinear Sensor',
    'color_sequential_linear_sensor'    => 'Color Sequential Linear Sensor',
    'monochrome'                    => 'モノクロ',
    'rgb'                           => 'RGB',
    'ycbcr'                         => 'YCbCr',
    // file source
    'digital_still_camera'          => 'デジタルスチールカメラ',
    // scene type
    'directly_photographed'         => '直接撮影',
    // flash
    'flash_00'              => 'ストロボなし',
    'flash_01'              => 'ストロボ使用',
    'flash_05'              => 'Strobe return light not detected',
    'flash_07'              => 'Strobe returned light detected',
    'flash_09'              => 'ストロボ使用，強制発光モード',
    'flash_13'              => 'ストロボ使用, 強制発光モード, return light not detected',
    'flash_15'              => 'ストロボ使用, 強制発光モード, return light detected',
    'flash_16'              => 'ストロボなし, 強制発光モード',
    'flash_24'              => 'ストロボなし, 自動モード',
    'flash_25'              => 'ストロボ使用, 自動モード',
    'flash_29'              => 'ストロボ使用, 自動モード, return light not detected',
    'flash_31'              => 'ストロボ使用, 自動モード, return light detected',
    'flash_32'              => 'No flash function',
    'flash_65'              => 'ストロボ使用, 赤目軽減モード',
    'flash_69'              => 'ストロボ使用, 赤目軽減モード, return light not detected',
    'flash_71'              => 'ストロボ使用, 赤目軽減モード, return light detected',
    'flash_73'              => 'ストロボ使用，強制発光モード, 赤目軽減モード',
    'flash_77'              => 'ストロボ使用，強制発光モード, 赤目軽減モード, return light not detected',
    'flash_79'              => 'ストロボ使用, 強制発光モード, 赤目軽減モード, return light detected',
    'flash_89'              => 'ストロボ使用, 自動モード, 赤目軽減モード',
    'flash_92'              => 'ストロボ使用, 自動モード, return light not detected, 赤目軽減モード',
    'flash_95'              => 'ストロボ使用, 自動モード, return light detected, 赤目軽減モード'
);

// Slideshow transitions

$LANG_MG05 = array (
    'blend'                 => 'ブレンド',
    'blinds'                => 'ブラインド',
    'checkerboard'          => '格子縞',
    'diagonal'              => '斜め模様',
    'doors'                 => 'ドア',
    'gradient'              => '斜め模様',
    'iris'                  => '虹彩',
    'pinwheel'              => 'かざぐるま',
    'pixelate'              => 'ピクセル化',
    'radial'                => '放射状',
    'rain'                  => '雨',
    'slide'                 => 'スライド',
    'snow'                  => '雪',
    'spiral'                => 'らせん',
    'stretch'               => '引き延ばし',
    'random'                => 'ランダム'
);

// XP Publishing Wizard

$LANG_MG06 = array (
    'title'                 => 'メディアギャラリXP公開ウィザード',
    'welcome'               => 'ようこそ，',
    'info_text'             => 'メディアギャラリXP公開ウィザードはアップロード時のエラーを報告しません。エラーが発生した時には，単にそのファイルをスキップします。<p>アルバムにアップロードされなかったファイルがある場合にはGeeklogのエラーログを確認してください。',
    'no_albums'             => 'アルバムがないか，アルバムをアップロードする権限がありません。',
    'select_album'          => 'メディアを公開するアルバムを選択してください。'
);

$LANG_MG07 = array (
    'playback_options'          => '再生オプション',
    'none'                      => 'なし',
    'mini'                      => 'ミニ',
    'full'                      => '完全',
    'low'                       => '低い',
    'high'                      => '高い',
    'showall'                   => '全部表示',
    'noborder'                  => '枠線なし',
    'exactfit'                  => 'ぴったりフィット',
    'window'                    => 'ウィンドウ',
    'opaque'                    => '不透明',
    'transparent'               => '透明',
    'to_fit'                    => 'フィット',
    'aspect'                    => '縦横比',
    'normal_size'               => '普通サイズ',
    'description'               => '説明',
    'option'                    => 'オプション',
    'on'                        => 'On',
    'off'                       => 'Off',
    'auto_start'                => '自動再生スタート',
    'auto_start_help'           => '自動再生スタートをonにすると，待ち時間や追加データなしで再生できるようになった時，再生が始まります。',
    'enable_context_menu'       => 'コンテクストメニューを許可',
    'enable_context_menu_help'  => 'Onにすると，右クリック時にコンテクストメニューが表示されます。',
    'stretch_to_fit'            => 'サイズに合うよう引き伸ばし',
    'stretch_to_fit_help'       => 'Onにすると，Windows Media Playerを再生するディスプレイのサイズに合わせて自動的に調節されます。',
    'status_bar'                => 'ステータスバーを表示',
    'status_bar_help'           => 'Onにすると，ステータスバーが表示されます。',
    'ui_mode'                   => 'ユーザーインターフェースモード',
    'ui_mode_help'              => 'ユーザーインターフェースにどのコントロールを表示するかを指定します。',
    'height'                    => '高さ',
    'width'                     => '横幅',
    'height_help'               => '再生ウィンドウのサイズ',
    'width_help'                => '再生ウィンドウのサイズ',
    'menu'                      => 'メニュー',
    'menu_help'                 => '完全なメニューを表示して，ユーザーに様々な再生時のオプションを提供します。',
    'quality'                   => '品質',
    'quality_help'              => '再生品質',
    'flash_vars'                => 'Flash変数',
    'auto_ref'                  => '自動再生',
    'auto_ref_help'             => '自動再生をOnにすると，マウスをクリックしなくても自動的に動画が読み込まれます。',
    'controller'                => 'コントローラー',
    'controller_help'           => 'Onにすると，動画コントローラーが表示されます。',
    'kiosk_mode'                => 'Kioskモード',
    'kiosk_mode_help'           => 'KioskモードをOnにすると，メディアギャラリプラグインのコントローラーからポップアップメニューが消え，動画を保存するのにドラッグアンドドロップができなくなります。',
    'scale'                     => 'スケール',
    'scale_help'                => 'スケールはTOFIT, ASPECT, Normalのどれかに設定できます。ToFitにすると，高さ/横幅によって決まる四角の領域に合うよう，動画のサイズが調節されます。Aspectにすると，縦横比を維持して資格の領域に合うよう動画のサイズが調節されます。Normalにすると，動画は保存されたときのサイズで再生されます。',
    'swf_scale_help'            => '「デフォルト(全部表示)」では，縦横比を維持して，指定された領域に動画全体が歪みなしで表示されます。境界線が動画の両側に表示されることもあります。「枠線なし」では，縦横比を維持して，指定された領域に動画が歪みなしで表示されますが，画像の端が欠けることがあります。「ぴったりフィット」では，元の縦横比を維持せずに指定された領域に動画全体が表示されますが，画像が歪むこともあります。',
    'wmode'                     => 'ウィンドウモード',
    'wmode_help'                => '透明度，レイヤー，ブラウザ内の位置などのFlash動画のウィンドウモードを設定します。',
    'loop'                      => 'ループ',
    'loop_help'                 => '動画を最後まで再生した時に，再び最初に戻って再生するか停止するかを指定します。',
    'always'                    => '常に',
    'sameDomain'                => '同一ドメイン',
    'never'                     => 'ダメ',
    'asa'                       => 'スクリプトのアクセスを許可する',
    'asa_help'                  => 'このパラメータは，SWF中のActionScriptがHTMLファイル内のJavascriptを呼び出すことを許可するかどうかを指定します。',
    'bgcolor'                   => '背景色',
    'bgcolor_help'              => '再生ウィンドウの背景色を設定します。',
    'clsid'                     => 'オブジェクトクラスID',
    'codebase'                  => 'コードベース',
    'playcount'                 => '再生回数',
    'playcount_help'            => '何回このファイルを繰り返すか',
    'loop'                      => 'ループ',
    'loop_help'                 => '連続再生',
    'wmp_options'               => 'Windows Media Playback Options',
    'qt_options'                => 'QuickTime Playback Options',
    'mp3_options'               => 'MP3 Playback Options',
    'swf_options'               => 'Flash Media Playback Options',
    'swf_version_help'          => 'Flash version required to play this file.',
    'resolution'                => 'Resolution (WxH)',
    'resolution_x_help'         => 'Video X (Width) Resolution',
    'resolution_y_help'         => 'Video Y (Height) Resolution',
    'resolution_x'              => 'Video Width',
    'resolution_y'              => 'Video Height',
);

// installation / upgrade items...

$LANG_MG08 = array (
    'success'               => 'Media Gallery Plugin has been successfully installed.',
    'review'                => 'Please review the <b>System Options</b> and the <b>System Defaults</b> to complete the installation and configuration.',
    'support'               => 'For Media Gallery Support, please visit the gl Labs Website at <a href="http://www.gllabs.org">www.gllabs.org</a>.<br><br>Also available at the Media Gallery Support Site is:<ul><li>Documentation Wiki</li><li>Support Forums</li><li>Announcement Mailing List for <b>security</b> and update announcements</li><li>... and much more</li></ul>',
);

$LANG_MG09 = array (
    1                       => 'Sort Operation Completed Successfully',
    2                       => 'Configuration Options Saved Successfully',
    3                       => 'EXIF/IPTC Data Saved Successfully',
    4                       => 'Album Defaults Saved Successfully',
    5                       => 'Audio / Video Defaults Saved Successfully',
    6                       => 'RSS Options Saved Successfully',
    7                       => 'RSS Feeds Successfully Rebuilt',
    8                       => 'Member Albums Have Been Successfully Removed',
    9                       => 'System Configuration Successfully Reset to Installation Defaults',
    10                      => 'Global Permissions Have Bueen Successfully Applied',
    11                      => 'Global Album Attributes Have Been Successfully Applied',
    12                      => 'Member Album Options Have Been Successfully Saved',
    13                      => 'Selected Member Albums Successfully Created',
    14                      => 'Member Album Gallery Flag Has Been Successfully Reset',
    15                      => 'Selected Albums Have Been Successfully Deleted',
    16                      => 'User Quotas Have Been Successfully Rebuilt',
    17                      => 'Selected Files Have Been Removed',
);

$LANG_MG10 = array (
    'last_10'          => 'Last 5 media items uploaded by user ',
    'albums_owned'     => 'Gallery albums owned by user ',
    'thumbnail'        => 'Thumbnail',
    'upload_date'      => 'Upload Date',
    'title'            => 'Title',
    'album'            => 'Album',
    'album_desc'       => 'Description'
);

//upgrade function
$PLG_mediagallery_MESSAGE1 = 'メディアギャラリプラグインのアップグレード: アップグレードに成功しました。';
$PLG_mediagallery_MESSAGE2 = 'メディアギャラリプラグインのアップグレード: このバージョンは自動的にアップグレードできません。プラグイン添付のドキュメントをご覧ください。';
$PLG_mediagallery_MESSAGE3 = 'メディアギャラリプラグインのアップグレードに失敗しました。error.log を確認してください。';
$PLG_mediagallery_MESSAGE4 = 'メディアアイテムを評価していただき，ありがとうございます。';
$PLG_mediagallery_MESSAGE5 = 'このアイテムは評価済みです。';
$PLG_mediagallery_MESSAGE6 = 'あなたの評価を記録する際にエラーが発生しました。システム管理者に連絡してください。';
$PLG_mediagallery_MESSAGE7 = 'There were no items found to process.';
$PLG_mediagallery_MESSAGE8 = 'Your PostCard has been sent.';
$PLG_mediagallery_MESSAGE9 = 'There was an error in sending the postcard, please contact site administrator';
/* --- new in v1.5.0 --- */
$PLG_mediagallery_MESSAGE10 = 'There was an error in replacing your media file, see error.log for details';
?>